/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.consult;

import org.apache.dubbo.common.stream.StreamObserver;
import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public interface ConsultingService extends org.apache.dubbo.rpc.model.DubboStub {

    String JAVA_SERVICE_NAME = "com.ywt.gapi.consult.ConsultingService";
    String SERVICE_NAME = "com.ywt.gapi.consult.ConsultingService";

    com.ywt.gapi.consult.CreateConsultingOrderResponse createConsultingOrder(com.ywt.gapi.consult.CreateConsultingOrderRequest request);

    default CompletableFuture<com.ywt.gapi.consult.CreateConsultingOrderResponse> createConsultingOrderAsync(com.ywt.gapi.consult.CreateConsultingOrderRequest request){
        return CompletableFuture.completedFuture(createConsultingOrder(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void createConsultingOrder(com.ywt.gapi.consult.CreateConsultingOrderRequest request, StreamObserver<com.ywt.gapi.consult.CreateConsultingOrderResponse> responseObserver){
        createConsultingOrderAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.PayConsultingCallbackResponse payConsultingCallback(com.ywt.gapi.consult.PayConsultingCallbackRequest request);

    default CompletableFuture<com.ywt.gapi.consult.PayConsultingCallbackResponse> payConsultingCallbackAsync(com.ywt.gapi.consult.PayConsultingCallbackRequest request){
        return CompletableFuture.completedFuture(payConsultingCallback(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void payConsultingCallback(com.ywt.gapi.consult.PayConsultingCallbackRequest request, StreamObserver<com.ywt.gapi.consult.PayConsultingCallbackResponse> responseObserver){
        payConsultingCallbackAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.ArrangeConsultingResponse arrangeConsulting(com.ywt.gapi.consult.ArrangeConsultingRequest request);

    default CompletableFuture<com.ywt.gapi.consult.ArrangeConsultingResponse> arrangeConsultingAsync(com.ywt.gapi.consult.ArrangeConsultingRequest request){
        return CompletableFuture.completedFuture(arrangeConsulting(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void arrangeConsulting(com.ywt.gapi.consult.ArrangeConsultingRequest request, StreamObserver<com.ywt.gapi.consult.ArrangeConsultingResponse> responseObserver){
        arrangeConsultingAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.CancelConsultingResponse cancelConsulting(com.ywt.gapi.consult.CancelConsultingRequest request);

    default CompletableFuture<com.ywt.gapi.consult.CancelConsultingResponse> cancelConsultingAsync(com.ywt.gapi.consult.CancelConsultingRequest request){
        return CompletableFuture.completedFuture(cancelConsulting(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void cancelConsulting(com.ywt.gapi.consult.CancelConsultingRequest request, StreamObserver<com.ywt.gapi.consult.CancelConsultingResponse> responseObserver){
        cancelConsultingAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.RefundConsultingCallbackResponse refundConsultingCallback(com.ywt.gapi.consult.RefundConsultingCallbackRequest request);

    default CompletableFuture<com.ywt.gapi.consult.RefundConsultingCallbackResponse> refundConsultingCallbackAsync(com.ywt.gapi.consult.RefundConsultingCallbackRequest request){
        return CompletableFuture.completedFuture(refundConsultingCallback(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void refundConsultingCallback(com.ywt.gapi.consult.RefundConsultingCallbackRequest request, StreamObserver<com.ywt.gapi.consult.RefundConsultingCallbackResponse> responseObserver){
        refundConsultingCallbackAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.GetConsultingScheduleListResponse getConsultingScheduleList(com.ywt.gapi.consult.GetConsultingScheduleListRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetConsultingScheduleListResponse> getConsultingScheduleListAsync(com.ywt.gapi.consult.GetConsultingScheduleListRequest request){
        return CompletableFuture.completedFuture(getConsultingScheduleList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultingScheduleList(com.ywt.gapi.consult.GetConsultingScheduleListRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultingScheduleListResponse> responseObserver){
        getConsultingScheduleListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.SetConsultingScheduleResponse setConsultingSchedule(com.ywt.gapi.consult.SetConsultingScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.consult.SetConsultingScheduleResponse> setConsultingScheduleAsync(com.ywt.gapi.consult.SetConsultingScheduleRequest request){
        return CompletableFuture.completedFuture(setConsultingSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void setConsultingSchedule(com.ywt.gapi.consult.SetConsultingScheduleRequest request, StreamObserver<com.ywt.gapi.consult.SetConsultingScheduleResponse> responseObserver){
        setConsultingScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.CancelConsultingScheduleResponse cancelConsultingSchedule(com.ywt.gapi.consult.CancelConsultingScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.consult.CancelConsultingScheduleResponse> cancelConsultingScheduleAsync(com.ywt.gapi.consult.CancelConsultingScheduleRequest request){
        return CompletableFuture.completedFuture(cancelConsultingSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void cancelConsultingSchedule(com.ywt.gapi.consult.CancelConsultingScheduleRequest request, StreamObserver<com.ywt.gapi.consult.CancelConsultingScheduleResponse> responseObserver){
        cancelConsultingScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.consult.GetConsultOrderListResponse getConsultOrderList(com.ywt.gapi.consult.GetConsultOrderListRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetConsultOrderListResponse> getConsultOrderListAsync(com.ywt.gapi.consult.GetConsultOrderListRequest request){
        return CompletableFuture.completedFuture(getConsultOrderList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultOrderList(com.ywt.gapi.consult.GetConsultOrderListRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultOrderListResponse> responseObserver){
        getConsultOrderListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 身份证号
         * </pre>
         */
    com.ywt.gapi.consult.GetConsultOrderResponse getConsultOrder(com.ywt.gapi.consult.GetConsultOrderRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetConsultOrderResponse> getConsultOrderAsync(com.ywt.gapi.consult.GetConsultOrderRequest request){
        return CompletableFuture.completedFuture(getConsultOrder(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultOrder(com.ywt.gapi.consult.GetConsultOrderRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultOrderResponse> responseObserver){
        getConsultOrderAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 对应user_patient表的id
         * </pre>
         */
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse getLatestAcceptedConsultOrder(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse> getLatestAcceptedConsultOrderAsync(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request){
        return CompletableFuture.completedFuture(getLatestAcceptedConsultOrder(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLatestAcceptedConsultOrder(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request, StreamObserver<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse> responseObserver){
        getLatestAcceptedConsultOrderAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 当前终端
         * </pre>
         */
    com.ywt.gapi.consult.GetFreeConsultDoctorListResponse getFreeConsultDoctorList(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse> getFreeConsultDoctorListAsync(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request){
        return CompletableFuture.completedFuture(getFreeConsultDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getFreeConsultDoctorList(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse> responseObserver){
        getFreeConsultDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 咨询内容是否可被分享查看，1-是 0-否
         * </pre>
         */
    com.ywt.gapi.consult.GetFreeConsultDoctorResponse getFreeConsultDoctor(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.consult.GetFreeConsultDoctorResponse> getFreeConsultDoctorAsync(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request){
        return CompletableFuture.completedFuture(getFreeConsultDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getFreeConsultDoctor(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorResponse> responseObserver){
        getFreeConsultDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 咨询类型：1-咨询 2-复诊
         * </pre>
         */
    com.ywt.gapi.consult.SendMedRecordResponse sendMedRecord(com.ywt.gapi.consult.SendMedRecordRequest request);

    default CompletableFuture<com.ywt.gapi.consult.SendMedRecordResponse> sendMedRecordAsync(com.ywt.gapi.consult.SendMedRecordRequest request){
        return CompletableFuture.completedFuture(sendMedRecord(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void sendMedRecord(com.ywt.gapi.consult.SendMedRecordRequest request, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse> responseObserver){
        sendMedRecordAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  免费问诊标识，0-非免费，1-免费问诊；版本：v2.7.0 三天免费问诊，v2.8.0 免费咨询排班等需求
         * </pre>
         */
    com.ywt.gapi.consult.SendMedRecordResponse sendDocSchedule(com.ywt.gapi.consult.SendDocScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.consult.SendMedRecordResponse> sendDocScheduleAsync(com.ywt.gapi.consult.SendDocScheduleRequest request){
        return CompletableFuture.completedFuture(sendDocSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void sendDocSchedule(com.ywt.gapi.consult.SendDocScheduleRequest request, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse> responseObserver){
        sendDocScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }






}
