/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.consult;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboConsultingServiceTriple {

    public static final String SERVICE_NAME = ConsultingService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,ConsultingService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,ConsultProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboConsultingServiceTriple::newStub);
        StubSuppliers.addSupplier(ConsultingService.JAVA_SERVICE_NAME,  DubboConsultingServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(ConsultingService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static ConsultingService newStub(Invoker<?> invoker) {
        return new ConsultingServiceStub((Invoker<ConsultingService>)invoker);
    }

    private static final StubMethodDescriptor createConsultingOrderMethod = new StubMethodDescriptor("createConsultingOrder",
    com.ywt.gapi.consult.CreateConsultingOrderRequest.class, com.ywt.gapi.consult.CreateConsultingOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CreateConsultingOrderRequest::parseFrom,
    com.ywt.gapi.consult.CreateConsultingOrderResponse::parseFrom);

    private static final StubMethodDescriptor createConsultingOrderAsyncMethod = new StubMethodDescriptor("createConsultingOrder",
    com.ywt.gapi.consult.CreateConsultingOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CreateConsultingOrderRequest::parseFrom,
    com.ywt.gapi.consult.CreateConsultingOrderResponse::parseFrom);

    private static final StubMethodDescriptor createConsultingOrderProxyAsyncMethod = new StubMethodDescriptor("createConsultingOrderAsync",
    com.ywt.gapi.consult.CreateConsultingOrderRequest.class, com.ywt.gapi.consult.CreateConsultingOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CreateConsultingOrderRequest::parseFrom,
    com.ywt.gapi.consult.CreateConsultingOrderResponse::parseFrom);

    private static final StubMethodDescriptor payConsultingCallbackMethod = new StubMethodDescriptor("payConsultingCallback",
    com.ywt.gapi.consult.PayConsultingCallbackRequest.class, com.ywt.gapi.consult.PayConsultingCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.PayConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.PayConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payConsultingCallbackAsyncMethod = new StubMethodDescriptor("payConsultingCallback",
    com.ywt.gapi.consult.PayConsultingCallbackRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.PayConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.PayConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor payConsultingCallbackProxyAsyncMethod = new StubMethodDescriptor("payConsultingCallbackAsync",
    com.ywt.gapi.consult.PayConsultingCallbackRequest.class, com.ywt.gapi.consult.PayConsultingCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.PayConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.PayConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor arrangeConsultingMethod = new StubMethodDescriptor("arrangeConsulting",
    com.ywt.gapi.consult.ArrangeConsultingRequest.class, com.ywt.gapi.consult.ArrangeConsultingResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.ArrangeConsultingRequest::parseFrom,
    com.ywt.gapi.consult.ArrangeConsultingResponse::parseFrom);

    private static final StubMethodDescriptor arrangeConsultingAsyncMethod = new StubMethodDescriptor("arrangeConsulting",
    com.ywt.gapi.consult.ArrangeConsultingRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.ArrangeConsultingRequest::parseFrom,
    com.ywt.gapi.consult.ArrangeConsultingResponse::parseFrom);

    private static final StubMethodDescriptor arrangeConsultingProxyAsyncMethod = new StubMethodDescriptor("arrangeConsultingAsync",
    com.ywt.gapi.consult.ArrangeConsultingRequest.class, com.ywt.gapi.consult.ArrangeConsultingResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.ArrangeConsultingRequest::parseFrom,
    com.ywt.gapi.consult.ArrangeConsultingResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingMethod = new StubMethodDescriptor("cancelConsulting",
    com.ywt.gapi.consult.CancelConsultingRequest.class, com.ywt.gapi.consult.CancelConsultingResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingAsyncMethod = new StubMethodDescriptor("cancelConsulting",
    com.ywt.gapi.consult.CancelConsultingRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingProxyAsyncMethod = new StubMethodDescriptor("cancelConsultingAsync",
    com.ywt.gapi.consult.CancelConsultingRequest.class, com.ywt.gapi.consult.CancelConsultingResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingResponse::parseFrom);

    private static final StubMethodDescriptor refundConsultingCallbackMethod = new StubMethodDescriptor("refundConsultingCallback",
    com.ywt.gapi.consult.RefundConsultingCallbackRequest.class, com.ywt.gapi.consult.RefundConsultingCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.RefundConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.RefundConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor refundConsultingCallbackAsyncMethod = new StubMethodDescriptor("refundConsultingCallback",
    com.ywt.gapi.consult.RefundConsultingCallbackRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.RefundConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.RefundConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor refundConsultingCallbackProxyAsyncMethod = new StubMethodDescriptor("refundConsultingCallbackAsync",
    com.ywt.gapi.consult.RefundConsultingCallbackRequest.class, com.ywt.gapi.consult.RefundConsultingCallbackResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.RefundConsultingCallbackRequest::parseFrom,
    com.ywt.gapi.consult.RefundConsultingCallbackResponse::parseFrom);

    private static final StubMethodDescriptor getConsultingScheduleListMethod = new StubMethodDescriptor("getConsultingScheduleList",
    com.ywt.gapi.consult.GetConsultingScheduleListRequest.class, com.ywt.gapi.consult.GetConsultingScheduleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultingScheduleListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultingScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultingScheduleListAsyncMethod = new StubMethodDescriptor("getConsultingScheduleList",
    com.ywt.gapi.consult.GetConsultingScheduleListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultingScheduleListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultingScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultingScheduleListProxyAsyncMethod = new StubMethodDescriptor("getConsultingScheduleListAsync",
    com.ywt.gapi.consult.GetConsultingScheduleListRequest.class, com.ywt.gapi.consult.GetConsultingScheduleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultingScheduleListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultingScheduleListResponse::parseFrom);

    private static final StubMethodDescriptor setConsultingScheduleMethod = new StubMethodDescriptor("setConsultingSchedule",
    com.ywt.gapi.consult.SetConsultingScheduleRequest.class, com.ywt.gapi.consult.SetConsultingScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SetConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SetConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor setConsultingScheduleAsyncMethod = new StubMethodDescriptor("setConsultingSchedule",
    com.ywt.gapi.consult.SetConsultingScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SetConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SetConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor setConsultingScheduleProxyAsyncMethod = new StubMethodDescriptor("setConsultingScheduleAsync",
    com.ywt.gapi.consult.SetConsultingScheduleRequest.class, com.ywt.gapi.consult.SetConsultingScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SetConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SetConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingScheduleMethod = new StubMethodDescriptor("cancelConsultingSchedule",
    com.ywt.gapi.consult.CancelConsultingScheduleRequest.class, com.ywt.gapi.consult.CancelConsultingScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingScheduleAsyncMethod = new StubMethodDescriptor("cancelConsultingSchedule",
    com.ywt.gapi.consult.CancelConsultingScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor cancelConsultingScheduleProxyAsyncMethod = new StubMethodDescriptor("cancelConsultingScheduleAsync",
    com.ywt.gapi.consult.CancelConsultingScheduleRequest.class, com.ywt.gapi.consult.CancelConsultingScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.CancelConsultingScheduleRequest::parseFrom,
    com.ywt.gapi.consult.CancelConsultingScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderListMethod = new StubMethodDescriptor("getConsultOrderList",
    com.ywt.gapi.consult.GetConsultOrderListRequest.class, com.ywt.gapi.consult.GetConsultOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderListAsyncMethod = new StubMethodDescriptor("getConsultOrderList",
    com.ywt.gapi.consult.GetConsultOrderListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderListProxyAsyncMethod = new StubMethodDescriptor("getConsultOrderListAsync",
    com.ywt.gapi.consult.GetConsultOrderListRequest.class, com.ywt.gapi.consult.GetConsultOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderListResponse::parseFrom);

    /**
         * <pre>
         * 身份证号
         * </pre>
         */
    private static final StubMethodDescriptor getConsultOrderMethod = new StubMethodDescriptor("getConsultOrder",
    com.ywt.gapi.consult.GetConsultOrderRequest.class, com.ywt.gapi.consult.GetConsultOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderAsyncMethod = new StubMethodDescriptor("getConsultOrder",
    com.ywt.gapi.consult.GetConsultOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderProxyAsyncMethod = new StubMethodDescriptor("getConsultOrderAsync",
    com.ywt.gapi.consult.GetConsultOrderRequest.class, com.ywt.gapi.consult.GetConsultOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetConsultOrderResponse::parseFrom);

    /**
         * <pre>
         * 对应user_patient表的id
         * </pre>
         */
    private static final StubMethodDescriptor getLatestAcceptedConsultOrderMethod = new StubMethodDescriptor("getLatestAcceptedConsultOrder",
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest.class, com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse::parseFrom);

    private static final StubMethodDescriptor getLatestAcceptedConsultOrderAsyncMethod = new StubMethodDescriptor("getLatestAcceptedConsultOrder",
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse::parseFrom);

    private static final StubMethodDescriptor getLatestAcceptedConsultOrderProxyAsyncMethod = new StubMethodDescriptor("getLatestAcceptedConsultOrderAsync",
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest.class, com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest::parseFrom,
    com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse::parseFrom);

    /**
         * <pre>
         * 当前终端
         * </pre>
         */
    private static final StubMethodDescriptor getFreeConsultDoctorListMethod = new StubMethodDescriptor("getFreeConsultDoctorList",
    com.ywt.gapi.consult.GetFreeConsultDoctorListRequest.class, com.ywt.gapi.consult.GetFreeConsultDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getFreeConsultDoctorListAsyncMethod = new StubMethodDescriptor("getFreeConsultDoctorList",
    com.ywt.gapi.consult.GetFreeConsultDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getFreeConsultDoctorListProxyAsyncMethod = new StubMethodDescriptor("getFreeConsultDoctorListAsync",
    com.ywt.gapi.consult.GetFreeConsultDoctorListRequest.class, com.ywt.gapi.consult.GetFreeConsultDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorListResponse::parseFrom);

    /**
         * <pre>
         * 咨询内容是否可被分享查看，1-是 0-否
         * </pre>
         */
    private static final StubMethodDescriptor getFreeConsultDoctorMethod = new StubMethodDescriptor("getFreeConsultDoctor",
    com.ywt.gapi.consult.GetFreeConsultDoctorRequest.class, com.ywt.gapi.consult.GetFreeConsultDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getFreeConsultDoctorAsyncMethod = new StubMethodDescriptor("getFreeConsultDoctor",
    com.ywt.gapi.consult.GetFreeConsultDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getFreeConsultDoctorProxyAsyncMethod = new StubMethodDescriptor("getFreeConsultDoctorAsync",
    com.ywt.gapi.consult.GetFreeConsultDoctorRequest.class, com.ywt.gapi.consult.GetFreeConsultDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.GetFreeConsultDoctorRequest::parseFrom,
    com.ywt.gapi.consult.GetFreeConsultDoctorResponse::parseFrom);

    /**
         * <pre>
         * 咨询类型：1-咨询 2-复诊
         * </pre>
         */
    private static final StubMethodDescriptor sendMedRecordMethod = new StubMethodDescriptor("sendMedRecord",
    com.ywt.gapi.consult.SendMedRecordRequest.class, com.ywt.gapi.consult.SendMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendMedRecordRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor sendMedRecordAsyncMethod = new StubMethodDescriptor("sendMedRecord",
    com.ywt.gapi.consult.SendMedRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendMedRecordRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor sendMedRecordProxyAsyncMethod = new StubMethodDescriptor("sendMedRecordAsync",
    com.ywt.gapi.consult.SendMedRecordRequest.class, com.ywt.gapi.consult.SendMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendMedRecordRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);

    /**
         * <pre>
         *  免费问诊标识，0-非免费，1-免费问诊；版本：v2.7.0 三天免费问诊，v2.8.0 免费咨询排班等需求
         * </pre>
         */
    private static final StubMethodDescriptor sendDocScheduleMethod = new StubMethodDescriptor("sendDocSchedule",
    com.ywt.gapi.consult.SendDocScheduleRequest.class, com.ywt.gapi.consult.SendMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendDocScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor sendDocScheduleAsyncMethod = new StubMethodDescriptor("sendDocSchedule",
    com.ywt.gapi.consult.SendDocScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendDocScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor sendDocScheduleProxyAsyncMethod = new StubMethodDescriptor("sendDocScheduleAsync",
    com.ywt.gapi.consult.SendDocScheduleRequest.class, com.ywt.gapi.consult.SendMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.consult.SendDocScheduleRequest::parseFrom,
    com.ywt.gapi.consult.SendMedRecordResponse::parseFrom);





    public static class ConsultingServiceStub implements ConsultingService{
        private final Invoker<ConsultingService> invoker;

        public ConsultingServiceStub(Invoker<ConsultingService> invoker) {
            this.invoker = invoker;
        }

        @Override
        public com.ywt.gapi.consult.CreateConsultingOrderResponse createConsultingOrder(com.ywt.gapi.consult.CreateConsultingOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createConsultingOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.CreateConsultingOrderResponse> createConsultingOrderAsync(com.ywt.gapi.consult.CreateConsultingOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, createConsultingOrderAsyncMethod, request);
        }

        @Override
        public void createConsultingOrder(com.ywt.gapi.consult.CreateConsultingOrderRequest request, StreamObserver<com.ywt.gapi.consult.CreateConsultingOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createConsultingOrderMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.PayConsultingCallbackResponse payConsultingCallback(com.ywt.gapi.consult.PayConsultingCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payConsultingCallbackMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.PayConsultingCallbackResponse> payConsultingCallbackAsync(com.ywt.gapi.consult.PayConsultingCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, payConsultingCallbackAsyncMethod, request);
        }

        @Override
        public void payConsultingCallback(com.ywt.gapi.consult.PayConsultingCallbackRequest request, StreamObserver<com.ywt.gapi.consult.PayConsultingCallbackResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, payConsultingCallbackMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.ArrangeConsultingResponse arrangeConsulting(com.ywt.gapi.consult.ArrangeConsultingRequest request){
            return StubInvocationUtil.unaryCall(invoker, arrangeConsultingMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.ArrangeConsultingResponse> arrangeConsultingAsync(com.ywt.gapi.consult.ArrangeConsultingRequest request){
            return StubInvocationUtil.unaryCall(invoker, arrangeConsultingAsyncMethod, request);
        }

        @Override
        public void arrangeConsulting(com.ywt.gapi.consult.ArrangeConsultingRequest request, StreamObserver<com.ywt.gapi.consult.ArrangeConsultingResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, arrangeConsultingMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.CancelConsultingResponse cancelConsulting(com.ywt.gapi.consult.CancelConsultingRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelConsultingMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.CancelConsultingResponse> cancelConsultingAsync(com.ywt.gapi.consult.CancelConsultingRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelConsultingAsyncMethod, request);
        }

        @Override
        public void cancelConsulting(com.ywt.gapi.consult.CancelConsultingRequest request, StreamObserver<com.ywt.gapi.consult.CancelConsultingResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, cancelConsultingMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.RefundConsultingCallbackResponse refundConsultingCallback(com.ywt.gapi.consult.RefundConsultingCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, refundConsultingCallbackMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.RefundConsultingCallbackResponse> refundConsultingCallbackAsync(com.ywt.gapi.consult.RefundConsultingCallbackRequest request){
            return StubInvocationUtil.unaryCall(invoker, refundConsultingCallbackAsyncMethod, request);
        }

        @Override
        public void refundConsultingCallback(com.ywt.gapi.consult.RefundConsultingCallbackRequest request, StreamObserver<com.ywt.gapi.consult.RefundConsultingCallbackResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, refundConsultingCallbackMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.GetConsultingScheduleListResponse getConsultingScheduleList(com.ywt.gapi.consult.GetConsultingScheduleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultingScheduleListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetConsultingScheduleListResponse> getConsultingScheduleListAsync(com.ywt.gapi.consult.GetConsultingScheduleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultingScheduleListAsyncMethod, request);
        }

        @Override
        public void getConsultingScheduleList(com.ywt.gapi.consult.GetConsultingScheduleListRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultingScheduleListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultingScheduleListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.SetConsultingScheduleResponse setConsultingSchedule(com.ywt.gapi.consult.SetConsultingScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, setConsultingScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.SetConsultingScheduleResponse> setConsultingScheduleAsync(com.ywt.gapi.consult.SetConsultingScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, setConsultingScheduleAsyncMethod, request);
        }

        @Override
        public void setConsultingSchedule(com.ywt.gapi.consult.SetConsultingScheduleRequest request, StreamObserver<com.ywt.gapi.consult.SetConsultingScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, setConsultingScheduleMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.CancelConsultingScheduleResponse cancelConsultingSchedule(com.ywt.gapi.consult.CancelConsultingScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelConsultingScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.CancelConsultingScheduleResponse> cancelConsultingScheduleAsync(com.ywt.gapi.consult.CancelConsultingScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, cancelConsultingScheduleAsyncMethod, request);
        }

        @Override
        public void cancelConsultingSchedule(com.ywt.gapi.consult.CancelConsultingScheduleRequest request, StreamObserver<com.ywt.gapi.consult.CancelConsultingScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, cancelConsultingScheduleMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.consult.GetConsultOrderListResponse getConsultOrderList(com.ywt.gapi.consult.GetConsultOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetConsultOrderListResponse> getConsultOrderListAsync(com.ywt.gapi.consult.GetConsultOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderListAsyncMethod, request);
        }

        @Override
        public void getConsultOrderList(com.ywt.gapi.consult.GetConsultOrderListRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultOrderListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultOrderListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 身份证号
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.GetConsultOrderResponse getConsultOrder(com.ywt.gapi.consult.GetConsultOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetConsultOrderResponse> getConsultOrderAsync(com.ywt.gapi.consult.GetConsultOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderAsyncMethod, request);
        }

            /**
         * <pre>
         * 身份证号
         * </pre>
         */
        @Override
        public void getConsultOrder(com.ywt.gapi.consult.GetConsultOrderRequest request, StreamObserver<com.ywt.gapi.consult.GetConsultOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 对应user_patient表的id
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse getLatestAcceptedConsultOrder(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestAcceptedConsultOrderMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse> getLatestAcceptedConsultOrderAsync(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestAcceptedConsultOrderAsyncMethod, request);
        }

            /**
         * <pre>
         * 对应user_patient表的id
         * </pre>
         */
        @Override
        public void getLatestAcceptedConsultOrder(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request, StreamObserver<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLatestAcceptedConsultOrderMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 当前终端
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.GetFreeConsultDoctorListResponse getFreeConsultDoctorList(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse> getFreeConsultDoctorListAsync(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         * 当前终端
         * </pre>
         */
        @Override
        public void getFreeConsultDoctorList(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 咨询内容是否可被分享查看，1-是 0-否
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.GetFreeConsultDoctorResponse getFreeConsultDoctor(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.GetFreeConsultDoctorResponse> getFreeConsultDoctorAsync(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 咨询内容是否可被分享查看，1-是 0-否
         * </pre>
         */
        @Override
        public void getFreeConsultDoctor(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getFreeConsultDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 咨询类型：1-咨询 2-复诊
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.SendMedRecordResponse sendMedRecord(com.ywt.gapi.consult.SendMedRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, sendMedRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.SendMedRecordResponse> sendMedRecordAsync(com.ywt.gapi.consult.SendMedRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, sendMedRecordAsyncMethod, request);
        }

            /**
         * <pre>
         * 咨询类型：1-咨询 2-复诊
         * </pre>
         */
        @Override
        public void sendMedRecord(com.ywt.gapi.consult.SendMedRecordRequest request, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, sendMedRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  免费问诊标识，0-非免费，1-免费问诊；版本：v2.7.0 三天免费问诊，v2.8.0 免费咨询排班等需求
         * </pre>
         */
        @Override
        public com.ywt.gapi.consult.SendMedRecordResponse sendDocSchedule(com.ywt.gapi.consult.SendDocScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, sendDocScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.consult.SendMedRecordResponse> sendDocScheduleAsync(com.ywt.gapi.consult.SendDocScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, sendDocScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         *  免费问诊标识，0-非免费，1-免费问诊；版本：v2.7.0 三天免费问诊，v2.8.0 免费咨询排班等需求
         * </pre>
         */
        @Override
        public void sendDocSchedule(com.ywt.gapi.consult.SendDocScheduleRequest request, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, sendDocScheduleMethod , request, responseObserver);
        }



    }

    public static abstract class ConsultingServiceImplBase implements ConsultingService, ServerService<ConsultingService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<ConsultingService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createConsultingOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createConsultingOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payConsultingCallback" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/payConsultingCallbackAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/arrangeConsulting" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/arrangeConsultingAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelConsulting" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelConsultingAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/refundConsultingCallback" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/refundConsultingCallbackAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultingScheduleList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultingScheduleListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setConsultingSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setConsultingScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelConsultingSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/cancelConsultingScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrderList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrderListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestAcceptedConsultOrder" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestAcceptedConsultOrderAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFreeConsultDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFreeConsultDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFreeConsultDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFreeConsultDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/sendMedRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/sendMedRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/sendDocSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/sendDocScheduleAsync" );

            BiConsumer<com.ywt.gapi.consult.CreateConsultingOrderRequest, StreamObserver<com.ywt.gapi.consult.CreateConsultingOrderResponse>> createConsultingOrderFunc = this::createConsultingOrder;
            handlers.put(createConsultingOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(createConsultingOrderFunc));
            BiConsumer<com.ywt.gapi.consult.CreateConsultingOrderRequest, StreamObserver<com.ywt.gapi.consult.CreateConsultingOrderResponse>> createConsultingOrderAsyncFunc = syncToAsync(this::createConsultingOrder);
            handlers.put(createConsultingOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createConsultingOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.PayConsultingCallbackRequest, StreamObserver<com.ywt.gapi.consult.PayConsultingCallbackResponse>> payConsultingCallbackFunc = this::payConsultingCallback;
            handlers.put(payConsultingCallbackMethod.getMethodName(), new UnaryStubMethodHandler<>(payConsultingCallbackFunc));
            BiConsumer<com.ywt.gapi.consult.PayConsultingCallbackRequest, StreamObserver<com.ywt.gapi.consult.PayConsultingCallbackResponse>> payConsultingCallbackAsyncFunc = syncToAsync(this::payConsultingCallback);
            handlers.put(payConsultingCallbackProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(payConsultingCallbackAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.ArrangeConsultingRequest, StreamObserver<com.ywt.gapi.consult.ArrangeConsultingResponse>> arrangeConsultingFunc = this::arrangeConsulting;
            handlers.put(arrangeConsultingMethod.getMethodName(), new UnaryStubMethodHandler<>(arrangeConsultingFunc));
            BiConsumer<com.ywt.gapi.consult.ArrangeConsultingRequest, StreamObserver<com.ywt.gapi.consult.ArrangeConsultingResponse>> arrangeConsultingAsyncFunc = syncToAsync(this::arrangeConsulting);
            handlers.put(arrangeConsultingProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(arrangeConsultingAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.CancelConsultingRequest, StreamObserver<com.ywt.gapi.consult.CancelConsultingResponse>> cancelConsultingFunc = this::cancelConsulting;
            handlers.put(cancelConsultingMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelConsultingFunc));
            BiConsumer<com.ywt.gapi.consult.CancelConsultingRequest, StreamObserver<com.ywt.gapi.consult.CancelConsultingResponse>> cancelConsultingAsyncFunc = syncToAsync(this::cancelConsulting);
            handlers.put(cancelConsultingProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelConsultingAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.RefundConsultingCallbackRequest, StreamObserver<com.ywt.gapi.consult.RefundConsultingCallbackResponse>> refundConsultingCallbackFunc = this::refundConsultingCallback;
            handlers.put(refundConsultingCallbackMethod.getMethodName(), new UnaryStubMethodHandler<>(refundConsultingCallbackFunc));
            BiConsumer<com.ywt.gapi.consult.RefundConsultingCallbackRequest, StreamObserver<com.ywt.gapi.consult.RefundConsultingCallbackResponse>> refundConsultingCallbackAsyncFunc = syncToAsync(this::refundConsultingCallback);
            handlers.put(refundConsultingCallbackProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(refundConsultingCallbackAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultingScheduleListRequest, StreamObserver<com.ywt.gapi.consult.GetConsultingScheduleListResponse>> getConsultingScheduleListFunc = this::getConsultingScheduleList;
            handlers.put(getConsultingScheduleListMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultingScheduleListFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultingScheduleListRequest, StreamObserver<com.ywt.gapi.consult.GetConsultingScheduleListResponse>> getConsultingScheduleListAsyncFunc = syncToAsync(this::getConsultingScheduleList);
            handlers.put(getConsultingScheduleListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultingScheduleListAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.SetConsultingScheduleRequest, StreamObserver<com.ywt.gapi.consult.SetConsultingScheduleResponse>> setConsultingScheduleFunc = this::setConsultingSchedule;
            handlers.put(setConsultingScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(setConsultingScheduleFunc));
            BiConsumer<com.ywt.gapi.consult.SetConsultingScheduleRequest, StreamObserver<com.ywt.gapi.consult.SetConsultingScheduleResponse>> setConsultingScheduleAsyncFunc = syncToAsync(this::setConsultingSchedule);
            handlers.put(setConsultingScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(setConsultingScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.CancelConsultingScheduleRequest, StreamObserver<com.ywt.gapi.consult.CancelConsultingScheduleResponse>> cancelConsultingScheduleFunc = this::cancelConsultingSchedule;
            handlers.put(cancelConsultingScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelConsultingScheduleFunc));
            BiConsumer<com.ywt.gapi.consult.CancelConsultingScheduleRequest, StreamObserver<com.ywt.gapi.consult.CancelConsultingScheduleResponse>> cancelConsultingScheduleAsyncFunc = syncToAsync(this::cancelConsultingSchedule);
            handlers.put(cancelConsultingScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(cancelConsultingScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultOrderListRequest, StreamObserver<com.ywt.gapi.consult.GetConsultOrderListResponse>> getConsultOrderListFunc = this::getConsultOrderList;
            handlers.put(getConsultOrderListMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderListFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultOrderListRequest, StreamObserver<com.ywt.gapi.consult.GetConsultOrderListResponse>> getConsultOrderListAsyncFunc = syncToAsync(this::getConsultOrderList);
            handlers.put(getConsultOrderListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderListAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultOrderRequest, StreamObserver<com.ywt.gapi.consult.GetConsultOrderResponse>> getConsultOrderFunc = this::getConsultOrder;
            handlers.put(getConsultOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderFunc));
            BiConsumer<com.ywt.gapi.consult.GetConsultOrderRequest, StreamObserver<com.ywt.gapi.consult.GetConsultOrderResponse>> getConsultOrderAsyncFunc = syncToAsync(this::getConsultOrder);
            handlers.put(getConsultOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest, StreamObserver<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse>> getLatestAcceptedConsultOrderFunc = this::getLatestAcceptedConsultOrder;
            handlers.put(getLatestAcceptedConsultOrderMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestAcceptedConsultOrderFunc));
            BiConsumer<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest, StreamObserver<com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse>> getLatestAcceptedConsultOrderAsyncFunc = syncToAsync(this::getLatestAcceptedConsultOrder);
            handlers.put(getLatestAcceptedConsultOrderProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestAcceptedConsultOrderAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetFreeConsultDoctorListRequest, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse>> getFreeConsultDoctorListFunc = this::getFreeConsultDoctorList;
            handlers.put(getFreeConsultDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getFreeConsultDoctorListFunc));
            BiConsumer<com.ywt.gapi.consult.GetFreeConsultDoctorListRequest, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorListResponse>> getFreeConsultDoctorListAsyncFunc = syncToAsync(this::getFreeConsultDoctorList);
            handlers.put(getFreeConsultDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getFreeConsultDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.GetFreeConsultDoctorRequest, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorResponse>> getFreeConsultDoctorFunc = this::getFreeConsultDoctor;
            handlers.put(getFreeConsultDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(getFreeConsultDoctorFunc));
            BiConsumer<com.ywt.gapi.consult.GetFreeConsultDoctorRequest, StreamObserver<com.ywt.gapi.consult.GetFreeConsultDoctorResponse>> getFreeConsultDoctorAsyncFunc = syncToAsync(this::getFreeConsultDoctor);
            handlers.put(getFreeConsultDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getFreeConsultDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.SendMedRecordRequest, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse>> sendMedRecordFunc = this::sendMedRecord;
            handlers.put(sendMedRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(sendMedRecordFunc));
            BiConsumer<com.ywt.gapi.consult.SendMedRecordRequest, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse>> sendMedRecordAsyncFunc = syncToAsync(this::sendMedRecord);
            handlers.put(sendMedRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(sendMedRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.consult.SendDocScheduleRequest, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse>> sendDocScheduleFunc = this::sendDocSchedule;
            handlers.put(sendDocScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(sendDocScheduleFunc));
            BiConsumer<com.ywt.gapi.consult.SendDocScheduleRequest, StreamObserver<com.ywt.gapi.consult.SendMedRecordResponse>> sendDocScheduleAsyncFunc = syncToAsync(this::sendDocSchedule);
            handlers.put(sendDocScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(sendDocScheduleAsyncFunc));




            return new StubInvoker<>(this, url, ConsultingService.class, handlers);
        }


        @Override
        public com.ywt.gapi.consult.CreateConsultingOrderResponse createConsultingOrder(com.ywt.gapi.consult.CreateConsultingOrderRequest request){
            throw unimplementedMethodException(createConsultingOrderMethod);
        }

        @Override
        public com.ywt.gapi.consult.PayConsultingCallbackResponse payConsultingCallback(com.ywt.gapi.consult.PayConsultingCallbackRequest request){
            throw unimplementedMethodException(payConsultingCallbackMethod);
        }

        @Override
        public com.ywt.gapi.consult.ArrangeConsultingResponse arrangeConsulting(com.ywt.gapi.consult.ArrangeConsultingRequest request){
            throw unimplementedMethodException(arrangeConsultingMethod);
        }

        @Override
        public com.ywt.gapi.consult.CancelConsultingResponse cancelConsulting(com.ywt.gapi.consult.CancelConsultingRequest request){
            throw unimplementedMethodException(cancelConsultingMethod);
        }

        @Override
        public com.ywt.gapi.consult.RefundConsultingCallbackResponse refundConsultingCallback(com.ywt.gapi.consult.RefundConsultingCallbackRequest request){
            throw unimplementedMethodException(refundConsultingCallbackMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetConsultingScheduleListResponse getConsultingScheduleList(com.ywt.gapi.consult.GetConsultingScheduleListRequest request){
            throw unimplementedMethodException(getConsultingScheduleListMethod);
        }

        @Override
        public com.ywt.gapi.consult.SetConsultingScheduleResponse setConsultingSchedule(com.ywt.gapi.consult.SetConsultingScheduleRequest request){
            throw unimplementedMethodException(setConsultingScheduleMethod);
        }

        @Override
        public com.ywt.gapi.consult.CancelConsultingScheduleResponse cancelConsultingSchedule(com.ywt.gapi.consult.CancelConsultingScheduleRequest request){
            throw unimplementedMethodException(cancelConsultingScheduleMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetConsultOrderListResponse getConsultOrderList(com.ywt.gapi.consult.GetConsultOrderListRequest request){
            throw unimplementedMethodException(getConsultOrderListMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetConsultOrderResponse getConsultOrder(com.ywt.gapi.consult.GetConsultOrderRequest request){
            throw unimplementedMethodException(getConsultOrderMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetLatestAcceptedConsultOrderResponse getLatestAcceptedConsultOrder(com.ywt.gapi.consult.GetLatestAcceptedConsultOrderRequest request){
            throw unimplementedMethodException(getLatestAcceptedConsultOrderMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetFreeConsultDoctorListResponse getFreeConsultDoctorList(com.ywt.gapi.consult.GetFreeConsultDoctorListRequest request){
            throw unimplementedMethodException(getFreeConsultDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.consult.GetFreeConsultDoctorResponse getFreeConsultDoctor(com.ywt.gapi.consult.GetFreeConsultDoctorRequest request){
            throw unimplementedMethodException(getFreeConsultDoctorMethod);
        }

        @Override
        public com.ywt.gapi.consult.SendMedRecordResponse sendMedRecord(com.ywt.gapi.consult.SendMedRecordRequest request){
            throw unimplementedMethodException(sendMedRecordMethod);
        }

        @Override
        public com.ywt.gapi.consult.SendMedRecordResponse sendDocSchedule(com.ywt.gapi.consult.SendDocScheduleRequest request){
            throw unimplementedMethodException(sendDocScheduleMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
