/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.user;

import org.apache.dubbo.common.stream.StreamObserver;
import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public interface DoctorService extends org.apache.dubbo.rpc.model.DubboStub {

    String JAVA_SERVICE_NAME = "com.ywt.gapi.user.DoctorService";
    String SERVICE_NAME = "com.ywt.gapi.user.DoctorService";

    com.ywt.gapi.user.DoctorResponse findByUserId(com.ywt.gapi.user.DoctorRequest request);

    default CompletableFuture<com.ywt.gapi.user.DoctorResponse> findByUserIdAsync(com.ywt.gapi.user.DoctorRequest request){
        return CompletableFuture.completedFuture(findByUserId(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void findByUserId(com.ywt.gapi.user.DoctorRequest request, StreamObserver<com.ywt.gapi.user.DoctorResponse> responseObserver){
        findByUserIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.DoctorInfoResponse getDoctorInfo(com.ywt.gapi.user.DoctorRequest request);

    default CompletableFuture<com.ywt.gapi.user.DoctorInfoResponse> getDoctorInfoAsync(com.ywt.gapi.user.DoctorRequest request){
        return CompletableFuture.completedFuture(getDoctorInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorInfo(com.ywt.gapi.user.DoctorRequest request, StreamObserver<com.ywt.gapi.user.DoctorInfoResponse> responseObserver){
        getDoctorInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.PatientListResponse getPatientList(com.ywt.gapi.user.PatientListRequest request);

    default CompletableFuture<com.ywt.gapi.user.PatientListResponse> getPatientListAsync(com.ywt.gapi.user.PatientListRequest request){
        return CompletableFuture.completedFuture(getPatientList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatientList(com.ywt.gapi.user.PatientListRequest request, StreamObserver<com.ywt.gapi.user.PatientListResponse> responseObserver){
        getPatientListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.CreatePatientResponse createPatient(com.ywt.gapi.user.CreatePatientRequest request);

    default CompletableFuture<com.ywt.gapi.user.CreatePatientResponse> createPatientAsync(com.ywt.gapi.user.CreatePatientRequest request){
        return CompletableFuture.completedFuture(createPatient(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void createPatient(com.ywt.gapi.user.CreatePatientRequest request, StreamObserver<com.ywt.gapi.user.CreatePatientResponse> responseObserver){
        createPatientAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.UnionDoctorListResponse getUnionDoctorList(com.ywt.gapi.user.UnionDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.UnionDoctorListResponse> getUnionDoctorListAsync(com.ywt.gapi.user.UnionDoctorListRequest request){
        return CompletableFuture.completedFuture(getUnionDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getUnionDoctorList(com.ywt.gapi.user.UnionDoctorListRequest request, StreamObserver<com.ywt.gapi.user.UnionDoctorListResponse> responseObserver){
        getUnionDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.Result unionDoctor(com.ywt.gapi.user.UnionDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.Result> unionDoctorAsync(com.ywt.gapi.user.UnionDoctorRequest request){
        return CompletableFuture.completedFuture(unionDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void unionDoctor(com.ywt.gapi.user.UnionDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        unionDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.PlatformDoctorListResponse getPlatformDoctorList(com.ywt.gapi.user.PlatformDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.PlatformDoctorListResponse> getPlatformDoctorListAsync(com.ywt.gapi.user.PlatformDoctorListRequest request){
        return CompletableFuture.completedFuture(getPlatformDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPlatformDoctorList(com.ywt.gapi.user.PlatformDoctorListRequest request, StreamObserver<com.ywt.gapi.user.PlatformDoctorListResponse> responseObserver){
        getPlatformDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.PatientOrderInfoListResponse getPatientOrderInfoList(com.ywt.gapi.user.PatientOrderInfoListRequest request);

    default CompletableFuture<com.ywt.gapi.user.PatientOrderInfoListResponse> getPatientOrderInfoListAsync(com.ywt.gapi.user.PatientOrderInfoListRequest request){
        return CompletableFuture.completedFuture(getPatientOrderInfoList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatientOrderInfoList(com.ywt.gapi.user.PatientOrderInfoListRequest request, StreamObserver<com.ywt.gapi.user.PatientOrderInfoListResponse> responseObserver){
        getPatientOrderInfoListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.Result delPatientRequent(com.ywt.gapi.user.DelPatientRequest request);

    default CompletableFuture<com.ywt.gapi.Result> delPatientRequentAsync(com.ywt.gapi.user.DelPatientRequest request){
        return CompletableFuture.completedFuture(delPatientRequent(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void delPatientRequent(com.ywt.gapi.user.DelPatientRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        delPatientRequentAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetPatientResponse getPatient(com.ywt.gapi.user.GetPatientRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetPatientResponse> getPatientAsync(com.ywt.gapi.user.GetPatientRequest request){
        return CompletableFuture.completedFuture(getPatient(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatient(com.ywt.gapi.user.GetPatientRequest request, StreamObserver<com.ywt.gapi.user.GetPatientResponse> responseObserver){
        getPatientAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.ResultInt saveSign(com.ywt.gapi.user.SaveSignRequest request);

    default CompletableFuture<com.ywt.gapi.ResultInt> saveSignAsync(com.ywt.gapi.user.SaveSignRequest request){
        return CompletableFuture.completedFuture(saveSign(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void saveSign(com.ywt.gapi.user.SaveSignRequest request, StreamObserver<com.ywt.gapi.ResultInt> responseObserver){
        saveSignAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生出诊状态
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorSignListResponse getDoctorSignList(com.ywt.gapi.user.GetDoctorSignListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorSignListResponse> getDoctorSignListAsync(com.ywt.gapi.user.GetDoctorSignListRequest request){
        return CompletableFuture.completedFuture(getDoctorSignList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorSignList(com.ywt.gapi.user.GetDoctorSignListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorSignListResponse> responseObserver){
        getDoctorSignListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生咨询费用（单位：分）
         * </pre>
         */
    com.ywt.gapi.Result updateScheduleStatus(com.ywt.gapi.user.UpdateScheduleStatusRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateScheduleStatusAsync(com.ywt.gapi.user.UpdateScheduleStatusRequest request){
        return CompletableFuture.completedFuture(updateScheduleStatus(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateScheduleStatus(com.ywt.gapi.user.UpdateScheduleStatusRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateScheduleStatusAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 二维码链接
         * </pre>
         */
    com.ywt.gapi.Result updateConsultFee(com.ywt.gapi.user.UpdateConsultFeeRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateConsultFeeAsync(com.ywt.gapi.user.UpdateConsultFeeRequest request){
        return CompletableFuture.completedFuture(updateConsultFee(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateConsultFee(com.ywt.gapi.user.UpdateConsultFeeRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateConsultFeeAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 简介
         * </pre>
         */
    com.ywt.gapi.user.GetConsultSettingsResponse getConsultSettings(com.ywt.gapi.user.GetConsultSettingsRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetConsultSettingsResponse> getConsultSettingsAsync(com.ywt.gapi.user.GetConsultSettingsRequest request){
        return CompletableFuture.completedFuture(getConsultSettings(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultSettings(com.ywt.gapi.user.GetConsultSettingsRequest request, StreamObserver<com.ywt.gapi.user.GetConsultSettingsResponse> responseObserver){
        getConsultSettingsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生签名ID
         * </pre>
         */
    com.ywt.gapi.user.GetConsultDoctorListResponse getConsultDoctorList(com.ywt.gapi.user.GetConsultDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetConsultDoctorListResponse> getConsultDoctorListAsync(com.ywt.gapi.user.GetConsultDoctorListRequest request){
        return CompletableFuture.completedFuture(getConsultDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultDoctorList(com.ywt.gapi.user.GetConsultDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultDoctorListResponse> responseObserver){
        getConsultDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生签名地址
         * </pre>
         */
    com.ywt.gapi.Result createMedicalRecords(com.ywt.gapi.user.CreateMedicalRecordsRequest request);

    default CompletableFuture<com.ywt.gapi.Result> createMedicalRecordsAsync(com.ywt.gapi.user.CreateMedicalRecordsRequest request){
        return CompletableFuture.completedFuture(createMedicalRecords(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void createMedicalRecords(com.ywt.gapi.user.CreateMedicalRecordsRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        createMedicalRecordsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 基本信息是否填写（0-未填写，1-已填写）
         * </pre>
         */
    com.ywt.gapi.Result updateMedicalRecords(com.ywt.gapi.user.UpdateMedicalRecordsRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateMedicalRecordsAsync(com.ywt.gapi.user.UpdateMedicalRecordsRequest request){
        return CompletableFuture.completedFuture(updateMedicalRecords(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateMedicalRecords(com.ywt.gapi.user.UpdateMedicalRecordsRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateMedicalRecordsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 认证状态（0-未通过，1-已通过）
         * </pre>
         */
    com.ywt.gapi.user.GetMedicalRecordsDetailResponse getMedicalRecordsDetail(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailResponse> getMedicalRecordsDetailAsync(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request){
        return CompletableFuture.completedFuture(getMedicalRecordsDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalRecordsDetail(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailResponse> responseObserver){
        getMedicalRecordsDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 手机号
         * </pre>
         */
    com.ywt.gapi.user.GetMedicalRecordsDetailListResponse getMedicalRecordsDetailList(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse> getMedicalRecordsDetailListAsync(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request){
        return CompletableFuture.completedFuture(getMedicalRecordsDetailList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalRecordsDetailList(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse> responseObserver){
        getMedicalRecordsDetailListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 认证方式, 0-后台导入；1-医生认证
         * </pre>
         */
    com.ywt.gapi.user.GetOrderImageListResponse getOrderImageList(com.ywt.gapi.user.GetOrderImageListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetOrderImageListResponse> getOrderImageListAsync(com.ywt.gapi.user.GetOrderImageListRequest request){
        return CompletableFuture.completedFuture(getOrderImageList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getOrderImageList(com.ywt.gapi.user.GetOrderImageListRequest request, StreamObserver<com.ywt.gapi.user.GetOrderImageListResponse> responseObserver){
        getOrderImageListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 用户类型
         * </pre>
         */
    com.ywt.gapi.Result canInitiate(com.ywt.gapi.user.CanInitiateRequest request);

    default CompletableFuture<com.ywt.gapi.Result> canInitiateAsync(com.ywt.gapi.user.CanInitiateRequest request){
        return CompletableFuture.completedFuture(canInitiate(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void canInitiate(com.ywt.gapi.user.CanInitiateRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        canInitiateAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 处方二维码内容
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorResponse getDoctor(com.ywt.gapi.user.GetDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorResponse> getDoctorAsync(com.ywt.gapi.user.GetDoctorRequest request){
        return CompletableFuture.completedFuture(getDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctor(com.ywt.gapi.user.GetDoctorRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorResponse> responseObserver){
        getDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 处方二维码链接
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorAllResponse getDoctorAll(com.ywt.gapi.user.GetDoctorAllRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorAllResponse> getDoctorAllAsync(com.ywt.gapi.user.GetDoctorAllRequest request){
        return CompletableFuture.completedFuture(getDoctorAll(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorAll(com.ywt.gapi.user.GetDoctorAllRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorAllResponse> responseObserver){
        getDoctorAllAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetTreatmentSettingsResponse getTreatmentSettings(com.ywt.gapi.user.GetTreatmentSettingsRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetTreatmentSettingsResponse> getTreatmentSettingsAsync(com.ywt.gapi.user.GetTreatmentSettingsRequest request){
        return CompletableFuture.completedFuture(getTreatmentSettings(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getTreatmentSettings(com.ywt.gapi.user.GetTreatmentSettingsRequest request, StreamObserver<com.ywt.gapi.user.GetTreatmentSettingsResponse> responseObserver){
        getTreatmentSettingsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 处方二维码内容PC端
         * </pre>
         */
    com.ywt.gapi.Result updateTreatmentFee(com.ywt.gapi.user.UpdateTreatmentFeeRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateTreatmentFeeAsync(com.ywt.gapi.user.UpdateTreatmentFeeRequest request){
        return CompletableFuture.completedFuture(updateTreatmentFee(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateTreatmentFee(com.ywt.gapi.user.UpdateTreatmentFeeRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateTreatmentFeeAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 处方二维码链接PC端
         * </pre>
         */
    com.ywt.gapi.Result updateDoctorInfo(com.ywt.gapi.user.UpdateDoctorInfoRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateDoctorInfoAsync(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
        return CompletableFuture.completedFuture(updateDoctorInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateDoctorInfo(com.ywt.gapi.user.UpdateDoctorInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateDoctorInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoAudit(com.ywt.gapi.user.GetDoctorInfoAuditRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorInfoAuditResponse> getDoctorInfoAuditAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
        return CompletableFuture.completedFuture(getDoctorInfoAudit(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorInfoAudit(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse> responseObserver){
        getDoctorInfoAuditAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetDoctorSignResponse getDoctorSign(com.ywt.gapi.user.GetDoctorSignRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorSignResponse> getDoctorSignAsync(com.ywt.gapi.user.GetDoctorSignRequest request){
        return CompletableFuture.completedFuture(getDoctorSign(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorSign(com.ywt.gapi.user.GetDoctorSignRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorSignResponse> responseObserver){
        getDoctorSignAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetFriendListResponse getFriendList(com.ywt.gapi.user.GetFriendListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetFriendListResponse> getFriendListAsync(com.ywt.gapi.user.GetFriendListRequest request){
        return CompletableFuture.completedFuture(getFriendList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getFriendList(com.ywt.gapi.user.GetFriendListRequest request, StreamObserver<com.ywt.gapi.user.GetFriendListResponse> responseObserver){
        getFriendListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.SearchPatientResponse searchPatient(com.ywt.gapi.user.SearchPatientRequest request);

    default CompletableFuture<com.ywt.gapi.user.SearchPatientResponse> searchPatientAsync(com.ywt.gapi.user.SearchPatientRequest request){
        return CompletableFuture.completedFuture(searchPatient(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void searchPatient(com.ywt.gapi.user.SearchPatientRequest request, StreamObserver<com.ywt.gapi.user.SearchPatientResponse> responseObserver){
        searchPatientAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetPatientByIdResponse getPatientById(com.ywt.gapi.user.GetPatientRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetPatientByIdResponse> getPatientByIdAsync(com.ywt.gapi.user.GetPatientRequest request){
        return CompletableFuture.completedFuture(getPatientById(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatientById(com.ywt.gapi.user.GetPatientRequest request, StreamObserver<com.ywt.gapi.user.GetPatientByIdResponse> responseObserver){
        getPatientByIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  v3.2.0, 患者线下就诊后，是否3天内有1次免费咨询机会
         * </pre>
         */
    com.ywt.gapi.user.GetPatientMedicalRecordCountResponse getPatientMedicalRecordCount(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse> getPatientMedicalRecordCountAsync(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request){
        return CompletableFuture.completedFuture(getPatientMedicalRecordCount(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getPatientMedicalRecordCount(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request, StreamObserver<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse> responseObserver){
        getPatientMedicalRecordCountAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  线下就诊费用设置
         * </pre>
         */
    com.ywt.gapi.Result addOrUpdateMedicalModule(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request);

    default CompletableFuture<com.ywt.gapi.Result> addOrUpdateMedicalModuleAsync(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request){
        return CompletableFuture.completedFuture(addOrUpdateMedicalModule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void addOrUpdateMedicalModule(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        addOrUpdateMedicalModuleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetMedicalModuleDetailResponse getMedicalModuleDetail(com.ywt.gapi.user.GetMedicalModuleDetailRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMedicalModuleDetailResponse> getMedicalModuleDetailAsync(com.ywt.gapi.user.GetMedicalModuleDetailRequest request){
        return CompletableFuture.completedFuture(getMedicalModuleDetail(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalModuleDetail(com.ywt.gapi.user.GetMedicalModuleDetailRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalModuleDetailResponse> responseObserver){
        getMedicalModuleDetailAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetAllMedicalModuleResponse getAllMedicalModule(com.ywt.gapi.user.GetAllMedicalModuleRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetAllMedicalModuleResponse> getAllMedicalModuleAsync(com.ywt.gapi.user.GetAllMedicalModuleRequest request){
        return CompletableFuture.completedFuture(getAllMedicalModule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getAllMedicalModule(com.ywt.gapi.user.GetAllMedicalModuleRequest request, StreamObserver<com.ywt.gapi.user.GetAllMedicalModuleResponse> responseObserver){
        getAllMedicalModuleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  是否显示开医疗设备检查按钮
         * </pre>
         */
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse getMedicalRecordsDetailById(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse> getMedicalRecordsDetailByIdAsync(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request){
        return CompletableFuture.completedFuture(getMedicalRecordsDetailById(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalRecordsDetailById(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse> responseObserver){
        getMedicalRecordsDetailByIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse getMedicalRecordsDetailListByPatientId(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse> getMedicalRecordsDetailListByPatientIdAsync(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request){
        return CompletableFuture.completedFuture(getMedicalRecordsDetailListByPatientId(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMedicalRecordsDetailListByPatientId(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse> responseObserver){
        getMedicalRecordsDetailListByPatientIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.AddMedicalRecordResponse addMedicalRecord(com.ywt.gapi.user.AddMedicalRecordRequest request);

    default CompletableFuture<com.ywt.gapi.user.AddMedicalRecordResponse> addMedicalRecordAsync(com.ywt.gapi.user.AddMedicalRecordRequest request){
        return CompletableFuture.completedFuture(addMedicalRecord(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void addMedicalRecord(com.ywt.gapi.user.AddMedicalRecordRequest request, StreamObserver<com.ywt.gapi.user.AddMedicalRecordResponse> responseObserver){
        addMedicalRecordAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取关联医生所在医院列表
         * </pre>
         */
    com.ywt.gapi.user.GetFriendHospitalListResponse getFriendHospitalList(com.ywt.gapi.user.GetFriendHospitalListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetFriendHospitalListResponse> getFriendHospitalListAsync(com.ywt.gapi.user.GetFriendHospitalListRequest request){
        return CompletableFuture.completedFuture(getFriendHospitalList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getFriendHospitalList(com.ywt.gapi.user.GetFriendHospitalListRequest request, StreamObserver<com.ywt.gapi.user.GetFriendHospitalListResponse> responseObserver){
        getFriendHospitalListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生微信公众号统计信息   create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorStatisticsResponse getDoctorStatistics(com.ywt.gapi.user.GetDoctorInfoAuditRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorStatisticsResponse> getDoctorStatisticsAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
        return CompletableFuture.completedFuture(getDoctorStatistics(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorStatistics(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorStatisticsResponse> responseObserver){
        getDoctorStatisticsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到最近一个月的交易记录  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetLastMonthTransactionRecordResponse getLastMonthTransactionRecord(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse> getLastMonthTransactionRecordAsync(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request){
        return CompletableFuture.completedFuture(getLastMonthTransactionRecord(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLastMonthTransactionRecord(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request, StreamObserver<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse> responseObserver){
        getLastMonthTransactionRecordAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  按时间段获取交易记录
         * </pre>
         */
    com.ywt.gapi.user.GetTransactionRecordResponse getTransactionRecord(com.ywt.gapi.user.GetTransactionRecordRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetTransactionRecordResponse> getTransactionRecordAsync(com.ywt.gapi.user.GetTransactionRecordRequest request){
        return CompletableFuture.completedFuture(getTransactionRecord(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getTransactionRecord(com.ywt.gapi.user.GetTransactionRecordRequest request, StreamObserver<com.ywt.gapi.user.GetTransactionRecordResponse> responseObserver){
        getTransactionRecordAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到快捷语list  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetQuickLanguageListResponse getQuickLanguageList(com.ywt.gapi.user.GetQuickLanguageListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetQuickLanguageListResponse> getQuickLanguageListAsync(com.ywt.gapi.user.GetQuickLanguageListRequest request){
        return CompletableFuture.completedFuture(getQuickLanguageList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getQuickLanguageList(com.ywt.gapi.user.GetQuickLanguageListRequest request, StreamObserver<com.ywt.gapi.user.GetQuickLanguageListResponse> responseObserver){
        getQuickLanguageListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 待诊--（待诊、待诊中） 待诊--问诊记录（结束、退诊、取消） create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetConsultOrderListResponse getConsultOrderListWithStatus(com.ywt.gapi.user.GetConsultOrderListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetConsultOrderListResponse> getConsultOrderListWithStatusAsync(com.ywt.gapi.user.GetConsultOrderListRequest request){
        return CompletableFuture.completedFuture(getConsultOrderListWithStatus(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultOrderListWithStatus(com.ywt.gapi.user.GetConsultOrderListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultOrderListResponse> responseObserver){
        getConsultOrderListWithStatusAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 已预约--（待诊中）,已预约--预约加号订单记录（患者取消、就诊结束、医生取消） create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetAdditionalRegistrationListResponse getAdditionalRegistrationListWithStatus(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetAdditionalRegistrationListResponse> getAdditionalRegistrationListWithStatusAsync(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request){
        return CompletableFuture.completedFuture(getAdditionalRegistrationListWithStatus(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getAdditionalRegistrationListWithStatus(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request, StreamObserver<com.ywt.gapi.user.GetAdditionalRegistrationListResponse> responseObserver){
        getAdditionalRegistrationListWithStatusAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 保存出诊排班    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result saveDoctorSchedule(com.ywt.gapi.user.SaveDoctorScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.Result> saveDoctorScheduleAsync(com.ywt.gapi.user.SaveDoctorScheduleRequest request){
        return CompletableFuture.completedFuture(saveDoctorSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void saveDoctorSchedule(com.ywt.gapi.user.SaveDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        saveDoctorScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到出诊排班信息  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorScheduleResponse getDoctorSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorScheduleResponse> getDoctorScheduleAsync(com.ywt.gapi.user.GetDoctorScheduleRequest request){
        return CompletableFuture.completedFuture(getDoctorSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse> responseObserver){
        getDoctorScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到最近一周的排班信息   create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorScheduleResponse getLatestWeekSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorScheduleResponse> getLatestWeekScheduleAsync(com.ywt.gapi.user.GetDoctorScheduleRequest request){
        return CompletableFuture.completedFuture(getLatestWeekSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLatestWeekSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse> responseObserver){
        getLatestWeekScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到最近三个月的排班信息(排班时间)  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetLatestScheduleResponse getLatestSchedule(com.ywt.gapi.user.GetLatestScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetLatestScheduleResponse> getLatestScheduleAsync(com.ywt.gapi.user.GetLatestScheduleRequest request){
        return CompletableFuture.completedFuture(getLatestSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getLatestSchedule(com.ywt.gapi.user.GetLatestScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetLatestScheduleResponse> responseObserver){
        getLatestScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 设置停诊    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result setCancelSchedule(com.ywt.gapi.user.SetCancelScheduleRequest request);

    default CompletableFuture<com.ywt.gapi.Result> setCancelScheduleAsync(com.ywt.gapi.user.SetCancelScheduleRequest request){
        return CompletableFuture.completedFuture(setCancelSchedule(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void setCancelSchedule(com.ywt.gapi.user.SetCancelScheduleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        setCancelScheduleAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 根据排班ID得到排班配置信息  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse getScheduleConfigByScheduleId(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse> getScheduleConfigByScheduleIdAsync(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request){
        return CompletableFuture.completedFuture(getScheduleConfigByScheduleId(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getScheduleConfigByScheduleId(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request, StreamObserver<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse> responseObserver){
        getScheduleConfigByScheduleIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 判断排班预约情况  create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.CheckScheduleStatusResponse checkScheduleStatus(com.ywt.gapi.user.CheckScheduleStatusRequest request);

    default CompletableFuture<com.ywt.gapi.user.CheckScheduleStatusResponse> checkScheduleStatusAsync(com.ywt.gapi.user.CheckScheduleStatusRequest request){
        return CompletableFuture.completedFuture(checkScheduleStatus(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void checkScheduleStatus(com.ywt.gapi.user.CheckScheduleStatusRequest request, StreamObserver<com.ywt.gapi.user.CheckScheduleStatusResponse> responseObserver){
        checkScheduleStatusAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 医生绑定信息    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result doctorBindWx(com.ywt.gapi.user.DoctorBindWxRequest request);

    default CompletableFuture<com.ywt.gapi.Result> doctorBindWxAsync(com.ywt.gapi.user.DoctorBindWxRequest request){
        return CompletableFuture.completedFuture(doctorBindWx(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void doctorBindWx(com.ywt.gapi.user.DoctorBindWxRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        doctorBindWxAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 保存团队信息    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result saveTeam(com.ywt.gapi.user.SaveTeamRequest request);

    default CompletableFuture<com.ywt.gapi.Result> saveTeamAsync(com.ywt.gapi.user.SaveTeamRequest request){
        return CompletableFuture.completedFuture(saveTeam(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void saveTeam(com.ywt.gapi.user.SaveTeamRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        saveTeamAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到团队信息    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetTeamInfoResponse getTeamInfo(com.ywt.gapi.user.GetTeamInfoRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetTeamInfoResponse> getTeamInfoAsync(com.ywt.gapi.user.GetTeamInfoRequest request){
        return CompletableFuture.completedFuture(getTeamInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getTeamInfo(com.ywt.gapi.user.GetTeamInfoRequest request, StreamObserver<com.ywt.gapi.user.GetTeamInfoResponse> responseObserver){
        getTeamInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 搜索医生        create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.SearchDoctorResponse searchDoctor(com.ywt.gapi.user.SearchDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.user.SearchDoctorResponse> searchDoctorAsync(com.ywt.gapi.user.SearchDoctorRequest request){
        return CompletableFuture.completedFuture(searchDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void searchDoctor(com.ywt.gapi.user.SearchDoctorRequest request, StreamObserver<com.ywt.gapi.user.SearchDoctorResponse> responseObserver){
        searchDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 删除团队成员     create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result delTeamDoctor(com.ywt.gapi.user.DelTeamDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.Result> delTeamDoctorAsync(com.ywt.gapi.user.DelTeamDoctorRequest request){
        return CompletableFuture.completedFuture(delTeamDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void delTeamDoctor(com.ywt.gapi.user.DelTeamDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        delTeamDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到我的团队     create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetMyTeamResponse getMyTeam(com.ywt.gapi.user.GetMyTeamRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetMyTeamResponse> getMyTeamAsync(com.ywt.gapi.user.GetMyTeamRequest request){
        return CompletableFuture.completedFuture(getMyTeam(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getMyTeam(com.ywt.gapi.user.GetMyTeamRequest request, StreamObserver<com.ywt.gapi.user.GetMyTeamResponse> responseObserver){
        getMyTeamAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 删除团队      create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result delTeam(com.ywt.gapi.user.DelTeamRequest request);

    default CompletableFuture<com.ywt.gapi.Result> delTeamAsync(com.ywt.gapi.user.DelTeamRequest request){
        return CompletableFuture.completedFuture(delTeam(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void delTeam(com.ywt.gapi.user.DelTeamRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        delTeamAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 申请加入团队   create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result applyToJoin(com.ywt.gapi.user.ApplyToJoinRequest request);

    default CompletableFuture<com.ywt.gapi.Result> applyToJoinAsync(com.ywt.gapi.user.ApplyToJoinRequest request){
        return CompletableFuture.completedFuture(applyToJoin(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void applyToJoin(com.ywt.gapi.user.ApplyToJoinRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        applyToJoinAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 搜索团队      create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.SearchTeamResponse searchTeam(com.ywt.gapi.user.SearchTeamRequest request);

    default CompletableFuture<com.ywt.gapi.user.SearchTeamResponse> searchTeamAsync(com.ywt.gapi.user.SearchTeamRequest request){
        return CompletableFuture.completedFuture(searchTeam(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void searchTeam(com.ywt.gapi.user.SearchTeamRequest request, StreamObserver<com.ywt.gapi.user.SearchTeamResponse> responseObserver){
        searchTeamAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 处理团队邀请
         * </pre>
         */
    com.ywt.gapi.Result dealWithInvitation(com.ywt.gapi.user.DealWithInvitationRequest request);

    default CompletableFuture<com.ywt.gapi.Result> dealWithInvitationAsync(com.ywt.gapi.user.DealWithInvitationRequest request){
        return CompletableFuture.completedFuture(dealWithInvitation(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void dealWithInvitation(com.ywt.gapi.user.DealWithInvitationRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        dealWithInvitationAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 根据用户ID判断医院的状态		create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.CheckHospitalStatusResponse checkHospitalStatusByDoctorId(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request);

    default CompletableFuture<com.ywt.gapi.user.CheckHospitalStatusResponse> checkHospitalStatusByDoctorIdAsync(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request){
        return CompletableFuture.completedFuture(checkHospitalStatusByDoctorId(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void checkHospitalStatusByDoctorId(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request, StreamObserver<com.ywt.gapi.user.CheckHospitalStatusResponse> responseObserver){
        checkHospitalStatusByDoctorIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 修改患者，病历
         * </pre>
         */
    com.ywt.gapi.Result updatePatient(com.ywt.gapi.user.UpdatePatientRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updatePatientAsync(com.ywt.gapi.user.UpdatePatientRequest request){
        return CompletableFuture.completedFuture(updatePatient(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updatePatient(com.ywt.gapi.user.UpdatePatientRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updatePatientAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 得到医生的团队（自己创建的和已加入的）     create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorTeamsResponse getDoctorTeams(com.ywt.gapi.user.GetDoctorTeamsRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorTeamsResponse> getDoctorTeamsAsync(com.ywt.gapi.user.GetDoctorTeamsRequest request){
        return CompletableFuture.completedFuture(getDoctorTeams(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorTeams(com.ywt.gapi.user.GetDoctorTeamsRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorTeamsResponse> responseObserver){
        getDoctorTeamsAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取医生对应的his部门、医生编号信息       create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorHisCodeResponse getDoctorHisCode(com.ywt.gapi.user.GetDoctorHisCodeRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorHisCodeResponse> getDoctorHisCodeAsync(com.ywt.gapi.user.GetDoctorHisCodeRequest request){
        return CompletableFuture.completedFuture(getDoctorHisCode(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorHisCode(com.ywt.gapi.user.GetDoctorHisCodeRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeResponse> responseObserver){
        getDoctorHisCodeAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 保存基本信息    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result saveBaseInfo(com.ywt.gapi.user.SaveBaseInfoRequest request);

    default CompletableFuture<com.ywt.gapi.Result> saveBaseInfoAsync(com.ywt.gapi.user.SaveBaseInfoRequest request){
        return CompletableFuture.completedFuture(saveBaseInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void saveBaseInfo(com.ywt.gapi.user.SaveBaseInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        saveBaseInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取医生认证资料（新增的认证）    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoVerify(com.ywt.gapi.user.GetDoctorInfoAuditRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorInfoAuditResponse> getDoctorInfoVerifyAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
        return CompletableFuture.completedFuture(getDoctorInfoVerify(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorInfoVerify(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse> responseObserver){
        getDoctorInfoVerifyAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 更新医生资料（新增的认证）    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.Result updateDoctorInfoVerify(com.ywt.gapi.user.UpdateDoctorInfoRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updateDoctorInfoVerifyAsync(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
        return CompletableFuture.completedFuture(updateDoctorInfoVerify(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateDoctorInfoVerify(com.ywt.gapi.user.UpdateDoctorInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updateDoctorInfoVerifyAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 根据hisCode得到对应的医生信息    create by daiyihua
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorByHisCodeResponse getDoctorByHisCode(com.ywt.gapi.user.GetDoctorByHisCodeRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorByHisCodeResponse> getDoctorByHisCodeAsync(com.ywt.gapi.user.GetDoctorByHisCodeRequest request){
        return CompletableFuture.completedFuture(getDoctorByHisCode(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorByHisCode(com.ywt.gapi.user.GetDoctorByHisCodeRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorByHisCodeResponse> responseObserver){
        getDoctorByHisCodeAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 根据科室Id获取医生团队
         * </pre>
         */
    com.ywt.gapi.user.GetTeamListByDeptIdResponse getTeamListByDeptId(com.ywt.gapi.user.GetTeamListByDeptIdRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetTeamListByDeptIdResponse> getTeamListByDeptIdAsync(com.ywt.gapi.user.GetTeamListByDeptIdRequest request){
        return CompletableFuture.completedFuture(getTeamListByDeptId(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getTeamListByDeptId(com.ywt.gapi.user.GetTeamListByDeptIdRequest request, StreamObserver<com.ywt.gapi.user.GetTeamListByDeptIdResponse> responseObserver){
        getTeamListByDeptIdAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取科室排班医生
         * </pre>
         */
    com.ywt.gapi.user.GetDeptScheduleDoctorListResponse getDeptScheduleDoctorList(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse> getDeptScheduleDoctorListAsync(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request){
        return CompletableFuture.completedFuture(getDeptScheduleDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDeptScheduleDoctorList(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse> responseObserver){
        getDeptScheduleDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取平台所有医生(返回普通用户是否关注该医生)
         * </pre>
         */
    com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse generalGetPlatformDoctorList(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse> generalGetPlatformDoctorListAsync(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request){
        return CompletableFuture.completedFuture(generalGetPlatformDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void generalGetPlatformDoctorList(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse> responseObserver){
        generalGetPlatformDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取关注的平台医生
         * </pre>
         */
    com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse generalGetAttentionDoctorList(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse> generalGetAttentionDoctorListAsync(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request){
        return CompletableFuture.completedFuture(generalGetAttentionDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void generalGetAttentionDoctorList(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse> responseObserver){
        generalGetAttentionDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取展示的医生团队
         * </pre>
         */
    com.ywt.gapi.user.GetDisplayTeamListResponse getDisplayTeamList(com.ywt.gapi.user.GetDisplayTeamListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDisplayTeamListResponse> getDisplayTeamListAsync(com.ywt.gapi.user.GetDisplayTeamListRequest request){
        return CompletableFuture.completedFuture(getDisplayTeamList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDisplayTeamList(com.ywt.gapi.user.GetDisplayTeamListRequest request, StreamObserver<com.ywt.gapi.user.GetDisplayTeamListResponse> responseObserver){
        getDisplayTeamListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 判断患者是否关注医生
         * </pre>
         */
    com.ywt.gapi.ResultInt checkUserUnionDoctor(com.ywt.gapi.user.CheckUserUnionDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.ResultInt> checkUserUnionDoctorAsync(com.ywt.gapi.user.CheckUserUnionDoctorRequest request){
        return CompletableFuture.completedFuture(checkUserUnionDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void checkUserUnionDoctor(com.ywt.gapi.user.CheckUserUnionDoctorRequest request, StreamObserver<com.ywt.gapi.ResultInt> responseObserver){
        checkUserUnionDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  通知医生信息审核通过
         * </pre>
         */
    com.ywt.gapi.Result notifyDoctorVerificationPass(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request);

    default CompletableFuture<com.ywt.gapi.Result> notifyDoctorVerificationPassAsync(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request){
        return CompletableFuture.completedFuture(notifyDoctorVerificationPass(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void notifyDoctorVerificationPass(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        notifyDoctorVerificationPassAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  通知医生信息审核不通过
         * </pre>
         */
    com.ywt.gapi.Result notifyDoctorVerificationNotPass(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request);

    default CompletableFuture<com.ywt.gapi.Result> notifyDoctorVerificationNotPassAsync(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request){
        return CompletableFuture.completedFuture(notifyDoctorVerificationNotPass(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void notifyDoctorVerificationNotPass(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        notifyDoctorVerificationNotPassAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  获取问诊医生列表
         * </pre>
         */
    com.ywt.gapi.user.GetConsultDoctorPageListResponse getConsultDoctorPagedList(com.ywt.gapi.user.GetConsultDoctorPageListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetConsultDoctorPageListResponse> getConsultDoctorPagedListAsync(com.ywt.gapi.user.GetConsultDoctorPageListRequest request){
        return CompletableFuture.completedFuture(getConsultDoctorPagedList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getConsultDoctorPagedList(com.ywt.gapi.user.GetConsultDoctorPageListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultDoctorPageListResponse> responseObserver){
        getConsultDoctorPagedListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  加入医生团队
         * </pre>
         */
    com.ywt.gapi.Result scanQrCodeJoinTeamDoctor(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.Result> scanQrCodeJoinTeamDoctorAsync(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request){
        return CompletableFuture.completedFuture(scanQrCodeJoinTeamDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void scanQrCodeJoinTeamDoctor(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        scanQrCodeJoinTeamDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  获取推荐医生
         * </pre>
         */
    com.ywt.gapi.user.GetRecommendDoctorListResponse getRecommendDoctorList(com.ywt.gapi.user.GetRecommendDoctorListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetRecommendDoctorListResponse> getRecommendDoctorListAsync(com.ywt.gapi.user.GetRecommendDoctorListRequest request){
        return CompletableFuture.completedFuture(getRecommendDoctorList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getRecommendDoctorList(com.ywt.gapi.user.GetRecommendDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetRecommendDoctorListResponse> responseObserver){
        getRecommendDoctorListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorMpMenuListResponse getDoctorMpMenuList(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorMpMenuListResponse> getDoctorMpMenuListAsync(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request){
        return CompletableFuture.completedFuture(getDoctorMpMenuList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorMpMenuList(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request, StreamObserver<com.ywt.gapi.user.GetDoctorMpMenuListResponse> responseObserver){
        getDoctorMpMenuListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * </pre>
         */
    com.ywt.gapi.user.UpdateDoctorMpMenuResponse updateDoctorMpMenu(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request);

    default CompletableFuture<com.ywt.gapi.user.UpdateDoctorMpMenuResponse> updateDoctorMpMenuAsync(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request){
        return CompletableFuture.completedFuture(updateDoctorMpMenu(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updateDoctorMpMenu(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request, StreamObserver<com.ywt.gapi.user.UpdateDoctorMpMenuResponse> responseObserver){
        updateDoctorMpMenuAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 获取用户是否是审核通过的医生
         * </pre>
         */
    com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse getIsUserAnAuditDoctor(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse> getIsUserAnAuditDoctorAsync(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request){
        return CompletableFuture.completedFuture(getIsUserAnAuditDoctor(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getIsUserAnAuditDoctor(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request, StreamObserver<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse> responseObserver){
        getIsUserAnAuditDoctorAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         * 设置医生默认处方药房
         * </pre>
         */
    com.ywt.gapi.user.SetDefaultPharmacyResponse setDefaultPharmacy(com.ywt.gapi.user.SetDefaultPharmacyRequest request);

    default CompletableFuture<com.ywt.gapi.user.SetDefaultPharmacyResponse> setDefaultPharmacyAsync(com.ywt.gapi.user.SetDefaultPharmacyRequest request){
        return CompletableFuture.completedFuture(setDefaultPharmacy(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void setDefaultPharmacy(com.ywt.gapi.user.SetDefaultPharmacyRequest request, StreamObserver<com.ywt.gapi.user.SetDefaultPharmacyResponse> responseObserver){
        setDefaultPharmacyAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  得到医生职称列表
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorTitleListResponse getDoctorTitleList(com.ywt.gapi.user.GetDoctorTitleListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorTitleListResponse> getDoctorTitleListAsync(com.ywt.gapi.user.GetDoctorTitleListRequest request){
        return CompletableFuture.completedFuture(getDoctorTitleList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorTitleList(com.ywt.gapi.user.GetDoctorTitleListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorTitleListResponse> responseObserver){
        getDoctorTitleListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  更新患者信息
         * </pre>
         */
    com.ywt.gapi.Result updatePatientInfo(com.ywt.gapi.user.UpdatePatientInfoRequest request);

    default CompletableFuture<com.ywt.gapi.Result> updatePatientInfoAsync(com.ywt.gapi.user.UpdatePatientInfoRequest request){
        return CompletableFuture.completedFuture(updatePatientInfo(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void updatePatientInfo(com.ywt.gapi.user.UpdatePatientInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
        updatePatientInfoAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  得到医生定点医院信息
         * </pre>
         */
    com.ywt.gapi.user.GetDoctorFixedPointResponse getDoctorFixedPoint(com.ywt.gapi.user.GetDoctorFixedPointRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorFixedPointResponse> getDoctorFixedPointAsync(com.ywt.gapi.user.GetDoctorFixedPointRequest request){
        return CompletableFuture.completedFuture(getDoctorFixedPoint(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorFixedPoint(com.ywt.gapi.user.GetDoctorFixedPointRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorFixedPointResponse> responseObserver){
        getDoctorFixedPointAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  获取团队列表
         * </pre>
         */
    com.ywt.gapi.user.GetTeamListResponse getTeamList(com.ywt.gapi.user.GetTeamListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetTeamListResponse> getTeamListAsync(com.ywt.gapi.user.GetTeamListRequest request){
        return CompletableFuture.completedFuture(getTeamList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getTeamList(com.ywt.gapi.user.GetTeamListRequest request, StreamObserver<com.ywt.gapi.user.GetTeamListResponse> responseObserver){
        getTeamListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

    com.ywt.gapi.user.GetDoctorHisCodeListResponse getDoctorHisCodeList(com.ywt.gapi.user.GetDoctorHisCodeListRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetDoctorHisCodeListResponse> getDoctorHisCodeListAsync(com.ywt.gapi.user.GetDoctorHisCodeListRequest request){
        return CompletableFuture.completedFuture(getDoctorHisCodeList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getDoctorHisCodeList(com.ywt.gapi.user.GetDoctorHisCodeListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeListResponse> responseObserver){
        getDoctorHisCodeListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  获取在院病历（包括检验结果、检查结果、门诊病历）
         * </pre>
         */
    com.ywt.gapi.user.GetHospMedRecordResponse getHospMedRecord(com.ywt.gapi.user.GetHospMedRecordRequest request);

    default CompletableFuture<com.ywt.gapi.user.GetHospMedRecordResponse> getHospMedRecordAsync(com.ywt.gapi.user.GetHospMedRecordRequest request){
        return CompletableFuture.completedFuture(getHospMedRecord(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void getHospMedRecord(com.ywt.gapi.user.GetHospMedRecordRequest request, StreamObserver<com.ywt.gapi.user.GetHospMedRecordResponse> responseObserver){
        getHospMedRecordAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }

        /**
         * <pre>
         *  保存DoctorHisCodeList响应          
         * </pre>
         */
    com.ywt.gapi.user.SaveDoctorHisCodeListResponse saveDoctorHisCodeList(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request);

    default CompletableFuture<com.ywt.gapi.user.SaveDoctorHisCodeListResponse> saveDoctorHisCodeListAsync(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request){
        return CompletableFuture.completedFuture(saveDoctorHisCodeList(request));
    }

    /**
    * This server stream type unary method is <b>only</b> used for generated stub to support async unary method.
    * It will not be called if you are NOT using Dubbo3 generated triple stub and <b>DO NOT</b> implement this method.
    */
    default void saveDoctorHisCodeList(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request, StreamObserver<com.ywt.gapi.user.SaveDoctorHisCodeListResponse> responseObserver){
        saveDoctorHisCodeListAsync(request).whenComplete((r, t) -> {
            if (t != null) {
                responseObserver.onError(t);
            } else {
                responseObserver.onNext(r);
                responseObserver.onCompleted();
            }
        });
    }






}
