package com.ywt.core.utils;

import org.dom4j.Document;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/**
 * @author daiyihua
 * @create 2019-01-15 2:07 PM
 * @desc xml 处理
 **/

public class XMLUtil {
    public static Map<String, String> xmlAnalysis(HttpServletRequest request) throws DocumentException {

        Map<String, String> reMap = new HashMap<String, String>();
        BufferedReader reader = null;
        Document doc = null;
        StringBuilder sb = new StringBuilder();
        try {
            ServletInputStream in = request.getInputStream();
            reader = new BufferedReader(new InputStreamReader(request.getInputStream(), "utf-8"));
            String line = null;
            while ((line = reader.readLine()) != null) {
                sb.append(line);
            }
            doc = DocumentHelper.parseText(sb.toString());
            Element rootElt = doc.getRootElement();
            Iterator iter = rootElt.elementIterator("out_trade_no"); // 获取根节点下的子节点
            Iterator timeIter = rootElt.elementIterator("time_end");// 时间
            Iterator transaction = rootElt.elementIterator("transaction_id");// 交易流水
            Iterator resultCode = rootElt.elementIterator("result_code");// 交易流水
            // 遍历节点--商户订单
            while (iter.hasNext()) {
                Element recordEle = (Element) iter.next();
                String name = recordEle.getName();
                String values = recordEle.getStringValue();
                reMap.put(name, values);
            }
            while (timeIter.hasNext()) {
                Element recordEle = (Element) timeIter.next();
                String name = recordEle.getName();
                String values = recordEle.getStringValue();
                reMap.put(name, values);
            }
            while (transaction.hasNext()) {
                Element recordEle = (Element) transaction.next();
                String name = recordEle.getName();
                String values = recordEle.getStringValue();
                reMap.put(name, values);
            }
            while (resultCode.hasNext()) {
                Element recordEle = (Element) resultCode.next();
                String name = recordEle.getName();
                String values = recordEle.getStringValue();
                reMap.put(name, values);
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }

        return reMap;

    }
}
