package com.ywt.controllers.mg;

import com.ywt.mg.core.MGRight;
import com.ywt.mg.services.ShopService;
import com.ywt.mg.web.BaseResponse;
import io.swagger.annotations.ApiOperation;
import org.apache.dubbo.config.annotation.DubboReference;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author daiyihua
 * @desc 客户端下单相关接口
 */
@RestController
@RequestMapping(value = {"/mg/shop"})
public class ShopController {

    private static final Logger logger = LoggerFactory.getLogger(ShopController.class);

    @DubboReference
    private ShopService shopService;

    @MGRight(need = false)
    @ApiOperation(value = "获取店铺列表接口")
    @RequestMapping(value = "/getShopList", method = RequestMethod.GET)
    public BaseResponse getShopList() throws Exception {
        return shopService.getShopList();
    }


}
