/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements.  See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License.  You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

    package com.ywt.gapi.user;

import org.apache.dubbo.common.stream.StreamObserver;
import org.apache.dubbo.common.URL;
import org.apache.dubbo.rpc.Invoker;
import org.apache.dubbo.rpc.PathResolver;
import org.apache.dubbo.rpc.RpcException;
import org.apache.dubbo.rpc.ServerService;
import org.apache.dubbo.rpc.TriRpcStatus;
import org.apache.dubbo.rpc.model.MethodDescriptor;
import org.apache.dubbo.rpc.model.ServiceDescriptor;
import org.apache.dubbo.rpc.model.StubMethodDescriptor;
import org.apache.dubbo.rpc.model.StubServiceDescriptor;
import org.apache.dubbo.rpc.stub.BiStreamMethodHandler;
import org.apache.dubbo.rpc.stub.ServerStreamMethodHandler;
import org.apache.dubbo.rpc.stub.StubInvocationUtil;
import org.apache.dubbo.rpc.stub.StubInvoker;
import org.apache.dubbo.rpc.stub.StubMethodHandler;
import org.apache.dubbo.rpc.stub.StubSuppliers;
import org.apache.dubbo.rpc.stub.UnaryStubMethodHandler;

import com.google.protobuf.Message;

import java.util.HashMap;
import java.util.Map;
import java.util.function.BiConsumer;
import java.util.concurrent.CompletableFuture;

public final class DubboDoctorServiceTriple {

    public static final String SERVICE_NAME = DoctorService.SERVICE_NAME;

    private static final StubServiceDescriptor serviceDescriptor = new StubServiceDescriptor(SERVICE_NAME,DoctorService.class);

    static {
        org.apache.dubbo.rpc.protocol.tri.service.SchemaDescriptorRegistry.addSchemaDescriptor(SERVICE_NAME,DoctorProto.getDescriptor());
        StubSuppliers.addSupplier(SERVICE_NAME, DubboDoctorServiceTriple::newStub);
        StubSuppliers.addSupplier(DoctorService.JAVA_SERVICE_NAME,  DubboDoctorServiceTriple::newStub);
        StubSuppliers.addDescriptor(SERVICE_NAME, serviceDescriptor);
        StubSuppliers.addDescriptor(DoctorService.JAVA_SERVICE_NAME, serviceDescriptor);
    }

    @SuppressWarnings("all")
    public static DoctorService newStub(Invoker<?> invoker) {
        return new DoctorServiceStub((Invoker<DoctorService>)invoker);
    }

    private static final StubMethodDescriptor findByUserIdMethod = new StubMethodDescriptor("findByUserId",
    com.ywt.gapi.user.DoctorRequest.class, com.ywt.gapi.user.DoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorResponse::parseFrom);

    private static final StubMethodDescriptor findByUserIdAsyncMethod = new StubMethodDescriptor("findByUserId",
    com.ywt.gapi.user.DoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorResponse::parseFrom);

    private static final StubMethodDescriptor findByUserIdProxyAsyncMethod = new StubMethodDescriptor("findByUserIdAsync",
    com.ywt.gapi.user.DoctorRequest.class, com.ywt.gapi.user.DoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoMethod = new StubMethodDescriptor("getDoctorInfo",
    com.ywt.gapi.user.DoctorRequest.class, com.ywt.gapi.user.DoctorInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorInfoResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoAsyncMethod = new StubMethodDescriptor("getDoctorInfo",
    com.ywt.gapi.user.DoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorInfoResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoProxyAsyncMethod = new StubMethodDescriptor("getDoctorInfoAsync",
    com.ywt.gapi.user.DoctorRequest.class, com.ywt.gapi.user.DoctorInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorRequest::parseFrom,
    com.ywt.gapi.user.DoctorInfoResponse::parseFrom);

    private static final StubMethodDescriptor getPatientListMethod = new StubMethodDescriptor("getPatientList",
    com.ywt.gapi.user.PatientListRequest.class, com.ywt.gapi.user.PatientListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientListRequest::parseFrom,
    com.ywt.gapi.user.PatientListResponse::parseFrom);

    private static final StubMethodDescriptor getPatientListAsyncMethod = new StubMethodDescriptor("getPatientList",
    com.ywt.gapi.user.PatientListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientListRequest::parseFrom,
    com.ywt.gapi.user.PatientListResponse::parseFrom);

    private static final StubMethodDescriptor getPatientListProxyAsyncMethod = new StubMethodDescriptor("getPatientListAsync",
    com.ywt.gapi.user.PatientListRequest.class, com.ywt.gapi.user.PatientListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientListRequest::parseFrom,
    com.ywt.gapi.user.PatientListResponse::parseFrom);

    private static final StubMethodDescriptor createPatientMethod = new StubMethodDescriptor("createPatient",
    com.ywt.gapi.user.CreatePatientRequest.class, com.ywt.gapi.user.CreatePatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreatePatientRequest::parseFrom,
    com.ywt.gapi.user.CreatePatientResponse::parseFrom);

    private static final StubMethodDescriptor createPatientAsyncMethod = new StubMethodDescriptor("createPatient",
    com.ywt.gapi.user.CreatePatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreatePatientRequest::parseFrom,
    com.ywt.gapi.user.CreatePatientResponse::parseFrom);

    private static final StubMethodDescriptor createPatientProxyAsyncMethod = new StubMethodDescriptor("createPatientAsync",
    com.ywt.gapi.user.CreatePatientRequest.class, com.ywt.gapi.user.CreatePatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreatePatientRequest::parseFrom,
    com.ywt.gapi.user.CreatePatientResponse::parseFrom);

    private static final StubMethodDescriptor getUnionDoctorListMethod = new StubMethodDescriptor("getUnionDoctorList",
    com.ywt.gapi.user.UnionDoctorListRequest.class, com.ywt.gapi.user.UnionDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.UnionDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getUnionDoctorListAsyncMethod = new StubMethodDescriptor("getUnionDoctorList",
    com.ywt.gapi.user.UnionDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.UnionDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getUnionDoctorListProxyAsyncMethod = new StubMethodDescriptor("getUnionDoctorListAsync",
    com.ywt.gapi.user.UnionDoctorListRequest.class, com.ywt.gapi.user.UnionDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.UnionDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor unionDoctorMethod = new StubMethodDescriptor("unionDoctor",
    com.ywt.gapi.user.UnionDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor unionDoctorAsyncMethod = new StubMethodDescriptor("unionDoctor",
    com.ywt.gapi.user.UnionDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor unionDoctorProxyAsyncMethod = new StubMethodDescriptor("unionDoctorAsync",
    com.ywt.gapi.user.UnionDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UnionDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor getPlatformDoctorListMethod = new StubMethodDescriptor("getPlatformDoctorList",
    com.ywt.gapi.user.PlatformDoctorListRequest.class, com.ywt.gapi.user.PlatformDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.PlatformDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getPlatformDoctorListAsyncMethod = new StubMethodDescriptor("getPlatformDoctorList",
    com.ywt.gapi.user.PlatformDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.PlatformDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getPlatformDoctorListProxyAsyncMethod = new StubMethodDescriptor("getPlatformDoctorListAsync",
    com.ywt.gapi.user.PlatformDoctorListRequest.class, com.ywt.gapi.user.PlatformDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.PlatformDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getPatientOrderInfoListMethod = new StubMethodDescriptor("getPatientOrderInfoList",
    com.ywt.gapi.user.PatientOrderInfoListRequest.class, com.ywt.gapi.user.PatientOrderInfoListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientOrderInfoListRequest::parseFrom,
    com.ywt.gapi.user.PatientOrderInfoListResponse::parseFrom);

    private static final StubMethodDescriptor getPatientOrderInfoListAsyncMethod = new StubMethodDescriptor("getPatientOrderInfoList",
    com.ywt.gapi.user.PatientOrderInfoListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientOrderInfoListRequest::parseFrom,
    com.ywt.gapi.user.PatientOrderInfoListResponse::parseFrom);

    private static final StubMethodDescriptor getPatientOrderInfoListProxyAsyncMethod = new StubMethodDescriptor("getPatientOrderInfoListAsync",
    com.ywt.gapi.user.PatientOrderInfoListRequest.class, com.ywt.gapi.user.PatientOrderInfoListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.PatientOrderInfoListRequest::parseFrom,
    com.ywt.gapi.user.PatientOrderInfoListResponse::parseFrom);

    private static final StubMethodDescriptor delPatientRequentMethod = new StubMethodDescriptor("DelPatientRequent",
    com.ywt.gapi.user.DelPatientRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelPatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delPatientRequentAsyncMethod = new StubMethodDescriptor("DelPatientRequent",
    com.ywt.gapi.user.DelPatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelPatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delPatientRequentProxyAsyncMethod = new StubMethodDescriptor("DelPatientRequentAsync",
    com.ywt.gapi.user.DelPatientRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelPatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor getPatientMethod = new StubMethodDescriptor("getPatient",
    com.ywt.gapi.user.GetPatientRequest.class, com.ywt.gapi.user.GetPatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientResponse::parseFrom);

    private static final StubMethodDescriptor getPatientAsyncMethod = new StubMethodDescriptor("getPatient",
    com.ywt.gapi.user.GetPatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientResponse::parseFrom);

    private static final StubMethodDescriptor getPatientProxyAsyncMethod = new StubMethodDescriptor("getPatientAsync",
    com.ywt.gapi.user.GetPatientRequest.class, com.ywt.gapi.user.GetPatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientResponse::parseFrom);

    private static final StubMethodDescriptor saveSignMethod = new StubMethodDescriptor("saveSign",
    com.ywt.gapi.user.SaveSignRequest.class, com.ywt.gapi.ResultInt.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveSignRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    private static final StubMethodDescriptor saveSignAsyncMethod = new StubMethodDescriptor("saveSign",
    com.ywt.gapi.user.SaveSignRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveSignRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    private static final StubMethodDescriptor saveSignProxyAsyncMethod = new StubMethodDescriptor("saveSignAsync",
    com.ywt.gapi.user.SaveSignRequest.class, com.ywt.gapi.ResultInt.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveSignRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    /**
         * <pre>
         * 医生出诊状态
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorSignListMethod = new StubMethodDescriptor("getDoctorSignList",
    com.ywt.gapi.user.GetDoctorSignListRequest.class, com.ywt.gapi.user.GetDoctorSignListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorSignListAsyncMethod = new StubMethodDescriptor("getDoctorSignList",
    com.ywt.gapi.user.GetDoctorSignListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorSignListProxyAsyncMethod = new StubMethodDescriptor("getDoctorSignListAsync",
    com.ywt.gapi.user.GetDoctorSignListRequest.class, com.ywt.gapi.user.GetDoctorSignListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignListResponse::parseFrom);

    /**
         * <pre>
         * 医生咨询费用（单位：分）
         * </pre>
         */
    private static final StubMethodDescriptor updateScheduleStatusMethod = new StubMethodDescriptor("updateScheduleStatus",
    com.ywt.gapi.user.UpdateScheduleStatusRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateScheduleStatusRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateScheduleStatusAsyncMethod = new StubMethodDescriptor("updateScheduleStatus",
    com.ywt.gapi.user.UpdateScheduleStatusRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateScheduleStatusRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateScheduleStatusProxyAsyncMethod = new StubMethodDescriptor("updateScheduleStatusAsync",
    com.ywt.gapi.user.UpdateScheduleStatusRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateScheduleStatusRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 二维码链接
         * </pre>
         */
    private static final StubMethodDescriptor updateConsultFeeMethod = new StubMethodDescriptor("updateConsultFee",
    com.ywt.gapi.user.UpdateConsultFeeRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateConsultFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateConsultFeeAsyncMethod = new StubMethodDescriptor("updateConsultFee",
    com.ywt.gapi.user.UpdateConsultFeeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateConsultFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateConsultFeeProxyAsyncMethod = new StubMethodDescriptor("updateConsultFeeAsync",
    com.ywt.gapi.user.UpdateConsultFeeRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateConsultFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 简介
         * </pre>
         */
    private static final StubMethodDescriptor getConsultSettingsMethod = new StubMethodDescriptor("getConsultSettings",
    com.ywt.gapi.user.GetConsultSettingsRequest.class, com.ywt.gapi.user.GetConsultSettingsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetConsultSettingsResponse::parseFrom);

    private static final StubMethodDescriptor getConsultSettingsAsyncMethod = new StubMethodDescriptor("getConsultSettings",
    com.ywt.gapi.user.GetConsultSettingsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetConsultSettingsResponse::parseFrom);

    private static final StubMethodDescriptor getConsultSettingsProxyAsyncMethod = new StubMethodDescriptor("getConsultSettingsAsync",
    com.ywt.gapi.user.GetConsultSettingsRequest.class, com.ywt.gapi.user.GetConsultSettingsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetConsultSettingsResponse::parseFrom);

    /**
         * <pre>
         * 医生签名ID
         * </pre>
         */
    private static final StubMethodDescriptor getConsultDoctorListMethod = new StubMethodDescriptor("getConsultDoctorList",
    com.ywt.gapi.user.GetConsultDoctorListRequest.class, com.ywt.gapi.user.GetConsultDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultDoctorListAsyncMethod = new StubMethodDescriptor("getConsultDoctorList",
    com.ywt.gapi.user.GetConsultDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultDoctorListProxyAsyncMethod = new StubMethodDescriptor("getConsultDoctorListAsync",
    com.ywt.gapi.user.GetConsultDoctorListRequest.class, com.ywt.gapi.user.GetConsultDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorListResponse::parseFrom);

    /**
         * <pre>
         * 医生签名地址
         * </pre>
         */
    private static final StubMethodDescriptor createMedicalRecordsMethod = new StubMethodDescriptor("createMedicalRecords",
    com.ywt.gapi.user.CreateMedicalRecordsRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor createMedicalRecordsAsyncMethod = new StubMethodDescriptor("createMedicalRecords",
    com.ywt.gapi.user.CreateMedicalRecordsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor createMedicalRecordsProxyAsyncMethod = new StubMethodDescriptor("createMedicalRecordsAsync",
    com.ywt.gapi.user.CreateMedicalRecordsRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CreateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 基本信息是否填写（0-未填写，1-已填写）
         * </pre>
         */
    private static final StubMethodDescriptor updateMedicalRecordsMethod = new StubMethodDescriptor("updateMedicalRecords",
    com.ywt.gapi.user.UpdateMedicalRecordsRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateMedicalRecordsAsyncMethod = new StubMethodDescriptor("updateMedicalRecords",
    com.ywt.gapi.user.UpdateMedicalRecordsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateMedicalRecordsProxyAsyncMethod = new StubMethodDescriptor("updateMedicalRecordsAsync",
    com.ywt.gapi.user.UpdateMedicalRecordsRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateMedicalRecordsRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 认证状态（0-未通过，1-已通过）
         * </pre>
         */
    private static final StubMethodDescriptor getMedicalRecordsDetailMethod = new StubMethodDescriptor("getMedicalRecordsDetail",
    com.ywt.gapi.user.GetMedicalRecordsDetailRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetail",
    com.ywt.gapi.user.GetMedicalRecordsDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailProxyAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailAsync",
    com.ywt.gapi.user.GetMedicalRecordsDetailRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailResponse::parseFrom);

    /**
         * <pre>
         * 手机号
         * </pre>
         */
    private static final StubMethodDescriptor getMedicalRecordsDetailListMethod = new StubMethodDescriptor("getMedicalRecordsDetailList",
    com.ywt.gapi.user.GetMedicalRecordsDetailListRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailListAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailList",
    com.ywt.gapi.user.GetMedicalRecordsDetailListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailListProxyAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailListAsync",
    com.ywt.gapi.user.GetMedicalRecordsDetailListRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListResponse::parseFrom);

    /**
         * <pre>
         * 认证方式, 0-后台导入；1-医生认证
         * </pre>
         */
    private static final StubMethodDescriptor getOrderImageListMethod = new StubMethodDescriptor("getOrderImageList",
    com.ywt.gapi.user.GetOrderImageListRequest.class, com.ywt.gapi.user.GetOrderImageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetOrderImageListRequest::parseFrom,
    com.ywt.gapi.user.GetOrderImageListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderImageListAsyncMethod = new StubMethodDescriptor("getOrderImageList",
    com.ywt.gapi.user.GetOrderImageListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetOrderImageListRequest::parseFrom,
    com.ywt.gapi.user.GetOrderImageListResponse::parseFrom);

    private static final StubMethodDescriptor getOrderImageListProxyAsyncMethod = new StubMethodDescriptor("getOrderImageListAsync",
    com.ywt.gapi.user.GetOrderImageListRequest.class, com.ywt.gapi.user.GetOrderImageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetOrderImageListRequest::parseFrom,
    com.ywt.gapi.user.GetOrderImageListResponse::parseFrom);

    /**
         * <pre>
         * 用户类型
         * </pre>
         */
    private static final StubMethodDescriptor canInitiateMethod = new StubMethodDescriptor("canInitiate",
    com.ywt.gapi.user.CanInitiateRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CanInitiateRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor canInitiateAsyncMethod = new StubMethodDescriptor("canInitiate",
    com.ywt.gapi.user.CanInitiateRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CanInitiateRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor canInitiateProxyAsyncMethod = new StubMethodDescriptor("canInitiateAsync",
    com.ywt.gapi.user.CanInitiateRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CanInitiateRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 处方二维码内容
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorMethod = new StubMethodDescriptor("getDoctor",
    com.ywt.gapi.user.GetDoctorRequest.class, com.ywt.gapi.user.GetDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorAsyncMethod = new StubMethodDescriptor("getDoctor",
    com.ywt.gapi.user.GetDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorProxyAsyncMethod = new StubMethodDescriptor("getDoctorAsync",
    com.ywt.gapi.user.GetDoctorRequest.class, com.ywt.gapi.user.GetDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorResponse::parseFrom);

    /**
         * <pre>
         * 处方二维码链接
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorAllMethod = new StubMethodDescriptor("getDoctorAll",
    com.ywt.gapi.user.GetDoctorAllRequest.class, com.ywt.gapi.user.GetDoctorAllResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorAllRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorAllResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorAllAsyncMethod = new StubMethodDescriptor("getDoctorAll",
    com.ywt.gapi.user.GetDoctorAllRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorAllRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorAllResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorAllProxyAsyncMethod = new StubMethodDescriptor("getDoctorAllAsync",
    com.ywt.gapi.user.GetDoctorAllRequest.class, com.ywt.gapi.user.GetDoctorAllResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorAllRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorAllResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentSettingsMethod = new StubMethodDescriptor("getTreatmentSettings",
    com.ywt.gapi.user.GetTreatmentSettingsRequest.class, com.ywt.gapi.user.GetTreatmentSettingsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTreatmentSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetTreatmentSettingsResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentSettingsAsyncMethod = new StubMethodDescriptor("getTreatmentSettings",
    com.ywt.gapi.user.GetTreatmentSettingsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTreatmentSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetTreatmentSettingsResponse::parseFrom);

    private static final StubMethodDescriptor getTreatmentSettingsProxyAsyncMethod = new StubMethodDescriptor("getTreatmentSettingsAsync",
    com.ywt.gapi.user.GetTreatmentSettingsRequest.class, com.ywt.gapi.user.GetTreatmentSettingsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTreatmentSettingsRequest::parseFrom,
    com.ywt.gapi.user.GetTreatmentSettingsResponse::parseFrom);

    /**
         * <pre>
         * 处方二维码内容PC端
         * </pre>
         */
    private static final StubMethodDescriptor updateTreatmentFeeMethod = new StubMethodDescriptor("updateTreatmentFee",
    com.ywt.gapi.user.UpdateTreatmentFeeRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateTreatmentFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateTreatmentFeeAsyncMethod = new StubMethodDescriptor("updateTreatmentFee",
    com.ywt.gapi.user.UpdateTreatmentFeeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateTreatmentFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateTreatmentFeeProxyAsyncMethod = new StubMethodDescriptor("updateTreatmentFeeAsync",
    com.ywt.gapi.user.UpdateTreatmentFeeRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateTreatmentFeeRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 处方二维码链接PC端
         * </pre>
         */
    private static final StubMethodDescriptor updateDoctorInfoMethod = new StubMethodDescriptor("updateDoctorInfo",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateDoctorInfoAsyncMethod = new StubMethodDescriptor("updateDoctorInfo",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateDoctorInfoProxyAsyncMethod = new StubMethodDescriptor("updateDoctorInfoAsync",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoAuditMethod = new StubMethodDescriptor("getDoctorInfoAudit",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorInfoAuditResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoAuditAsyncMethod = new StubMethodDescriptor("getDoctorInfoAudit",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoAuditProxyAsyncMethod = new StubMethodDescriptor("getDoctorInfoAuditAsync",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorInfoAuditResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorSignMethod = new StubMethodDescriptor("getDoctorSign",
    com.ywt.gapi.user.GetDoctorSignRequest.class, com.ywt.gapi.user.GetDoctorSignResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorSignAsyncMethod = new StubMethodDescriptor("getDoctorSign",
    com.ywt.gapi.user.GetDoctorSignRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorSignProxyAsyncMethod = new StubMethodDescriptor("getDoctorSignAsync",
    com.ywt.gapi.user.GetDoctorSignRequest.class, com.ywt.gapi.user.GetDoctorSignResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorSignRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorSignResponse::parseFrom);

    private static final StubMethodDescriptor getFriendListMethod = new StubMethodDescriptor("getFriendList",
    com.ywt.gapi.user.GetFriendListRequest.class, com.ywt.gapi.user.GetFriendListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendListResponse::parseFrom);

    private static final StubMethodDescriptor getFriendListAsyncMethod = new StubMethodDescriptor("getFriendList",
    com.ywt.gapi.user.GetFriendListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendListResponse::parseFrom);

    private static final StubMethodDescriptor getFriendListProxyAsyncMethod = new StubMethodDescriptor("getFriendListAsync",
    com.ywt.gapi.user.GetFriendListRequest.class, com.ywt.gapi.user.GetFriendListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendListResponse::parseFrom);

    private static final StubMethodDescriptor searchPatientMethod = new StubMethodDescriptor("searchPatient",
    com.ywt.gapi.user.SearchPatientRequest.class, com.ywt.gapi.user.SearchPatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchPatientRequest::parseFrom,
    com.ywt.gapi.user.SearchPatientResponse::parseFrom);

    private static final StubMethodDescriptor searchPatientAsyncMethod = new StubMethodDescriptor("searchPatient",
    com.ywt.gapi.user.SearchPatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchPatientRequest::parseFrom,
    com.ywt.gapi.user.SearchPatientResponse::parseFrom);

    private static final StubMethodDescriptor searchPatientProxyAsyncMethod = new StubMethodDescriptor("searchPatientAsync",
    com.ywt.gapi.user.SearchPatientRequest.class, com.ywt.gapi.user.SearchPatientResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchPatientRequest::parseFrom,
    com.ywt.gapi.user.SearchPatientResponse::parseFrom);

    private static final StubMethodDescriptor getPatientByIdMethod = new StubMethodDescriptor("getPatientById",
    com.ywt.gapi.user.GetPatientRequest.class, com.ywt.gapi.user.GetPatientByIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientByIdResponse::parseFrom);

    private static final StubMethodDescriptor getPatientByIdAsyncMethod = new StubMethodDescriptor("getPatientById",
    com.ywt.gapi.user.GetPatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientByIdResponse::parseFrom);

    private static final StubMethodDescriptor getPatientByIdProxyAsyncMethod = new StubMethodDescriptor("getPatientByIdAsync",
    com.ywt.gapi.user.GetPatientRequest.class, com.ywt.gapi.user.GetPatientByIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientRequest::parseFrom,
    com.ywt.gapi.user.GetPatientByIdResponse::parseFrom);

    /**
         * <pre>
         *  v3.2.0, 患者线下就诊后，是否3天内有1次免费咨询机会
         * </pre>
         */
    private static final StubMethodDescriptor getPatientMedicalRecordCountMethod = new StubMethodDescriptor("getPatientMedicalRecordCount",
    com.ywt.gapi.user.GetPatientMedicalRecordCountRequest.class, com.ywt.gapi.user.GetPatientMedicalRecordCountResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientMedicalRecordCountRequest::parseFrom,
    com.ywt.gapi.user.GetPatientMedicalRecordCountResponse::parseFrom);

    private static final StubMethodDescriptor getPatientMedicalRecordCountAsyncMethod = new StubMethodDescriptor("getPatientMedicalRecordCount",
    com.ywt.gapi.user.GetPatientMedicalRecordCountRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientMedicalRecordCountRequest::parseFrom,
    com.ywt.gapi.user.GetPatientMedicalRecordCountResponse::parseFrom);

    private static final StubMethodDescriptor getPatientMedicalRecordCountProxyAsyncMethod = new StubMethodDescriptor("getPatientMedicalRecordCountAsync",
    com.ywt.gapi.user.GetPatientMedicalRecordCountRequest.class, com.ywt.gapi.user.GetPatientMedicalRecordCountResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetPatientMedicalRecordCountRequest::parseFrom,
    com.ywt.gapi.user.GetPatientMedicalRecordCountResponse::parseFrom);

    /**
         * <pre>
         *  线下就诊费用设置
         * </pre>
         */
    private static final StubMethodDescriptor addOrUpdateMedicalModuleMethod = new StubMethodDescriptor("addOrUpdateMedicalModule",
    com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor addOrUpdateMedicalModuleAsyncMethod = new StubMethodDescriptor("addOrUpdateMedicalModule",
    com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor addOrUpdateMedicalModuleProxyAsyncMethod = new StubMethodDescriptor("addOrUpdateMedicalModuleAsync",
    com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor getMedicalModuleDetailMethod = new StubMethodDescriptor("getMedicalModuleDetail",
    com.ywt.gapi.user.GetMedicalModuleDetailRequest.class, com.ywt.gapi.user.GetMedicalModuleDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalModuleDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalModuleDetailResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalModuleDetailAsyncMethod = new StubMethodDescriptor("getMedicalModuleDetail",
    com.ywt.gapi.user.GetMedicalModuleDetailRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalModuleDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalModuleDetailResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalModuleDetailProxyAsyncMethod = new StubMethodDescriptor("getMedicalModuleDetailAsync",
    com.ywt.gapi.user.GetMedicalModuleDetailRequest.class, com.ywt.gapi.user.GetMedicalModuleDetailResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalModuleDetailRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalModuleDetailResponse::parseFrom);

    private static final StubMethodDescriptor getAllMedicalModuleMethod = new StubMethodDescriptor("getAllMedicalModule",
    com.ywt.gapi.user.GetAllMedicalModuleRequest.class, com.ywt.gapi.user.GetAllMedicalModuleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAllMedicalModuleRequest::parseFrom,
    com.ywt.gapi.user.GetAllMedicalModuleResponse::parseFrom);

    private static final StubMethodDescriptor getAllMedicalModuleAsyncMethod = new StubMethodDescriptor("getAllMedicalModule",
    com.ywt.gapi.user.GetAllMedicalModuleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAllMedicalModuleRequest::parseFrom,
    com.ywt.gapi.user.GetAllMedicalModuleResponse::parseFrom);

    private static final StubMethodDescriptor getAllMedicalModuleProxyAsyncMethod = new StubMethodDescriptor("getAllMedicalModuleAsync",
    com.ywt.gapi.user.GetAllMedicalModuleRequest.class, com.ywt.gapi.user.GetAllMedicalModuleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAllMedicalModuleRequest::parseFrom,
    com.ywt.gapi.user.GetAllMedicalModuleResponse::parseFrom);

    /**
         * <pre>
         *  是否显示开医疗设备检查按钮
         * </pre>
         */
    private static final StubMethodDescriptor getMedicalRecordsDetailByIdMethod = new StubMethodDescriptor("getMedicalRecordsDetailById",
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailByIdAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailById",
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailByIdProxyAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailByIdAsync",
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailListByPatientIdMethod = new StubMethodDescriptor("getMedicalRecordsDetailListByPatientId",
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailListByPatientIdAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailListByPatientId",
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse::parseFrom);

    private static final StubMethodDescriptor getMedicalRecordsDetailListByPatientIdProxyAsyncMethod = new StubMethodDescriptor("getMedicalRecordsDetailListByPatientIdAsync",
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest.class, com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest::parseFrom,
    com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse::parseFrom);

    private static final StubMethodDescriptor addMedicalRecordMethod = new StubMethodDescriptor("addMedicalRecord",
    com.ywt.gapi.user.AddMedicalRecordRequest.class, com.ywt.gapi.user.AddMedicalRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddMedicalRecordRequest::parseFrom,
    com.ywt.gapi.user.AddMedicalRecordResponse::parseFrom);

    private static final StubMethodDescriptor addMedicalRecordAsyncMethod = new StubMethodDescriptor("addMedicalRecord",
    com.ywt.gapi.user.AddMedicalRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddMedicalRecordRequest::parseFrom,
    com.ywt.gapi.user.AddMedicalRecordResponse::parseFrom);

    private static final StubMethodDescriptor addMedicalRecordProxyAsyncMethod = new StubMethodDescriptor("addMedicalRecordAsync",
    com.ywt.gapi.user.AddMedicalRecordRequest.class, com.ywt.gapi.user.AddMedicalRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.AddMedicalRecordRequest::parseFrom,
    com.ywt.gapi.user.AddMedicalRecordResponse::parseFrom);

    /**
         * <pre>
         * 获取关联医生所在医院列表
         * </pre>
         */
    private static final StubMethodDescriptor getFriendHospitalListMethod = new StubMethodDescriptor("getFriendHospitalList",
    com.ywt.gapi.user.GetFriendHospitalListRequest.class, com.ywt.gapi.user.GetFriendHospitalListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendHospitalListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendHospitalListResponse::parseFrom);

    private static final StubMethodDescriptor getFriendHospitalListAsyncMethod = new StubMethodDescriptor("getFriendHospitalList",
    com.ywt.gapi.user.GetFriendHospitalListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendHospitalListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendHospitalListResponse::parseFrom);

    private static final StubMethodDescriptor getFriendHospitalListProxyAsyncMethod = new StubMethodDescriptor("getFriendHospitalListAsync",
    com.ywt.gapi.user.GetFriendHospitalListRequest.class, com.ywt.gapi.user.GetFriendHospitalListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetFriendHospitalListRequest::parseFrom,
    com.ywt.gapi.user.GetFriendHospitalListResponse::parseFrom);

    /**
         * <pre>
         * 医生微信公众号统计信息   create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorStatisticsMethod = new StubMethodDescriptor("getDoctorStatistics",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorStatisticsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorStatisticsResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorStatisticsAsyncMethod = new StubMethodDescriptor("getDoctorStatistics",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorStatisticsResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorStatisticsProxyAsyncMethod = new StubMethodDescriptor("getDoctorStatisticsAsync",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorStatisticsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorStatisticsResponse::parseFrom);

    /**
         * <pre>
         * 得到最近一个月的交易记录  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getLastMonthTransactionRecordMethod = new StubMethodDescriptor("getLastMonthTransactionRecord",
    com.ywt.gapi.user.GetLastMonthTransactionRecordRequest.class, com.ywt.gapi.user.GetLastMonthTransactionRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLastMonthTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetLastMonthTransactionRecordResponse::parseFrom);

    private static final StubMethodDescriptor getLastMonthTransactionRecordAsyncMethod = new StubMethodDescriptor("getLastMonthTransactionRecord",
    com.ywt.gapi.user.GetLastMonthTransactionRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLastMonthTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetLastMonthTransactionRecordResponse::parseFrom);

    private static final StubMethodDescriptor getLastMonthTransactionRecordProxyAsyncMethod = new StubMethodDescriptor("getLastMonthTransactionRecordAsync",
    com.ywt.gapi.user.GetLastMonthTransactionRecordRequest.class, com.ywt.gapi.user.GetLastMonthTransactionRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLastMonthTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetLastMonthTransactionRecordResponse::parseFrom);

    /**
         * <pre>
         *  按时间段获取交易记录
         * </pre>
         */
    private static final StubMethodDescriptor getTransactionRecordMethod = new StubMethodDescriptor("getTransactionRecord",
    com.ywt.gapi.user.GetTransactionRecordRequest.class, com.ywt.gapi.user.GetTransactionRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetTransactionRecordResponse::parseFrom);

    private static final StubMethodDescriptor getTransactionRecordAsyncMethod = new StubMethodDescriptor("getTransactionRecord",
    com.ywt.gapi.user.GetTransactionRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetTransactionRecordResponse::parseFrom);

    private static final StubMethodDescriptor getTransactionRecordProxyAsyncMethod = new StubMethodDescriptor("getTransactionRecordAsync",
    com.ywt.gapi.user.GetTransactionRecordRequest.class, com.ywt.gapi.user.GetTransactionRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTransactionRecordRequest::parseFrom,
    com.ywt.gapi.user.GetTransactionRecordResponse::parseFrom);

    /**
         * <pre>
         * 得到快捷语list  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getQuickLanguageListMethod = new StubMethodDescriptor("getQuickLanguageList",
    com.ywt.gapi.user.GetQuickLanguageListRequest.class, com.ywt.gapi.user.GetQuickLanguageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetQuickLanguageListRequest::parseFrom,
    com.ywt.gapi.user.GetQuickLanguageListResponse::parseFrom);

    private static final StubMethodDescriptor getQuickLanguageListAsyncMethod = new StubMethodDescriptor("getQuickLanguageList",
    com.ywt.gapi.user.GetQuickLanguageListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetQuickLanguageListRequest::parseFrom,
    com.ywt.gapi.user.GetQuickLanguageListResponse::parseFrom);

    private static final StubMethodDescriptor getQuickLanguageListProxyAsyncMethod = new StubMethodDescriptor("getQuickLanguageListAsync",
    com.ywt.gapi.user.GetQuickLanguageListRequest.class, com.ywt.gapi.user.GetQuickLanguageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetQuickLanguageListRequest::parseFrom,
    com.ywt.gapi.user.GetQuickLanguageListResponse::parseFrom);

    /**
         * <pre>
         * 待诊--（待诊、待诊中） 待诊--问诊记录（结束、退诊、取消） create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getConsultOrderListWithStatusMethod = new StubMethodDescriptor("getConsultOrderListWithStatus",
    com.ywt.gapi.user.GetConsultOrderListRequest.class, com.ywt.gapi.user.GetConsultOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderListWithStatusAsyncMethod = new StubMethodDescriptor("getConsultOrderListWithStatus",
    com.ywt.gapi.user.GetConsultOrderListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultOrderListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultOrderListWithStatusProxyAsyncMethod = new StubMethodDescriptor("getConsultOrderListWithStatusAsync",
    com.ywt.gapi.user.GetConsultOrderListRequest.class, com.ywt.gapi.user.GetConsultOrderListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultOrderListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultOrderListResponse::parseFrom);

    /**
         * <pre>
         * 已预约--（待诊中）,已预约--预约加号订单记录（患者取消、就诊结束、医生取消） create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getAdditionalRegistrationListWithStatusMethod = new StubMethodDescriptor("getAdditionalRegistrationListWithStatus",
    com.ywt.gapi.user.GetAdditionalRegistrationListRequest.class, com.ywt.gapi.user.GetAdditionalRegistrationListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAdditionalRegistrationListRequest::parseFrom,
    com.ywt.gapi.user.GetAdditionalRegistrationListResponse::parseFrom);

    private static final StubMethodDescriptor getAdditionalRegistrationListWithStatusAsyncMethod = new StubMethodDescriptor("getAdditionalRegistrationListWithStatus",
    com.ywt.gapi.user.GetAdditionalRegistrationListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAdditionalRegistrationListRequest::parseFrom,
    com.ywt.gapi.user.GetAdditionalRegistrationListResponse::parseFrom);

    private static final StubMethodDescriptor getAdditionalRegistrationListWithStatusProxyAsyncMethod = new StubMethodDescriptor("getAdditionalRegistrationListWithStatusAsync",
    com.ywt.gapi.user.GetAdditionalRegistrationListRequest.class, com.ywt.gapi.user.GetAdditionalRegistrationListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetAdditionalRegistrationListRequest::parseFrom,
    com.ywt.gapi.user.GetAdditionalRegistrationListResponse::parseFrom);

    /**
         * <pre>
         * 保存出诊排班    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor saveDoctorScheduleMethod = new StubMethodDescriptor("saveDoctorSchedule",
    com.ywt.gapi.user.SaveDoctorScheduleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveDoctorScheduleAsyncMethod = new StubMethodDescriptor("saveDoctorSchedule",
    com.ywt.gapi.user.SaveDoctorScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveDoctorScheduleProxyAsyncMethod = new StubMethodDescriptor("saveDoctorScheduleAsync",
    com.ywt.gapi.user.SaveDoctorScheduleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 得到出诊排班信息  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorScheduleMethod = new StubMethodDescriptor("getDoctorSchedule",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, com.ywt.gapi.user.GetDoctorScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorScheduleAsyncMethod = new StubMethodDescriptor("getDoctorSchedule",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorScheduleProxyAsyncMethod = new StubMethodDescriptor("getDoctorScheduleAsync",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, com.ywt.gapi.user.GetDoctorScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    /**
         * <pre>
         * 得到最近一周的排班信息   create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getLatestWeekScheduleMethod = new StubMethodDescriptor("getLatestWeekSchedule",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, com.ywt.gapi.user.GetDoctorScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getLatestWeekScheduleAsyncMethod = new StubMethodDescriptor("getLatestWeekSchedule",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getLatestWeekScheduleProxyAsyncMethod = new StubMethodDescriptor("getLatestWeekScheduleAsync",
    com.ywt.gapi.user.GetDoctorScheduleRequest.class, com.ywt.gapi.user.GetDoctorScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorScheduleResponse::parseFrom);

    /**
         * <pre>
         * 得到最近三个月的排班信息(排班时间)  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getLatestScheduleMethod = new StubMethodDescriptor("getLatestSchedule",
    com.ywt.gapi.user.GetLatestScheduleRequest.class, com.ywt.gapi.user.GetLatestScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLatestScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetLatestScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getLatestScheduleAsyncMethod = new StubMethodDescriptor("getLatestSchedule",
    com.ywt.gapi.user.GetLatestScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLatestScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetLatestScheduleResponse::parseFrom);

    private static final StubMethodDescriptor getLatestScheduleProxyAsyncMethod = new StubMethodDescriptor("getLatestScheduleAsync",
    com.ywt.gapi.user.GetLatestScheduleRequest.class, com.ywt.gapi.user.GetLatestScheduleResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetLatestScheduleRequest::parseFrom,
    com.ywt.gapi.user.GetLatestScheduleResponse::parseFrom);

    /**
         * <pre>
         * 设置停诊    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor setCancelScheduleMethod = new StubMethodDescriptor("setCancelSchedule",
    com.ywt.gapi.user.SetCancelScheduleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetCancelScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor setCancelScheduleAsyncMethod = new StubMethodDescriptor("setCancelSchedule",
    com.ywt.gapi.user.SetCancelScheduleRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetCancelScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor setCancelScheduleProxyAsyncMethod = new StubMethodDescriptor("setCancelScheduleAsync",
    com.ywt.gapi.user.SetCancelScheduleRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetCancelScheduleRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 根据排班ID得到排班配置信息  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getScheduleConfigByScheduleIdMethod = new StubMethodDescriptor("getScheduleConfigByScheduleId",
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest.class, com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest::parseFrom,
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleConfigByScheduleIdAsyncMethod = new StubMethodDescriptor("getScheduleConfigByScheduleId",
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest::parseFrom,
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse::parseFrom);

    private static final StubMethodDescriptor getScheduleConfigByScheduleIdProxyAsyncMethod = new StubMethodDescriptor("getScheduleConfigByScheduleIdAsync",
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest.class, com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest::parseFrom,
    com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse::parseFrom);

    /**
         * <pre>
         * 判断排班预约情况  create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor checkScheduleStatusMethod = new StubMethodDescriptor("checkScheduleStatus",
    com.ywt.gapi.user.CheckScheduleStatusRequest.class, com.ywt.gapi.user.CheckScheduleStatusResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckScheduleStatusRequest::parseFrom,
    com.ywt.gapi.user.CheckScheduleStatusResponse::parseFrom);

    private static final StubMethodDescriptor checkScheduleStatusAsyncMethod = new StubMethodDescriptor("checkScheduleStatus",
    com.ywt.gapi.user.CheckScheduleStatusRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckScheduleStatusRequest::parseFrom,
    com.ywt.gapi.user.CheckScheduleStatusResponse::parseFrom);

    private static final StubMethodDescriptor checkScheduleStatusProxyAsyncMethod = new StubMethodDescriptor("checkScheduleStatusAsync",
    com.ywt.gapi.user.CheckScheduleStatusRequest.class, com.ywt.gapi.user.CheckScheduleStatusResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckScheduleStatusRequest::parseFrom,
    com.ywt.gapi.user.CheckScheduleStatusResponse::parseFrom);

    /**
         * <pre>
         * 医生绑定信息    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor doctorBindWxMethod = new StubMethodDescriptor("doctorBindWx",
    com.ywt.gapi.user.DoctorBindWxRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorBindWxRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor doctorBindWxAsyncMethod = new StubMethodDescriptor("doctorBindWx",
    com.ywt.gapi.user.DoctorBindWxRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorBindWxRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor doctorBindWxProxyAsyncMethod = new StubMethodDescriptor("doctorBindWxAsync",
    com.ywt.gapi.user.DoctorBindWxRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DoctorBindWxRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 保存团队信息    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor saveTeamMethod = new StubMethodDescriptor("saveTeam",
    com.ywt.gapi.user.SaveTeamRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveTeamAsyncMethod = new StubMethodDescriptor("saveTeam",
    com.ywt.gapi.user.SaveTeamRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveTeamProxyAsyncMethod = new StubMethodDescriptor("saveTeamAsync",
    com.ywt.gapi.user.SaveTeamRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 得到团队信息    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getTeamInfoMethod = new StubMethodDescriptor("getTeamInfo",
    com.ywt.gapi.user.GetTeamInfoRequest.class, com.ywt.gapi.user.GetTeamInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamInfoRequest::parseFrom,
    com.ywt.gapi.user.GetTeamInfoResponse::parseFrom);

    private static final StubMethodDescriptor getTeamInfoAsyncMethod = new StubMethodDescriptor("getTeamInfo",
    com.ywt.gapi.user.GetTeamInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamInfoRequest::parseFrom,
    com.ywt.gapi.user.GetTeamInfoResponse::parseFrom);

    private static final StubMethodDescriptor getTeamInfoProxyAsyncMethod = new StubMethodDescriptor("getTeamInfoAsync",
    com.ywt.gapi.user.GetTeamInfoRequest.class, com.ywt.gapi.user.GetTeamInfoResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamInfoRequest::parseFrom,
    com.ywt.gapi.user.GetTeamInfoResponse::parseFrom);

    /**
         * <pre>
         * 搜索医生        create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor searchDoctorMethod = new StubMethodDescriptor("searchDoctor",
    com.ywt.gapi.user.SearchDoctorRequest.class, com.ywt.gapi.user.SearchDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchDoctorRequest::parseFrom,
    com.ywt.gapi.user.SearchDoctorResponse::parseFrom);

    private static final StubMethodDescriptor searchDoctorAsyncMethod = new StubMethodDescriptor("searchDoctor",
    com.ywt.gapi.user.SearchDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchDoctorRequest::parseFrom,
    com.ywt.gapi.user.SearchDoctorResponse::parseFrom);

    private static final StubMethodDescriptor searchDoctorProxyAsyncMethod = new StubMethodDescriptor("searchDoctorAsync",
    com.ywt.gapi.user.SearchDoctorRequest.class, com.ywt.gapi.user.SearchDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchDoctorRequest::parseFrom,
    com.ywt.gapi.user.SearchDoctorResponse::parseFrom);

    /**
         * <pre>
         * 删除团队成员     create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor delTeamDoctorMethod = new StubMethodDescriptor("delTeamDoctor",
    com.ywt.gapi.user.DelTeamDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delTeamDoctorAsyncMethod = new StubMethodDescriptor("delTeamDoctor",
    com.ywt.gapi.user.DelTeamDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delTeamDoctorProxyAsyncMethod = new StubMethodDescriptor("delTeamDoctorAsync",
    com.ywt.gapi.user.DelTeamDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 得到我的团队     create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getMyTeamMethod = new StubMethodDescriptor("getMyTeam",
    com.ywt.gapi.user.GetMyTeamRequest.class, com.ywt.gapi.user.GetMyTeamResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMyTeamRequest::parseFrom,
    com.ywt.gapi.user.GetMyTeamResponse::parseFrom);

    private static final StubMethodDescriptor getMyTeamAsyncMethod = new StubMethodDescriptor("getMyTeam",
    com.ywt.gapi.user.GetMyTeamRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMyTeamRequest::parseFrom,
    com.ywt.gapi.user.GetMyTeamResponse::parseFrom);

    private static final StubMethodDescriptor getMyTeamProxyAsyncMethod = new StubMethodDescriptor("getMyTeamAsync",
    com.ywt.gapi.user.GetMyTeamRequest.class, com.ywt.gapi.user.GetMyTeamResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetMyTeamRequest::parseFrom,
    com.ywt.gapi.user.GetMyTeamResponse::parseFrom);

    /**
         * <pre>
         * 删除团队      create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor delTeamMethod = new StubMethodDescriptor("delTeam",
    com.ywt.gapi.user.DelTeamRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delTeamAsyncMethod = new StubMethodDescriptor("delTeam",
    com.ywt.gapi.user.DelTeamRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor delTeamProxyAsyncMethod = new StubMethodDescriptor("delTeamAsync",
    com.ywt.gapi.user.DelTeamRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DelTeamRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 申请加入团队   create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor applyToJoinMethod = new StubMethodDescriptor("applyToJoin",
    com.ywt.gapi.user.ApplyToJoinRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ApplyToJoinRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor applyToJoinAsyncMethod = new StubMethodDescriptor("applyToJoin",
    com.ywt.gapi.user.ApplyToJoinRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ApplyToJoinRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor applyToJoinProxyAsyncMethod = new StubMethodDescriptor("applyToJoinAsync",
    com.ywt.gapi.user.ApplyToJoinRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ApplyToJoinRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 搜索团队      create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor searchTeamMethod = new StubMethodDescriptor("searchTeam",
    com.ywt.gapi.user.SearchTeamRequest.class, com.ywt.gapi.user.SearchTeamResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchTeamRequest::parseFrom,
    com.ywt.gapi.user.SearchTeamResponse::parseFrom);

    private static final StubMethodDescriptor searchTeamAsyncMethod = new StubMethodDescriptor("searchTeam",
    com.ywt.gapi.user.SearchTeamRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchTeamRequest::parseFrom,
    com.ywt.gapi.user.SearchTeamResponse::parseFrom);

    private static final StubMethodDescriptor searchTeamProxyAsyncMethod = new StubMethodDescriptor("searchTeamAsync",
    com.ywt.gapi.user.SearchTeamRequest.class, com.ywt.gapi.user.SearchTeamResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SearchTeamRequest::parseFrom,
    com.ywt.gapi.user.SearchTeamResponse::parseFrom);

    /**
         * <pre>
         * 处理团队邀请
         * </pre>
         */
    private static final StubMethodDescriptor dealWithInvitationMethod = new StubMethodDescriptor("dealWithInvitation",
    com.ywt.gapi.user.DealWithInvitationRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DealWithInvitationRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor dealWithInvitationAsyncMethod = new StubMethodDescriptor("dealWithInvitation",
    com.ywt.gapi.user.DealWithInvitationRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DealWithInvitationRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor dealWithInvitationProxyAsyncMethod = new StubMethodDescriptor("dealWithInvitationAsync",
    com.ywt.gapi.user.DealWithInvitationRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.DealWithInvitationRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 根据用户ID判断医院的状态		create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor checkHospitalStatusByDoctorIdMethod = new StubMethodDescriptor("checkHospitalStatusByDoctorId",
    com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest.class, com.ywt.gapi.user.CheckHospitalStatusResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest::parseFrom,
    com.ywt.gapi.user.CheckHospitalStatusResponse::parseFrom);

    private static final StubMethodDescriptor checkHospitalStatusByDoctorIdAsyncMethod = new StubMethodDescriptor("checkHospitalStatusByDoctorId",
    com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest::parseFrom,
    com.ywt.gapi.user.CheckHospitalStatusResponse::parseFrom);

    private static final StubMethodDescriptor checkHospitalStatusByDoctorIdProxyAsyncMethod = new StubMethodDescriptor("checkHospitalStatusByDoctorIdAsync",
    com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest.class, com.ywt.gapi.user.CheckHospitalStatusResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest::parseFrom,
    com.ywt.gapi.user.CheckHospitalStatusResponse::parseFrom);

    /**
         * <pre>
         * 修改患者，病历
         * </pre>
         */
    private static final StubMethodDescriptor updatePatientMethod = new StubMethodDescriptor("updatePatient",
    com.ywt.gapi.user.UpdatePatientRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updatePatientAsyncMethod = new StubMethodDescriptor("updatePatient",
    com.ywt.gapi.user.UpdatePatientRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updatePatientProxyAsyncMethod = new StubMethodDescriptor("updatePatientAsync",
    com.ywt.gapi.user.UpdatePatientRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 得到医生的团队（自己创建的和已加入的）     create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorTeamsMethod = new StubMethodDescriptor("getDoctorTeams",
    com.ywt.gapi.user.GetDoctorTeamsRequest.class, com.ywt.gapi.user.GetDoctorTeamsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTeamsRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTeamsResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorTeamsAsyncMethod = new StubMethodDescriptor("getDoctorTeams",
    com.ywt.gapi.user.GetDoctorTeamsRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTeamsRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTeamsResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorTeamsProxyAsyncMethod = new StubMethodDescriptor("getDoctorTeamsAsync",
    com.ywt.gapi.user.GetDoctorTeamsRequest.class, com.ywt.gapi.user.GetDoctorTeamsResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTeamsRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTeamsResponse::parseFrom);

    /**
         * <pre>
         * 获取医生对应的his部门、医生编号信息       create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorHisCodeMethod = new StubMethodDescriptor("getDoctorHisCode",
    com.ywt.gapi.user.GetDoctorHisCodeRequest.class, com.ywt.gapi.user.GetDoctorHisCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorHisCodeAsyncMethod = new StubMethodDescriptor("getDoctorHisCode",
    com.ywt.gapi.user.GetDoctorHisCodeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorHisCodeProxyAsyncMethod = new StubMethodDescriptor("getDoctorHisCodeAsync",
    com.ywt.gapi.user.GetDoctorHisCodeRequest.class, com.ywt.gapi.user.GetDoctorHisCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeResponse::parseFrom);

    /**
         * <pre>
         * 保存基本信息    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor saveBaseInfoMethod = new StubMethodDescriptor("saveBaseInfo",
    com.ywt.gapi.user.SaveBaseInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveBaseInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveBaseInfoAsyncMethod = new StubMethodDescriptor("saveBaseInfo",
    com.ywt.gapi.user.SaveBaseInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveBaseInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor saveBaseInfoProxyAsyncMethod = new StubMethodDescriptor("saveBaseInfoAsync",
    com.ywt.gapi.user.SaveBaseInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveBaseInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 获取医生认证资料（新增的认证）    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorInfoVerifyMethod = new StubMethodDescriptor("getDoctorInfoVerify",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorInfoAuditResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoVerifyAsyncMethod = new StubMethodDescriptor("getDoctorInfoVerify",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorInfoVerifyProxyAsyncMethod = new StubMethodDescriptor("getDoctorInfoVerifyAsync",
    com.ywt.gapi.user.GetDoctorInfoAuditRequest.class, com.ywt.gapi.user.GetDoctorInfoAuditResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorInfoAuditRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorInfoAuditResponse::parseFrom);

    /**
         * <pre>
         * 更新医生资料（新增的认证）    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor updateDoctorInfoVerifyMethod = new StubMethodDescriptor("updateDoctorInfoVerify",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateDoctorInfoVerifyAsyncMethod = new StubMethodDescriptor("updateDoctorInfoVerify",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updateDoctorInfoVerifyProxyAsyncMethod = new StubMethodDescriptor("updateDoctorInfoVerifyAsync",
    com.ywt.gapi.user.UpdateDoctorInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         * 根据hisCode得到对应的医生信息    create by daiyihua
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorByHisCodeMethod = new StubMethodDescriptor("getDoctorByHisCode",
    com.ywt.gapi.user.GetDoctorByHisCodeRequest.class, com.ywt.gapi.user.GetDoctorByHisCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorByHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorByHisCodeResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorByHisCodeAsyncMethod = new StubMethodDescriptor("getDoctorByHisCode",
    com.ywt.gapi.user.GetDoctorByHisCodeRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorByHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorByHisCodeResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorByHisCodeProxyAsyncMethod = new StubMethodDescriptor("getDoctorByHisCodeAsync",
    com.ywt.gapi.user.GetDoctorByHisCodeRequest.class, com.ywt.gapi.user.GetDoctorByHisCodeResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorByHisCodeRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorByHisCodeResponse::parseFrom);

    /**
         * <pre>
         * 根据科室Id获取医生团队
         * </pre>
         */
    private static final StubMethodDescriptor getTeamListByDeptIdMethod = new StubMethodDescriptor("getTeamListByDeptId",
    com.ywt.gapi.user.GetTeamListByDeptIdRequest.class, com.ywt.gapi.user.GetTeamListByDeptIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListByDeptIdRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListByDeptIdResponse::parseFrom);

    private static final StubMethodDescriptor getTeamListByDeptIdAsyncMethod = new StubMethodDescriptor("getTeamListByDeptId",
    com.ywt.gapi.user.GetTeamListByDeptIdRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListByDeptIdRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListByDeptIdResponse::parseFrom);

    private static final StubMethodDescriptor getTeamListByDeptIdProxyAsyncMethod = new StubMethodDescriptor("getTeamListByDeptIdAsync",
    com.ywt.gapi.user.GetTeamListByDeptIdRequest.class, com.ywt.gapi.user.GetTeamListByDeptIdResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListByDeptIdRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListByDeptIdResponse::parseFrom);

    /**
         * <pre>
         * 获取科室排班医生
         * </pre>
         */
    private static final StubMethodDescriptor getDeptScheduleDoctorListMethod = new StubMethodDescriptor("getDeptScheduleDoctorList",
    com.ywt.gapi.user.GetDeptScheduleDoctorListRequest.class, com.ywt.gapi.user.GetDeptScheduleDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDeptScheduleDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetDeptScheduleDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getDeptScheduleDoctorListAsyncMethod = new StubMethodDescriptor("getDeptScheduleDoctorList",
    com.ywt.gapi.user.GetDeptScheduleDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDeptScheduleDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetDeptScheduleDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getDeptScheduleDoctorListProxyAsyncMethod = new StubMethodDescriptor("getDeptScheduleDoctorListAsync",
    com.ywt.gapi.user.GetDeptScheduleDoctorListRequest.class, com.ywt.gapi.user.GetDeptScheduleDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDeptScheduleDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetDeptScheduleDoctorListResponse::parseFrom);

    /**
         * <pre>
         * 获取平台所有医生(返回普通用户是否关注该医生)
         * </pre>
         */
    private static final StubMethodDescriptor generalGetPlatformDoctorListMethod = new StubMethodDescriptor("generalGetPlatformDoctorList",
    com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest.class, com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor generalGetPlatformDoctorListAsyncMethod = new StubMethodDescriptor("generalGetPlatformDoctorList",
    com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor generalGetPlatformDoctorListProxyAsyncMethod = new StubMethodDescriptor("generalGetPlatformDoctorListAsync",
    com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest.class, com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse::parseFrom);

    /**
         * <pre>
         * 获取关注的平台医生
         * </pre>
         */
    private static final StubMethodDescriptor generalGetAttentionDoctorListMethod = new StubMethodDescriptor("generalGetAttentionDoctorList",
    com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest.class, com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor generalGetAttentionDoctorListAsyncMethod = new StubMethodDescriptor("generalGetAttentionDoctorList",
    com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor generalGetAttentionDoctorListProxyAsyncMethod = new StubMethodDescriptor("generalGetAttentionDoctorListAsync",
    com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest.class, com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse::parseFrom);

    /**
         * <pre>
         * 获取展示的医生团队
         * </pre>
         */
    private static final StubMethodDescriptor getDisplayTeamListMethod = new StubMethodDescriptor("getDisplayTeamList",
    com.ywt.gapi.user.GetDisplayTeamListRequest.class, com.ywt.gapi.user.GetDisplayTeamListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDisplayTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetDisplayTeamListResponse::parseFrom);

    private static final StubMethodDescriptor getDisplayTeamListAsyncMethod = new StubMethodDescriptor("getDisplayTeamList",
    com.ywt.gapi.user.GetDisplayTeamListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDisplayTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetDisplayTeamListResponse::parseFrom);

    private static final StubMethodDescriptor getDisplayTeamListProxyAsyncMethod = new StubMethodDescriptor("getDisplayTeamListAsync",
    com.ywt.gapi.user.GetDisplayTeamListRequest.class, com.ywt.gapi.user.GetDisplayTeamListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDisplayTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetDisplayTeamListResponse::parseFrom);

    /**
         * <pre>
         * 判断患者是否关注医生
         * </pre>
         */
    private static final StubMethodDescriptor checkUserUnionDoctorMethod = new StubMethodDescriptor("checkUserUnionDoctor",
    com.ywt.gapi.user.CheckUserUnionDoctorRequest.class, com.ywt.gapi.ResultInt.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckUserUnionDoctorRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    private static final StubMethodDescriptor checkUserUnionDoctorAsyncMethod = new StubMethodDescriptor("checkUserUnionDoctor",
    com.ywt.gapi.user.CheckUserUnionDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckUserUnionDoctorRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    private static final StubMethodDescriptor checkUserUnionDoctorProxyAsyncMethod = new StubMethodDescriptor("checkUserUnionDoctorAsync",
    com.ywt.gapi.user.CheckUserUnionDoctorRequest.class, com.ywt.gapi.ResultInt.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.CheckUserUnionDoctorRequest::parseFrom,
    com.ywt.gapi.ResultInt::parseFrom);

    /**
         * <pre>
         *  通知医生信息审核通过
         * </pre>
         */
    private static final StubMethodDescriptor notifyDoctorVerificationPassMethod = new StubMethodDescriptor("notifyDoctorVerificationPass",
    com.ywt.gapi.user.NotifyDoctorVerificationPassRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor notifyDoctorVerificationPassAsyncMethod = new StubMethodDescriptor("notifyDoctorVerificationPass",
    com.ywt.gapi.user.NotifyDoctorVerificationPassRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor notifyDoctorVerificationPassProxyAsyncMethod = new StubMethodDescriptor("notifyDoctorVerificationPassAsync",
    com.ywt.gapi.user.NotifyDoctorVerificationPassRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         *  通知医生信息审核不通过
         * </pre>
         */
    private static final StubMethodDescriptor notifyDoctorVerificationNotPassMethod = new StubMethodDescriptor("notifyDoctorVerificationNotPass",
    com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor notifyDoctorVerificationNotPassAsyncMethod = new StubMethodDescriptor("notifyDoctorVerificationNotPass",
    com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor notifyDoctorVerificationNotPassProxyAsyncMethod = new StubMethodDescriptor("notifyDoctorVerificationNotPassAsync",
    com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         *  获取问诊医生列表
         * </pre>
         */
    private static final StubMethodDescriptor getConsultDoctorPagedListMethod = new StubMethodDescriptor("getConsultDoctorPagedList",
    com.ywt.gapi.user.GetConsultDoctorPageListRequest.class, com.ywt.gapi.user.GetConsultDoctorPageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorPageListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorPageListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultDoctorPagedListAsyncMethod = new StubMethodDescriptor("getConsultDoctorPagedList",
    com.ywt.gapi.user.GetConsultDoctorPageListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorPageListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorPageListResponse::parseFrom);

    private static final StubMethodDescriptor getConsultDoctorPagedListProxyAsyncMethod = new StubMethodDescriptor("getConsultDoctorPagedListAsync",
    com.ywt.gapi.user.GetConsultDoctorPageListRequest.class, com.ywt.gapi.user.GetConsultDoctorPageListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetConsultDoctorPageListRequest::parseFrom,
    com.ywt.gapi.user.GetConsultDoctorPageListResponse::parseFrom);

    /**
         * <pre>
         *  加入医生团队
         * </pre>
         */
    private static final StubMethodDescriptor scanQrCodeJoinTeamDoctorMethod = new StubMethodDescriptor("scanQrCodeJoinTeamDoctor",
    com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor scanQrCodeJoinTeamDoctorAsyncMethod = new StubMethodDescriptor("scanQrCodeJoinTeamDoctor",
    com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor scanQrCodeJoinTeamDoctorProxyAsyncMethod = new StubMethodDescriptor("scanQrCodeJoinTeamDoctorAsync",
    com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         *  获取推荐医生
         * </pre>
         */
    private static final StubMethodDescriptor getRecommendDoctorListMethod = new StubMethodDescriptor("getRecommendDoctorList",
    com.ywt.gapi.user.GetRecommendDoctorListRequest.class, com.ywt.gapi.user.GetRecommendDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetRecommendDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetRecommendDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getRecommendDoctorListAsyncMethod = new StubMethodDescriptor("getRecommendDoctorList",
    com.ywt.gapi.user.GetRecommendDoctorListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetRecommendDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetRecommendDoctorListResponse::parseFrom);

    private static final StubMethodDescriptor getRecommendDoctorListProxyAsyncMethod = new StubMethodDescriptor("getRecommendDoctorListAsync",
    com.ywt.gapi.user.GetRecommendDoctorListRequest.class, com.ywt.gapi.user.GetRecommendDoctorListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetRecommendDoctorListRequest::parseFrom,
    com.ywt.gapi.user.GetRecommendDoctorListResponse::parseFrom);

    /**
         * <pre>
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorMpMenuListMethod = new StubMethodDescriptor("getDoctorMpMenuList",
    com.ywt.gapi.user.GetDoctorMpMenuListReqeust.class, com.ywt.gapi.user.GetDoctorMpMenuListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorMpMenuListReqeust::parseFrom,
    com.ywt.gapi.user.GetDoctorMpMenuListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorMpMenuListAsyncMethod = new StubMethodDescriptor("getDoctorMpMenuList",
    com.ywt.gapi.user.GetDoctorMpMenuListReqeust.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorMpMenuListReqeust::parseFrom,
    com.ywt.gapi.user.GetDoctorMpMenuListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorMpMenuListProxyAsyncMethod = new StubMethodDescriptor("getDoctorMpMenuListAsync",
    com.ywt.gapi.user.GetDoctorMpMenuListReqeust.class, com.ywt.gapi.user.GetDoctorMpMenuListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorMpMenuListReqeust::parseFrom,
    com.ywt.gapi.user.GetDoctorMpMenuListResponse::parseFrom);

    /**
         * <pre>
         * </pre>
         */
    private static final StubMethodDescriptor updateDoctorMpMenuMethod = new StubMethodDescriptor("updateDoctorMpMenu",
    com.ywt.gapi.user.UpdateDoctorMpMenuReqeust.class, com.ywt.gapi.user.UpdateDoctorMpMenuResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorMpMenuReqeust::parseFrom,
    com.ywt.gapi.user.UpdateDoctorMpMenuResponse::parseFrom);

    private static final StubMethodDescriptor updateDoctorMpMenuAsyncMethod = new StubMethodDescriptor("updateDoctorMpMenu",
    com.ywt.gapi.user.UpdateDoctorMpMenuReqeust.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorMpMenuReqeust::parseFrom,
    com.ywt.gapi.user.UpdateDoctorMpMenuResponse::parseFrom);

    private static final StubMethodDescriptor updateDoctorMpMenuProxyAsyncMethod = new StubMethodDescriptor("updateDoctorMpMenuAsync",
    com.ywt.gapi.user.UpdateDoctorMpMenuReqeust.class, com.ywt.gapi.user.UpdateDoctorMpMenuResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdateDoctorMpMenuReqeust::parseFrom,
    com.ywt.gapi.user.UpdateDoctorMpMenuResponse::parseFrom);

    /**
         * <pre>
         * 获取用户是否是审核通过的医生
         * </pre>
         */
    private static final StubMethodDescriptor getIsUserAnAuditDoctorMethod = new StubMethodDescriptor("getIsUserAnAuditDoctor",
    com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest.class, com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getIsUserAnAuditDoctorAsyncMethod = new StubMethodDescriptor("getIsUserAnAuditDoctor",
    com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse::parseFrom);

    private static final StubMethodDescriptor getIsUserAnAuditDoctorProxyAsyncMethod = new StubMethodDescriptor("getIsUserAnAuditDoctorAsync",
    com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest.class, com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest::parseFrom,
    com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse::parseFrom);

    /**
         * <pre>
         * 设置医生默认处方药房
         * </pre>
         */
    private static final StubMethodDescriptor setDefaultPharmacyMethod = new StubMethodDescriptor("setDefaultPharmacy",
    com.ywt.gapi.user.SetDefaultPharmacyRequest.class, com.ywt.gapi.user.SetDefaultPharmacyResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetDefaultPharmacyRequest::parseFrom,
    com.ywt.gapi.user.SetDefaultPharmacyResponse::parseFrom);

    private static final StubMethodDescriptor setDefaultPharmacyAsyncMethod = new StubMethodDescriptor("setDefaultPharmacy",
    com.ywt.gapi.user.SetDefaultPharmacyRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetDefaultPharmacyRequest::parseFrom,
    com.ywt.gapi.user.SetDefaultPharmacyResponse::parseFrom);

    private static final StubMethodDescriptor setDefaultPharmacyProxyAsyncMethod = new StubMethodDescriptor("setDefaultPharmacyAsync",
    com.ywt.gapi.user.SetDefaultPharmacyRequest.class, com.ywt.gapi.user.SetDefaultPharmacyResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SetDefaultPharmacyRequest::parseFrom,
    com.ywt.gapi.user.SetDefaultPharmacyResponse::parseFrom);

    /**
         * <pre>
         *  得到医生职称列表
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorTitleListMethod = new StubMethodDescriptor("getDoctorTitleList",
    com.ywt.gapi.user.GetDoctorTitleListRequest.class, com.ywt.gapi.user.GetDoctorTitleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTitleListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTitleListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorTitleListAsyncMethod = new StubMethodDescriptor("getDoctorTitleList",
    com.ywt.gapi.user.GetDoctorTitleListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTitleListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTitleListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorTitleListProxyAsyncMethod = new StubMethodDescriptor("getDoctorTitleListAsync",
    com.ywt.gapi.user.GetDoctorTitleListRequest.class, com.ywt.gapi.user.GetDoctorTitleListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorTitleListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorTitleListResponse::parseFrom);

    /**
         * <pre>
         *  更新患者信息
         * </pre>
         */
    private static final StubMethodDescriptor updatePatientInfoMethod = new StubMethodDescriptor("updatePatientInfo",
    com.ywt.gapi.user.UpdatePatientInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updatePatientInfoAsyncMethod = new StubMethodDescriptor("updatePatientInfo",
    com.ywt.gapi.user.UpdatePatientInfoRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    private static final StubMethodDescriptor updatePatientInfoProxyAsyncMethod = new StubMethodDescriptor("updatePatientInfoAsync",
    com.ywt.gapi.user.UpdatePatientInfoRequest.class, com.ywt.gapi.Result.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.UpdatePatientInfoRequest::parseFrom,
    com.ywt.gapi.Result::parseFrom);

    /**
         * <pre>
         *  得到医生定点医院信息
         * </pre>
         */
    private static final StubMethodDescriptor getDoctorFixedPointMethod = new StubMethodDescriptor("getDoctorFixedPoint",
    com.ywt.gapi.user.GetDoctorFixedPointRequest.class, com.ywt.gapi.user.GetDoctorFixedPointResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorFixedPointRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorFixedPointResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorFixedPointAsyncMethod = new StubMethodDescriptor("getDoctorFixedPoint",
    com.ywt.gapi.user.GetDoctorFixedPointRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorFixedPointRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorFixedPointResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorFixedPointProxyAsyncMethod = new StubMethodDescriptor("getDoctorFixedPointAsync",
    com.ywt.gapi.user.GetDoctorFixedPointRequest.class, com.ywt.gapi.user.GetDoctorFixedPointResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorFixedPointRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorFixedPointResponse::parseFrom);

    /**
         * <pre>
         *  获取团队列表
         * </pre>
         */
    private static final StubMethodDescriptor getTeamListMethod = new StubMethodDescriptor("getTeamList",
    com.ywt.gapi.user.GetTeamListRequest.class, com.ywt.gapi.user.GetTeamListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListResponse::parseFrom);

    private static final StubMethodDescriptor getTeamListAsyncMethod = new StubMethodDescriptor("getTeamList",
    com.ywt.gapi.user.GetTeamListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListResponse::parseFrom);

    private static final StubMethodDescriptor getTeamListProxyAsyncMethod = new StubMethodDescriptor("getTeamListAsync",
    com.ywt.gapi.user.GetTeamListRequest.class, com.ywt.gapi.user.GetTeamListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetTeamListRequest::parseFrom,
    com.ywt.gapi.user.GetTeamListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorHisCodeListMethod = new StubMethodDescriptor("getDoctorHisCodeList",
    com.ywt.gapi.user.GetDoctorHisCodeListRequest.class, com.ywt.gapi.user.GetDoctorHisCodeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorHisCodeListAsyncMethod = new StubMethodDescriptor("getDoctorHisCodeList",
    com.ywt.gapi.user.GetDoctorHisCodeListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeListResponse::parseFrom);

    private static final StubMethodDescriptor getDoctorHisCodeListProxyAsyncMethod = new StubMethodDescriptor("getDoctorHisCodeListAsync",
    com.ywt.gapi.user.GetDoctorHisCodeListRequest.class, com.ywt.gapi.user.GetDoctorHisCodeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.GetDoctorHisCodeListResponse::parseFrom);

    /**
         * <pre>
         *  获取在院病历（包括检验结果、检查结果、门诊病历）
         * </pre>
         */
    private static final StubMethodDescriptor getHospMedRecordMethod = new StubMethodDescriptor("getHospMedRecord",
    com.ywt.gapi.user.GetHospMedRecordRequest.class, com.ywt.gapi.user.GetHospMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetHospMedRecordRequest::parseFrom,
    com.ywt.gapi.user.GetHospMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor getHospMedRecordAsyncMethod = new StubMethodDescriptor("getHospMedRecord",
    com.ywt.gapi.user.GetHospMedRecordRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetHospMedRecordRequest::parseFrom,
    com.ywt.gapi.user.GetHospMedRecordResponse::parseFrom);

    private static final StubMethodDescriptor getHospMedRecordProxyAsyncMethod = new StubMethodDescriptor("getHospMedRecordAsync",
    com.ywt.gapi.user.GetHospMedRecordRequest.class, com.ywt.gapi.user.GetHospMedRecordResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.GetHospMedRecordRequest::parseFrom,
    com.ywt.gapi.user.GetHospMedRecordResponse::parseFrom);

    /**
         * <pre>
         *  保存DoctorHisCodeList响应          
         * </pre>
         */
    private static final StubMethodDescriptor saveDoctorHisCodeListMethod = new StubMethodDescriptor("saveDoctorHisCodeList",
    com.ywt.gapi.user.SaveDoctorHisCodeListRequest.class, com.ywt.gapi.user.SaveDoctorHisCodeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.SaveDoctorHisCodeListResponse::parseFrom);

    private static final StubMethodDescriptor saveDoctorHisCodeListAsyncMethod = new StubMethodDescriptor("saveDoctorHisCodeList",
    com.ywt.gapi.user.SaveDoctorHisCodeListRequest.class, java.util.concurrent.CompletableFuture.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.SaveDoctorHisCodeListResponse::parseFrom);

    private static final StubMethodDescriptor saveDoctorHisCodeListProxyAsyncMethod = new StubMethodDescriptor("saveDoctorHisCodeListAsync",
    com.ywt.gapi.user.SaveDoctorHisCodeListRequest.class, com.ywt.gapi.user.SaveDoctorHisCodeListResponse.class, serviceDescriptor, MethodDescriptor.RpcType.UNARY,
    obj -> ((Message) obj).toByteArray(), obj -> ((Message) obj).toByteArray(), com.ywt.gapi.user.SaveDoctorHisCodeListRequest::parseFrom,
    com.ywt.gapi.user.SaveDoctorHisCodeListResponse::parseFrom);





    public static class DoctorServiceStub implements DoctorService{
        private final Invoker<DoctorService> invoker;

        public DoctorServiceStub(Invoker<DoctorService> invoker) {
            this.invoker = invoker;
        }

        @Override
        public com.ywt.gapi.user.DoctorResponse findByUserId(com.ywt.gapi.user.DoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, findByUserIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.DoctorResponse> findByUserIdAsync(com.ywt.gapi.user.DoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, findByUserIdAsyncMethod, request);
        }

        @Override
        public void findByUserId(com.ywt.gapi.user.DoctorRequest request, StreamObserver<com.ywt.gapi.user.DoctorResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, findByUserIdMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.DoctorInfoResponse getDoctorInfo(com.ywt.gapi.user.DoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.DoctorInfoResponse> getDoctorInfoAsync(com.ywt.gapi.user.DoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoAsyncMethod, request);
        }

        @Override
        public void getDoctorInfo(com.ywt.gapi.user.DoctorRequest request, StreamObserver<com.ywt.gapi.user.DoctorInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.PatientListResponse getPatientList(com.ywt.gapi.user.PatientListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.PatientListResponse> getPatientListAsync(com.ywt.gapi.user.PatientListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientListAsyncMethod, request);
        }

        @Override
        public void getPatientList(com.ywt.gapi.user.PatientListRequest request, StreamObserver<com.ywt.gapi.user.PatientListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.CreatePatientResponse createPatient(com.ywt.gapi.user.CreatePatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, createPatientMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.CreatePatientResponse> createPatientAsync(com.ywt.gapi.user.CreatePatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, createPatientAsyncMethod, request);
        }

        @Override
        public void createPatient(com.ywt.gapi.user.CreatePatientRequest request, StreamObserver<com.ywt.gapi.user.CreatePatientResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createPatientMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.UnionDoctorListResponse getUnionDoctorList(com.ywt.gapi.user.UnionDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getUnionDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.UnionDoctorListResponse> getUnionDoctorListAsync(com.ywt.gapi.user.UnionDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getUnionDoctorListAsyncMethod, request);
        }

        @Override
        public void getUnionDoctorList(com.ywt.gapi.user.UnionDoctorListRequest request, StreamObserver<com.ywt.gapi.user.UnionDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getUnionDoctorListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.Result unionDoctor(com.ywt.gapi.user.UnionDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, unionDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> unionDoctorAsync(com.ywt.gapi.user.UnionDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, unionDoctorAsyncMethod, request);
        }

        @Override
        public void unionDoctor(com.ywt.gapi.user.UnionDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, unionDoctorMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.PlatformDoctorListResponse getPlatformDoctorList(com.ywt.gapi.user.PlatformDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPlatformDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.PlatformDoctorListResponse> getPlatformDoctorListAsync(com.ywt.gapi.user.PlatformDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPlatformDoctorListAsyncMethod, request);
        }

        @Override
        public void getPlatformDoctorList(com.ywt.gapi.user.PlatformDoctorListRequest request, StreamObserver<com.ywt.gapi.user.PlatformDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPlatformDoctorListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.PatientOrderInfoListResponse getPatientOrderInfoList(com.ywt.gapi.user.PatientOrderInfoListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientOrderInfoListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.PatientOrderInfoListResponse> getPatientOrderInfoListAsync(com.ywt.gapi.user.PatientOrderInfoListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientOrderInfoListAsyncMethod, request);
        }

        @Override
        public void getPatientOrderInfoList(com.ywt.gapi.user.PatientOrderInfoListRequest request, StreamObserver<com.ywt.gapi.user.PatientOrderInfoListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientOrderInfoListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.Result delPatientRequent(com.ywt.gapi.user.DelPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, delPatientRequentMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> delPatientRequentAsync(com.ywt.gapi.user.DelPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, delPatientRequentAsyncMethod, request);
        }

        @Override
        public void delPatientRequent(com.ywt.gapi.user.DelPatientRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, delPatientRequentMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetPatientResponse getPatient(com.ywt.gapi.user.GetPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetPatientResponse> getPatientAsync(com.ywt.gapi.user.GetPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientAsyncMethod, request);
        }

        @Override
        public void getPatient(com.ywt.gapi.user.GetPatientRequest request, StreamObserver<com.ywt.gapi.user.GetPatientResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.ResultInt saveSign(com.ywt.gapi.user.SaveSignRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveSignMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.ResultInt> saveSignAsync(com.ywt.gapi.user.SaveSignRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveSignAsyncMethod, request);
        }

        @Override
        public void saveSign(com.ywt.gapi.user.SaveSignRequest request, StreamObserver<com.ywt.gapi.ResultInt> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveSignMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生出诊状态
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorSignListResponse getDoctorSignList(com.ywt.gapi.user.GetDoctorSignListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorSignListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorSignListResponse> getDoctorSignListAsync(com.ywt.gapi.user.GetDoctorSignListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorSignListAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生出诊状态
         * </pre>
         */
        @Override
        public void getDoctorSignList(com.ywt.gapi.user.GetDoctorSignListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorSignListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorSignListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生咨询费用（单位：分）
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateScheduleStatus(com.ywt.gapi.user.UpdateScheduleStatusRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateScheduleStatusMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateScheduleStatusAsync(com.ywt.gapi.user.UpdateScheduleStatusRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateScheduleStatusAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生咨询费用（单位：分）
         * </pre>
         */
        @Override
        public void updateScheduleStatus(com.ywt.gapi.user.UpdateScheduleStatusRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateScheduleStatusMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 二维码链接
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateConsultFee(com.ywt.gapi.user.UpdateConsultFeeRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateConsultFeeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateConsultFeeAsync(com.ywt.gapi.user.UpdateConsultFeeRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateConsultFeeAsyncMethod, request);
        }

            /**
         * <pre>
         * 二维码链接
         * </pre>
         */
        @Override
        public void updateConsultFee(com.ywt.gapi.user.UpdateConsultFeeRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateConsultFeeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 简介
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetConsultSettingsResponse getConsultSettings(com.ywt.gapi.user.GetConsultSettingsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultSettingsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetConsultSettingsResponse> getConsultSettingsAsync(com.ywt.gapi.user.GetConsultSettingsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultSettingsAsyncMethod, request);
        }

            /**
         * <pre>
         * 简介
         * </pre>
         */
        @Override
        public void getConsultSettings(com.ywt.gapi.user.GetConsultSettingsRequest request, StreamObserver<com.ywt.gapi.user.GetConsultSettingsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultSettingsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生签名ID
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetConsultDoctorListResponse getConsultDoctorList(com.ywt.gapi.user.GetConsultDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetConsultDoctorListResponse> getConsultDoctorListAsync(com.ywt.gapi.user.GetConsultDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生签名ID
         * </pre>
         */
        @Override
        public void getConsultDoctorList(com.ywt.gapi.user.GetConsultDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生签名地址
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result createMedicalRecords(com.ywt.gapi.user.CreateMedicalRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, createMedicalRecordsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> createMedicalRecordsAsync(com.ywt.gapi.user.CreateMedicalRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, createMedicalRecordsAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生签名地址
         * </pre>
         */
        @Override
        public void createMedicalRecords(com.ywt.gapi.user.CreateMedicalRecordsRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, createMedicalRecordsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 基本信息是否填写（0-未填写，1-已填写）
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateMedicalRecords(com.ywt.gapi.user.UpdateMedicalRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateMedicalRecordsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateMedicalRecordsAsync(com.ywt.gapi.user.UpdateMedicalRecordsRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateMedicalRecordsAsyncMethod, request);
        }

            /**
         * <pre>
         * 基本信息是否填写（0-未填写，1-已填写）
         * </pre>
         */
        @Override
        public void updateMedicalRecords(com.ywt.gapi.user.UpdateMedicalRecordsRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateMedicalRecordsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 认证状态（0-未通过，1-已通过）
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailResponse getMedicalRecordsDetail(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailResponse> getMedicalRecordsDetailAsync(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailAsyncMethod, request);
        }

            /**
         * <pre>
         * 认证状态（0-未通过，1-已通过）
         * </pre>
         */
        @Override
        public void getMedicalRecordsDetail(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 手机号
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailListResponse getMedicalRecordsDetailList(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse> getMedicalRecordsDetailListAsync(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListAsyncMethod, request);
        }

            /**
         * <pre>
         * 手机号
         * </pre>
         */
        @Override
        public void getMedicalRecordsDetailList(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 认证方式, 0-后台导入；1-医生认证
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetOrderImageListResponse getOrderImageList(com.ywt.gapi.user.GetOrderImageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderImageListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetOrderImageListResponse> getOrderImageListAsync(com.ywt.gapi.user.GetOrderImageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getOrderImageListAsyncMethod, request);
        }

            /**
         * <pre>
         * 认证方式, 0-后台导入；1-医生认证
         * </pre>
         */
        @Override
        public void getOrderImageList(com.ywt.gapi.user.GetOrderImageListRequest request, StreamObserver<com.ywt.gapi.user.GetOrderImageListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getOrderImageListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 用户类型
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result canInitiate(com.ywt.gapi.user.CanInitiateRequest request){
            return StubInvocationUtil.unaryCall(invoker, canInitiateMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> canInitiateAsync(com.ywt.gapi.user.CanInitiateRequest request){
            return StubInvocationUtil.unaryCall(invoker, canInitiateAsyncMethod, request);
        }

            /**
         * <pre>
         * 用户类型
         * </pre>
         */
        @Override
        public void canInitiate(com.ywt.gapi.user.CanInitiateRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, canInitiateMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 处方二维码内容
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorResponse getDoctor(com.ywt.gapi.user.GetDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorResponse> getDoctorAsync(com.ywt.gapi.user.GetDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 处方二维码内容
         * </pre>
         */
        @Override
        public void getDoctor(com.ywt.gapi.user.GetDoctorRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 处方二维码链接
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorAllResponse getDoctorAll(com.ywt.gapi.user.GetDoctorAllRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorAllMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorAllResponse> getDoctorAllAsync(com.ywt.gapi.user.GetDoctorAllRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorAllAsyncMethod, request);
        }

            /**
         * <pre>
         * 处方二维码链接
         * </pre>
         */
        @Override
        public void getDoctorAll(com.ywt.gapi.user.GetDoctorAllRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorAllResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorAllMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetTreatmentSettingsResponse getTreatmentSettings(com.ywt.gapi.user.GetTreatmentSettingsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentSettingsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetTreatmentSettingsResponse> getTreatmentSettingsAsync(com.ywt.gapi.user.GetTreatmentSettingsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTreatmentSettingsAsyncMethod, request);
        }

        @Override
        public void getTreatmentSettings(com.ywt.gapi.user.GetTreatmentSettingsRequest request, StreamObserver<com.ywt.gapi.user.GetTreatmentSettingsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTreatmentSettingsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 处方二维码内容PC端
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateTreatmentFee(com.ywt.gapi.user.UpdateTreatmentFeeRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateTreatmentFeeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateTreatmentFeeAsync(com.ywt.gapi.user.UpdateTreatmentFeeRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateTreatmentFeeAsyncMethod, request);
        }

            /**
         * <pre>
         * 处方二维码内容PC端
         * </pre>
         */
        @Override
        public void updateTreatmentFee(com.ywt.gapi.user.UpdateTreatmentFeeRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateTreatmentFeeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 处方二维码链接PC端
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateDoctorInfo(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateDoctorInfoAsync(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorInfoAsyncMethod, request);
        }

            /**
         * <pre>
         * 处方二维码链接PC端
         * </pre>
         */
        @Override
        public void updateDoctorInfo(com.ywt.gapi.user.UpdateDoctorInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateDoctorInfoMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoAudit(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoAuditMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorInfoAuditResponse> getDoctorInfoAuditAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoAuditAsyncMethod, request);
        }

        @Override
        public void getDoctorInfoAudit(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorInfoAuditMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetDoctorSignResponse getDoctorSign(com.ywt.gapi.user.GetDoctorSignRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorSignMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorSignResponse> getDoctorSignAsync(com.ywt.gapi.user.GetDoctorSignRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorSignAsyncMethod, request);
        }

        @Override
        public void getDoctorSign(com.ywt.gapi.user.GetDoctorSignRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorSignResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorSignMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetFriendListResponse getFriendList(com.ywt.gapi.user.GetFriendListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFriendListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetFriendListResponse> getFriendListAsync(com.ywt.gapi.user.GetFriendListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFriendListAsyncMethod, request);
        }

        @Override
        public void getFriendList(com.ywt.gapi.user.GetFriendListRequest request, StreamObserver<com.ywt.gapi.user.GetFriendListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getFriendListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.SearchPatientResponse searchPatient(com.ywt.gapi.user.SearchPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchPatientMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.SearchPatientResponse> searchPatientAsync(com.ywt.gapi.user.SearchPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchPatientAsyncMethod, request);
        }

        @Override
        public void searchPatient(com.ywt.gapi.user.SearchPatientRequest request, StreamObserver<com.ywt.gapi.user.SearchPatientResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, searchPatientMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetPatientByIdResponse getPatientById(com.ywt.gapi.user.GetPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientByIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetPatientByIdResponse> getPatientByIdAsync(com.ywt.gapi.user.GetPatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientByIdAsyncMethod, request);
        }

        @Override
        public void getPatientById(com.ywt.gapi.user.GetPatientRequest request, StreamObserver<com.ywt.gapi.user.GetPatientByIdResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientByIdMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  v3.2.0, 患者线下就诊后，是否3天内有1次免费咨询机会
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetPatientMedicalRecordCountResponse getPatientMedicalRecordCount(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientMedicalRecordCountMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse> getPatientMedicalRecordCountAsync(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request){
            return StubInvocationUtil.unaryCall(invoker, getPatientMedicalRecordCountAsyncMethod, request);
        }

            /**
         * <pre>
         *  v3.2.0, 患者线下就诊后，是否3天内有1次免费咨询机会
         * </pre>
         */
        @Override
        public void getPatientMedicalRecordCount(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request, StreamObserver<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getPatientMedicalRecordCountMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  线下就诊费用设置
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result addOrUpdateMedicalModule(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request){
            return StubInvocationUtil.unaryCall(invoker, addOrUpdateMedicalModuleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> addOrUpdateMedicalModuleAsync(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request){
            return StubInvocationUtil.unaryCall(invoker, addOrUpdateMedicalModuleAsyncMethod, request);
        }

            /**
         * <pre>
         *  线下就诊费用设置
         * </pre>
         */
        @Override
        public void addOrUpdateMedicalModule(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, addOrUpdateMedicalModuleMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetMedicalModuleDetailResponse getMedicalModuleDetail(com.ywt.gapi.user.GetMedicalModuleDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalModuleDetailMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMedicalModuleDetailResponse> getMedicalModuleDetailAsync(com.ywt.gapi.user.GetMedicalModuleDetailRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalModuleDetailAsyncMethod, request);
        }

        @Override
        public void getMedicalModuleDetail(com.ywt.gapi.user.GetMedicalModuleDetailRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalModuleDetailResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalModuleDetailMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetAllMedicalModuleResponse getAllMedicalModule(com.ywt.gapi.user.GetAllMedicalModuleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAllMedicalModuleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetAllMedicalModuleResponse> getAllMedicalModuleAsync(com.ywt.gapi.user.GetAllMedicalModuleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAllMedicalModuleAsyncMethod, request);
        }

        @Override
        public void getAllMedicalModule(com.ywt.gapi.user.GetAllMedicalModuleRequest request, StreamObserver<com.ywt.gapi.user.GetAllMedicalModuleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getAllMedicalModuleMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  是否显示开医疗设备检查按钮
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse getMedicalRecordsDetailById(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailByIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse> getMedicalRecordsDetailByIdAsync(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailByIdAsyncMethod, request);
        }

            /**
         * <pre>
         *  是否显示开医疗设备检查按钮
         * </pre>
         */
        @Override
        public void getMedicalRecordsDetailById(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailByIdMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse getMedicalRecordsDetailListByPatientId(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListByPatientIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse> getMedicalRecordsDetailListByPatientIdAsync(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListByPatientIdAsyncMethod, request);
        }

        @Override
        public void getMedicalRecordsDetailListByPatientId(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMedicalRecordsDetailListByPatientIdMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.AddMedicalRecordResponse addMedicalRecord(com.ywt.gapi.user.AddMedicalRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, addMedicalRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.AddMedicalRecordResponse> addMedicalRecordAsync(com.ywt.gapi.user.AddMedicalRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, addMedicalRecordAsyncMethod, request);
        }

        @Override
        public void addMedicalRecord(com.ywt.gapi.user.AddMedicalRecordRequest request, StreamObserver<com.ywt.gapi.user.AddMedicalRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, addMedicalRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取关联医生所在医院列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetFriendHospitalListResponse getFriendHospitalList(com.ywt.gapi.user.GetFriendHospitalListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFriendHospitalListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetFriendHospitalListResponse> getFriendHospitalListAsync(com.ywt.gapi.user.GetFriendHospitalListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getFriendHospitalListAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取关联医生所在医院列表
         * </pre>
         */
        @Override
        public void getFriendHospitalList(com.ywt.gapi.user.GetFriendHospitalListRequest request, StreamObserver<com.ywt.gapi.user.GetFriendHospitalListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getFriendHospitalListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生微信公众号统计信息   create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorStatisticsResponse getDoctorStatistics(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorStatisticsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorStatisticsResponse> getDoctorStatisticsAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorStatisticsAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生微信公众号统计信息   create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorStatistics(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorStatisticsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorStatisticsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到最近一个月的交易记录  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetLastMonthTransactionRecordResponse getLastMonthTransactionRecord(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLastMonthTransactionRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse> getLastMonthTransactionRecordAsync(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLastMonthTransactionRecordAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到最近一个月的交易记录  create by daiyihua
         * </pre>
         */
        @Override
        public void getLastMonthTransactionRecord(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request, StreamObserver<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLastMonthTransactionRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  按时间段获取交易记录
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetTransactionRecordResponse getTransactionRecord(com.ywt.gapi.user.GetTransactionRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTransactionRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetTransactionRecordResponse> getTransactionRecordAsync(com.ywt.gapi.user.GetTransactionRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTransactionRecordAsyncMethod, request);
        }

            /**
         * <pre>
         *  按时间段获取交易记录
         * </pre>
         */
        @Override
        public void getTransactionRecord(com.ywt.gapi.user.GetTransactionRecordRequest request, StreamObserver<com.ywt.gapi.user.GetTransactionRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTransactionRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到快捷语list  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetQuickLanguageListResponse getQuickLanguageList(com.ywt.gapi.user.GetQuickLanguageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getQuickLanguageListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetQuickLanguageListResponse> getQuickLanguageListAsync(com.ywt.gapi.user.GetQuickLanguageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getQuickLanguageListAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到快捷语list  create by daiyihua
         * </pre>
         */
        @Override
        public void getQuickLanguageList(com.ywt.gapi.user.GetQuickLanguageListRequest request, StreamObserver<com.ywt.gapi.user.GetQuickLanguageListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getQuickLanguageListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 待诊--（待诊、待诊中） 待诊--问诊记录（结束、退诊、取消） create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetConsultOrderListResponse getConsultOrderListWithStatus(com.ywt.gapi.user.GetConsultOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderListWithStatusMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetConsultOrderListResponse> getConsultOrderListWithStatusAsync(com.ywt.gapi.user.GetConsultOrderListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultOrderListWithStatusAsyncMethod, request);
        }

            /**
         * <pre>
         * 待诊--（待诊、待诊中） 待诊--问诊记录（结束、退诊、取消） create by daiyihua
         * </pre>
         */
        @Override
        public void getConsultOrderListWithStatus(com.ywt.gapi.user.GetConsultOrderListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultOrderListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultOrderListWithStatusMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 已预约--（待诊中）,已预约--预约加号订单记录（患者取消、就诊结束、医生取消） create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetAdditionalRegistrationListResponse getAdditionalRegistrationListWithStatus(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAdditionalRegistrationListWithStatusMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetAdditionalRegistrationListResponse> getAdditionalRegistrationListWithStatusAsync(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getAdditionalRegistrationListWithStatusAsyncMethod, request);
        }

            /**
         * <pre>
         * 已预约--（待诊中）,已预约--预约加号订单记录（患者取消、就诊结束、医生取消） create by daiyihua
         * </pre>
         */
        @Override
        public void getAdditionalRegistrationListWithStatus(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request, StreamObserver<com.ywt.gapi.user.GetAdditionalRegistrationListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getAdditionalRegistrationListWithStatusMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 保存出诊排班    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result saveDoctorSchedule(com.ywt.gapi.user.SaveDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveDoctorScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> saveDoctorScheduleAsync(com.ywt.gapi.user.SaveDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveDoctorScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         * 保存出诊排班    create by daiyihua
         * </pre>
         */
        @Override
        public void saveDoctorSchedule(com.ywt.gapi.user.SaveDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveDoctorScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到出诊排班信息  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorScheduleResponse getDoctorSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorScheduleResponse> getDoctorScheduleAsync(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到出诊排班信息  create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到最近一周的排班信息   create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorScheduleResponse getLatestWeekSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestWeekScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorScheduleResponse> getLatestWeekScheduleAsync(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestWeekScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到最近一周的排班信息   create by daiyihua
         * </pre>
         */
        @Override
        public void getLatestWeekSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLatestWeekScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到最近三个月的排班信息(排班时间)  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetLatestScheduleResponse getLatestSchedule(com.ywt.gapi.user.GetLatestScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetLatestScheduleResponse> getLatestScheduleAsync(com.ywt.gapi.user.GetLatestScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, getLatestScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到最近三个月的排班信息(排班时间)  create by daiyihua
         * </pre>
         */
        @Override
        public void getLatestSchedule(com.ywt.gapi.user.GetLatestScheduleRequest request, StreamObserver<com.ywt.gapi.user.GetLatestScheduleResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getLatestScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 设置停诊    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result setCancelSchedule(com.ywt.gapi.user.SetCancelScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, setCancelScheduleMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> setCancelScheduleAsync(com.ywt.gapi.user.SetCancelScheduleRequest request){
            return StubInvocationUtil.unaryCall(invoker, setCancelScheduleAsyncMethod, request);
        }

            /**
         * <pre>
         * 设置停诊    create by daiyihua
         * </pre>
         */
        @Override
        public void setCancelSchedule(com.ywt.gapi.user.SetCancelScheduleRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, setCancelScheduleMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 根据排班ID得到排班配置信息  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse getScheduleConfigByScheduleId(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleConfigByScheduleIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse> getScheduleConfigByScheduleIdAsync(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getScheduleConfigByScheduleIdAsyncMethod, request);
        }

            /**
         * <pre>
         * 根据排班ID得到排班配置信息  create by daiyihua
         * </pre>
         */
        @Override
        public void getScheduleConfigByScheduleId(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request, StreamObserver<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getScheduleConfigByScheduleIdMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 判断排班预约情况  create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.CheckScheduleStatusResponse checkScheduleStatus(com.ywt.gapi.user.CheckScheduleStatusRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkScheduleStatusMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.CheckScheduleStatusResponse> checkScheduleStatusAsync(com.ywt.gapi.user.CheckScheduleStatusRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkScheduleStatusAsyncMethod, request);
        }

            /**
         * <pre>
         * 判断排班预约情况  create by daiyihua
         * </pre>
         */
        @Override
        public void checkScheduleStatus(com.ywt.gapi.user.CheckScheduleStatusRequest request, StreamObserver<com.ywt.gapi.user.CheckScheduleStatusResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, checkScheduleStatusMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 医生绑定信息    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result doctorBindWx(com.ywt.gapi.user.DoctorBindWxRequest request){
            return StubInvocationUtil.unaryCall(invoker, doctorBindWxMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> doctorBindWxAsync(com.ywt.gapi.user.DoctorBindWxRequest request){
            return StubInvocationUtil.unaryCall(invoker, doctorBindWxAsyncMethod, request);
        }

            /**
         * <pre>
         * 医生绑定信息    create by daiyihua
         * </pre>
         */
        @Override
        public void doctorBindWx(com.ywt.gapi.user.DoctorBindWxRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, doctorBindWxMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 保存团队信息    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result saveTeam(com.ywt.gapi.user.SaveTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveTeamMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> saveTeamAsync(com.ywt.gapi.user.SaveTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveTeamAsyncMethod, request);
        }

            /**
         * <pre>
         * 保存团队信息    create by daiyihua
         * </pre>
         */
        @Override
        public void saveTeam(com.ywt.gapi.user.SaveTeamRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveTeamMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到团队信息    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetTeamInfoResponse getTeamInfo(com.ywt.gapi.user.GetTeamInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetTeamInfoResponse> getTeamInfoAsync(com.ywt.gapi.user.GetTeamInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamInfoAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到团队信息    create by daiyihua
         * </pre>
         */
        @Override
        public void getTeamInfo(com.ywt.gapi.user.GetTeamInfoRequest request, StreamObserver<com.ywt.gapi.user.GetTeamInfoResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTeamInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 搜索医生        create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.SearchDoctorResponse searchDoctor(com.ywt.gapi.user.SearchDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.SearchDoctorResponse> searchDoctorAsync(com.ywt.gapi.user.SearchDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 搜索医生        create by daiyihua
         * </pre>
         */
        @Override
        public void searchDoctor(com.ywt.gapi.user.SearchDoctorRequest request, StreamObserver<com.ywt.gapi.user.SearchDoctorResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, searchDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 删除团队成员     create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result delTeamDoctor(com.ywt.gapi.user.DelTeamDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, delTeamDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> delTeamDoctorAsync(com.ywt.gapi.user.DelTeamDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, delTeamDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 删除团队成员     create by daiyihua
         * </pre>
         */
        @Override
        public void delTeamDoctor(com.ywt.gapi.user.DelTeamDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, delTeamDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到我的团队     create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetMyTeamResponse getMyTeam(com.ywt.gapi.user.GetMyTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMyTeamMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetMyTeamResponse> getMyTeamAsync(com.ywt.gapi.user.GetMyTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, getMyTeamAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到我的团队     create by daiyihua
         * </pre>
         */
        @Override
        public void getMyTeam(com.ywt.gapi.user.GetMyTeamRequest request, StreamObserver<com.ywt.gapi.user.GetMyTeamResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getMyTeamMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 删除团队      create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result delTeam(com.ywt.gapi.user.DelTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, delTeamMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> delTeamAsync(com.ywt.gapi.user.DelTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, delTeamAsyncMethod, request);
        }

            /**
         * <pre>
         * 删除团队      create by daiyihua
         * </pre>
         */
        @Override
        public void delTeam(com.ywt.gapi.user.DelTeamRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, delTeamMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 申请加入团队   create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result applyToJoin(com.ywt.gapi.user.ApplyToJoinRequest request){
            return StubInvocationUtil.unaryCall(invoker, applyToJoinMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> applyToJoinAsync(com.ywt.gapi.user.ApplyToJoinRequest request){
            return StubInvocationUtil.unaryCall(invoker, applyToJoinAsyncMethod, request);
        }

            /**
         * <pre>
         * 申请加入团队   create by daiyihua
         * </pre>
         */
        @Override
        public void applyToJoin(com.ywt.gapi.user.ApplyToJoinRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, applyToJoinMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 搜索团队      create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.SearchTeamResponse searchTeam(com.ywt.gapi.user.SearchTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchTeamMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.SearchTeamResponse> searchTeamAsync(com.ywt.gapi.user.SearchTeamRequest request){
            return StubInvocationUtil.unaryCall(invoker, searchTeamAsyncMethod, request);
        }

            /**
         * <pre>
         * 搜索团队      create by daiyihua
         * </pre>
         */
        @Override
        public void searchTeam(com.ywt.gapi.user.SearchTeamRequest request, StreamObserver<com.ywt.gapi.user.SearchTeamResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, searchTeamMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 处理团队邀请
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result dealWithInvitation(com.ywt.gapi.user.DealWithInvitationRequest request){
            return StubInvocationUtil.unaryCall(invoker, dealWithInvitationMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> dealWithInvitationAsync(com.ywt.gapi.user.DealWithInvitationRequest request){
            return StubInvocationUtil.unaryCall(invoker, dealWithInvitationAsyncMethod, request);
        }

            /**
         * <pre>
         * 处理团队邀请
         * </pre>
         */
        @Override
        public void dealWithInvitation(com.ywt.gapi.user.DealWithInvitationRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, dealWithInvitationMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 根据用户ID判断医院的状态		create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.CheckHospitalStatusResponse checkHospitalStatusByDoctorId(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkHospitalStatusByDoctorIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.CheckHospitalStatusResponse> checkHospitalStatusByDoctorIdAsync(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkHospitalStatusByDoctorIdAsyncMethod, request);
        }

            /**
         * <pre>
         * 根据用户ID判断医院的状态		create by daiyihua
         * </pre>
         */
        @Override
        public void checkHospitalStatusByDoctorId(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request, StreamObserver<com.ywt.gapi.user.CheckHospitalStatusResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, checkHospitalStatusByDoctorIdMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 修改患者，病历
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updatePatient(com.ywt.gapi.user.UpdatePatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, updatePatientMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updatePatientAsync(com.ywt.gapi.user.UpdatePatientRequest request){
            return StubInvocationUtil.unaryCall(invoker, updatePatientAsyncMethod, request);
        }

            /**
         * <pre>
         * 修改患者，病历
         * </pre>
         */
        @Override
        public void updatePatient(com.ywt.gapi.user.UpdatePatientRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updatePatientMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 得到医生的团队（自己创建的和已加入的）     create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorTeamsResponse getDoctorTeams(com.ywt.gapi.user.GetDoctorTeamsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorTeamsMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorTeamsResponse> getDoctorTeamsAsync(com.ywt.gapi.user.GetDoctorTeamsRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorTeamsAsyncMethod, request);
        }

            /**
         * <pre>
         * 得到医生的团队（自己创建的和已加入的）     create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorTeams(com.ywt.gapi.user.GetDoctorTeamsRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorTeamsResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorTeamsMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取医生对应的his部门、医生编号信息       create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorHisCodeResponse getDoctorHisCode(com.ywt.gapi.user.GetDoctorHisCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorHisCodeResponse> getDoctorHisCodeAsync(com.ywt.gapi.user.GetDoctorHisCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取医生对应的his部门、医生编号信息       create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorHisCode(com.ywt.gapi.user.GetDoctorHisCodeRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 保存基本信息    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result saveBaseInfo(com.ywt.gapi.user.SaveBaseInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveBaseInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> saveBaseInfoAsync(com.ywt.gapi.user.SaveBaseInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveBaseInfoAsyncMethod, request);
        }

            /**
         * <pre>
         * 保存基本信息    create by daiyihua
         * </pre>
         */
        @Override
        public void saveBaseInfo(com.ywt.gapi.user.SaveBaseInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveBaseInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取医生认证资料（新增的认证）    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoVerify(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoVerifyMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorInfoAuditResponse> getDoctorInfoVerifyAsync(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorInfoVerifyAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取医生认证资料（新增的认证）    create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorInfoVerify(com.ywt.gapi.user.GetDoctorInfoAuditRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorInfoVerifyMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 更新医生资料（新增的认证）    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updateDoctorInfoVerify(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorInfoVerifyMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updateDoctorInfoVerifyAsync(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorInfoVerifyAsyncMethod, request);
        }

            /**
         * <pre>
         * 更新医生资料（新增的认证）    create by daiyihua
         * </pre>
         */
        @Override
        public void updateDoctorInfoVerify(com.ywt.gapi.user.UpdateDoctorInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateDoctorInfoVerifyMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 根据hisCode得到对应的医生信息    create by daiyihua
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorByHisCodeResponse getDoctorByHisCode(com.ywt.gapi.user.GetDoctorByHisCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorByHisCodeMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorByHisCodeResponse> getDoctorByHisCodeAsync(com.ywt.gapi.user.GetDoctorByHisCodeRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorByHisCodeAsyncMethod, request);
        }

            /**
         * <pre>
         * 根据hisCode得到对应的医生信息    create by daiyihua
         * </pre>
         */
        @Override
        public void getDoctorByHisCode(com.ywt.gapi.user.GetDoctorByHisCodeRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorByHisCodeResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorByHisCodeMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 根据科室Id获取医生团队
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetTeamListByDeptIdResponse getTeamListByDeptId(com.ywt.gapi.user.GetTeamListByDeptIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamListByDeptIdMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetTeamListByDeptIdResponse> getTeamListByDeptIdAsync(com.ywt.gapi.user.GetTeamListByDeptIdRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamListByDeptIdAsyncMethod, request);
        }

            /**
         * <pre>
         * 根据科室Id获取医生团队
         * </pre>
         */
        @Override
        public void getTeamListByDeptId(com.ywt.gapi.user.GetTeamListByDeptIdRequest request, StreamObserver<com.ywt.gapi.user.GetTeamListByDeptIdResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTeamListByDeptIdMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取科室排班医生
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDeptScheduleDoctorListResponse getDeptScheduleDoctorList(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDeptScheduleDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse> getDeptScheduleDoctorListAsync(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDeptScheduleDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取科室排班医生
         * </pre>
         */
        @Override
        public void getDeptScheduleDoctorList(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDeptScheduleDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取平台所有医生(返回普通用户是否关注该医生)
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse generalGetPlatformDoctorList(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, generalGetPlatformDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse> generalGetPlatformDoctorListAsync(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, generalGetPlatformDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取平台所有医生(返回普通用户是否关注该医生)
         * </pre>
         */
        @Override
        public void generalGetPlatformDoctorList(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, generalGetPlatformDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取关注的平台医生
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse generalGetAttentionDoctorList(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, generalGetAttentionDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse> generalGetAttentionDoctorListAsync(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, generalGetAttentionDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取关注的平台医生
         * </pre>
         */
        @Override
        public void generalGetAttentionDoctorList(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, generalGetAttentionDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取展示的医生团队
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDisplayTeamListResponse getDisplayTeamList(com.ywt.gapi.user.GetDisplayTeamListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDisplayTeamListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDisplayTeamListResponse> getDisplayTeamListAsync(com.ywt.gapi.user.GetDisplayTeamListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDisplayTeamListAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取展示的医生团队
         * </pre>
         */
        @Override
        public void getDisplayTeamList(com.ywt.gapi.user.GetDisplayTeamListRequest request, StreamObserver<com.ywt.gapi.user.GetDisplayTeamListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDisplayTeamListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 判断患者是否关注医生
         * </pre>
         */
        @Override
        public com.ywt.gapi.ResultInt checkUserUnionDoctor(com.ywt.gapi.user.CheckUserUnionDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkUserUnionDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.ResultInt> checkUserUnionDoctorAsync(com.ywt.gapi.user.CheckUserUnionDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, checkUserUnionDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 判断患者是否关注医生
         * </pre>
         */
        @Override
        public void checkUserUnionDoctor(com.ywt.gapi.user.CheckUserUnionDoctorRequest request, StreamObserver<com.ywt.gapi.ResultInt> responseObserver){
            StubInvocationUtil.unaryCall(invoker, checkUserUnionDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  通知医生信息审核通过
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result notifyDoctorVerificationPass(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request){
            return StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationPassMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> notifyDoctorVerificationPassAsync(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request){
            return StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationPassAsyncMethod, request);
        }

            /**
         * <pre>
         *  通知医生信息审核通过
         * </pre>
         */
        @Override
        public void notifyDoctorVerificationPass(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationPassMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  通知医生信息审核不通过
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result notifyDoctorVerificationNotPass(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request){
            return StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationNotPassMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> notifyDoctorVerificationNotPassAsync(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request){
            return StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationNotPassAsyncMethod, request);
        }

            /**
         * <pre>
         *  通知医生信息审核不通过
         * </pre>
         */
        @Override
        public void notifyDoctorVerificationNotPass(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, notifyDoctorVerificationNotPassMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取问诊医生列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetConsultDoctorPageListResponse getConsultDoctorPagedList(com.ywt.gapi.user.GetConsultDoctorPageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultDoctorPagedListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetConsultDoctorPageListResponse> getConsultDoctorPagedListAsync(com.ywt.gapi.user.GetConsultDoctorPageListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getConsultDoctorPagedListAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取问诊医生列表
         * </pre>
         */
        @Override
        public void getConsultDoctorPagedList(com.ywt.gapi.user.GetConsultDoctorPageListRequest request, StreamObserver<com.ywt.gapi.user.GetConsultDoctorPageListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getConsultDoctorPagedListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  加入医生团队
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result scanQrCodeJoinTeamDoctor(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, scanQrCodeJoinTeamDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> scanQrCodeJoinTeamDoctorAsync(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, scanQrCodeJoinTeamDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         *  加入医生团队
         * </pre>
         */
        @Override
        public void scanQrCodeJoinTeamDoctor(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, scanQrCodeJoinTeamDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取推荐医生
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetRecommendDoctorListResponse getRecommendDoctorList(com.ywt.gapi.user.GetRecommendDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRecommendDoctorListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetRecommendDoctorListResponse> getRecommendDoctorListAsync(com.ywt.gapi.user.GetRecommendDoctorListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getRecommendDoctorListAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取推荐医生
         * </pre>
         */
        @Override
        public void getRecommendDoctorList(com.ywt.gapi.user.GetRecommendDoctorListRequest request, StreamObserver<com.ywt.gapi.user.GetRecommendDoctorListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getRecommendDoctorListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorMpMenuListResponse getDoctorMpMenuList(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorMpMenuListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorMpMenuListResponse> getDoctorMpMenuListAsync(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorMpMenuListAsyncMethod, request);
        }

            /**
         * <pre>
         * </pre>
         */
        @Override
        public void getDoctorMpMenuList(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request, StreamObserver<com.ywt.gapi.user.GetDoctorMpMenuListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorMpMenuListMethod , request, responseObserver);
        }
            /**
         * <pre>
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.UpdateDoctorMpMenuResponse updateDoctorMpMenu(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorMpMenuMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.UpdateDoctorMpMenuResponse> updateDoctorMpMenuAsync(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request){
            return StubInvocationUtil.unaryCall(invoker, updateDoctorMpMenuAsyncMethod, request);
        }

            /**
         * <pre>
         * </pre>
         */
        @Override
        public void updateDoctorMpMenu(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request, StreamObserver<com.ywt.gapi.user.UpdateDoctorMpMenuResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updateDoctorMpMenuMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 获取用户是否是审核通过的医生
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse getIsUserAnAuditDoctor(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getIsUserAnAuditDoctorMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse> getIsUserAnAuditDoctorAsync(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request){
            return StubInvocationUtil.unaryCall(invoker, getIsUserAnAuditDoctorAsyncMethod, request);
        }

            /**
         * <pre>
         * 获取用户是否是审核通过的医生
         * </pre>
         */
        @Override
        public void getIsUserAnAuditDoctor(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request, StreamObserver<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getIsUserAnAuditDoctorMethod , request, responseObserver);
        }
            /**
         * <pre>
         * 设置医生默认处方药房
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.SetDefaultPharmacyResponse setDefaultPharmacy(com.ywt.gapi.user.SetDefaultPharmacyRequest request){
            return StubInvocationUtil.unaryCall(invoker, setDefaultPharmacyMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.SetDefaultPharmacyResponse> setDefaultPharmacyAsync(com.ywt.gapi.user.SetDefaultPharmacyRequest request){
            return StubInvocationUtil.unaryCall(invoker, setDefaultPharmacyAsyncMethod, request);
        }

            /**
         * <pre>
         * 设置医生默认处方药房
         * </pre>
         */
        @Override
        public void setDefaultPharmacy(com.ywt.gapi.user.SetDefaultPharmacyRequest request, StreamObserver<com.ywt.gapi.user.SetDefaultPharmacyResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, setDefaultPharmacyMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  得到医生职称列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorTitleListResponse getDoctorTitleList(com.ywt.gapi.user.GetDoctorTitleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorTitleListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorTitleListResponse> getDoctorTitleListAsync(com.ywt.gapi.user.GetDoctorTitleListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorTitleListAsyncMethod, request);
        }

            /**
         * <pre>
         *  得到医生职称列表
         * </pre>
         */
        @Override
        public void getDoctorTitleList(com.ywt.gapi.user.GetDoctorTitleListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorTitleListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorTitleListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  更新患者信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.Result updatePatientInfo(com.ywt.gapi.user.UpdatePatientInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updatePatientInfoMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.Result> updatePatientInfoAsync(com.ywt.gapi.user.UpdatePatientInfoRequest request){
            return StubInvocationUtil.unaryCall(invoker, updatePatientInfoAsyncMethod, request);
        }

            /**
         * <pre>
         *  更新患者信息
         * </pre>
         */
        @Override
        public void updatePatientInfo(com.ywt.gapi.user.UpdatePatientInfoRequest request, StreamObserver<com.ywt.gapi.Result> responseObserver){
            StubInvocationUtil.unaryCall(invoker, updatePatientInfoMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  得到医生定点医院信息
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetDoctorFixedPointResponse getDoctorFixedPoint(com.ywt.gapi.user.GetDoctorFixedPointRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorFixedPointMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorFixedPointResponse> getDoctorFixedPointAsync(com.ywt.gapi.user.GetDoctorFixedPointRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorFixedPointAsyncMethod, request);
        }

            /**
         * <pre>
         *  得到医生定点医院信息
         * </pre>
         */
        @Override
        public void getDoctorFixedPoint(com.ywt.gapi.user.GetDoctorFixedPointRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorFixedPointResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorFixedPointMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取团队列表
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetTeamListResponse getTeamList(com.ywt.gapi.user.GetTeamListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetTeamListResponse> getTeamListAsync(com.ywt.gapi.user.GetTeamListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getTeamListAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取团队列表
         * </pre>
         */
        @Override
        public void getTeamList(com.ywt.gapi.user.GetTeamListRequest request, StreamObserver<com.ywt.gapi.user.GetTeamListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getTeamListMethod , request, responseObserver);
        }
        @Override
        public com.ywt.gapi.user.GetDoctorHisCodeListResponse getDoctorHisCodeList(com.ywt.gapi.user.GetDoctorHisCodeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetDoctorHisCodeListResponse> getDoctorHisCodeListAsync(com.ywt.gapi.user.GetDoctorHisCodeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeListAsyncMethod, request);
        }

        @Override
        public void getDoctorHisCodeList(com.ywt.gapi.user.GetDoctorHisCodeListRequest request, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getDoctorHisCodeListMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  获取在院病历（包括检验结果、检查结果、门诊病历）
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.GetHospMedRecordResponse getHospMedRecord(com.ywt.gapi.user.GetHospMedRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getHospMedRecordMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.GetHospMedRecordResponse> getHospMedRecordAsync(com.ywt.gapi.user.GetHospMedRecordRequest request){
            return StubInvocationUtil.unaryCall(invoker, getHospMedRecordAsyncMethod, request);
        }

            /**
         * <pre>
         *  获取在院病历（包括检验结果、检查结果、门诊病历）
         * </pre>
         */
        @Override
        public void getHospMedRecord(com.ywt.gapi.user.GetHospMedRecordRequest request, StreamObserver<com.ywt.gapi.user.GetHospMedRecordResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, getHospMedRecordMethod , request, responseObserver);
        }
            /**
         * <pre>
         *  保存DoctorHisCodeList响应          
         * </pre>
         */
        @Override
        public com.ywt.gapi.user.SaveDoctorHisCodeListResponse saveDoctorHisCodeList(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveDoctorHisCodeListMethod, request);
        }

        public CompletableFuture<com.ywt.gapi.user.SaveDoctorHisCodeListResponse> saveDoctorHisCodeListAsync(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request){
            return StubInvocationUtil.unaryCall(invoker, saveDoctorHisCodeListAsyncMethod, request);
        }

            /**
         * <pre>
         *  保存DoctorHisCodeList响应          
         * </pre>
         */
        @Override
        public void saveDoctorHisCodeList(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request, StreamObserver<com.ywt.gapi.user.SaveDoctorHisCodeListResponse> responseObserver){
            StubInvocationUtil.unaryCall(invoker, saveDoctorHisCodeListMethod , request, responseObserver);
        }



    }

    public static abstract class DoctorServiceImplBase implements DoctorService, ServerService<DoctorService> {

        private <T, R> BiConsumer<T, StreamObserver<R>> syncToAsync(java.util.function.Function<T, R> syncFun) {
            return new BiConsumer<T, StreamObserver<R>>() {
                @Override
                public void accept(T t, StreamObserver<R> observer) {
                    try {
                        R ret = syncFun.apply(t);
                        observer.onNext(ret);
                        observer.onCompleted();
                    } catch (Throwable e) {
                        observer.onError(e);
                    }
                }
            };
        }

        @Override
        public final Invoker<DoctorService> getInvoker(URL url) {
            PathResolver pathResolver = url.getOrDefaultFrameworkModel()
            .getExtensionLoader(PathResolver.class)
            .getDefaultExtension();
            Map<String,StubMethodHandler<?, ?>> handlers = new HashMap<>();

            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/findByUserId" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/findByUserIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createPatient" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createPatientAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getUnionDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getUnionDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/unionDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/unionDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPlatformDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPlatformDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientOrderInfoList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientOrderInfoListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/DelPatientRequent" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/DelPatientRequentAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatient" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveSign" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveSignAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorSignList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorSignListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateScheduleStatus" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateScheduleStatusAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateConsultFee" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateConsultFeeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultSettings" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultSettingsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createMedicalRecords" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/createMedicalRecordsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateMedicalRecords" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateMedicalRecordsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderImageList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getOrderImageListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/canInitiate" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/canInitiateAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorAll" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorAllAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentSettings" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTreatmentSettingsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateTreatmentFee" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateTreatmentFeeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfoAudit" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfoAuditAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorSign" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorSignAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFriendList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFriendListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchPatient" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchPatientAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientById" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientByIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientMedicalRecordCount" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getPatientMedicalRecordCountAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addOrUpdateMedicalModule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addOrUpdateMedicalModuleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalModuleDetail" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalModuleDetailAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAllMedicalModule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAllMedicalModuleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailById" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailByIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailListByPatientId" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMedicalRecordsDetailListByPatientIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addMedicalRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/addMedicalRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFriendHospitalList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getFriendHospitalListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorStatistics" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorStatisticsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLastMonthTransactionRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLastMonthTransactionRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTransactionRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTransactionRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getQuickLanguageList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getQuickLanguageListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrderListWithStatus" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultOrderListWithStatusAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAdditionalRegistrationListWithStatus" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getAdditionalRegistrationListWithStatusAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveDoctorSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveDoctorScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestWeekSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestWeekScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getLatestScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setCancelSchedule" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setCancelScheduleAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleConfigByScheduleId" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getScheduleConfigByScheduleIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkScheduleStatus" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkScheduleStatusAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/doctorBindWx" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/doctorBindWxAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveTeam" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveTeamAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/delTeamDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/delTeamDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMyTeam" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getMyTeamAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/delTeam" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/delTeamAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/applyToJoin" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/applyToJoinAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchTeam" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/searchTeamAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/dealWithInvitation" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/dealWithInvitationAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkHospitalStatusByDoctorId" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkHospitalStatusByDoctorIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updatePatient" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updatePatientAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorTeams" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorTeamsAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorHisCode" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorHisCodeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveBaseInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveBaseInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfoVerify" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorInfoVerifyAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorInfoVerify" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorInfoVerifyAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorByHisCode" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorByHisCodeAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamListByDeptId" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamListByDeptIdAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDeptScheduleDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDeptScheduleDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/generalGetPlatformDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/generalGetPlatformDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/generalGetAttentionDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/generalGetAttentionDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDisplayTeamList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDisplayTeamListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkUserUnionDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/checkUserUnionDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/notifyDoctorVerificationPass" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/notifyDoctorVerificationPassAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/notifyDoctorVerificationNotPass" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/notifyDoctorVerificationNotPassAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultDoctorPagedList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getConsultDoctorPagedListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/scanQrCodeJoinTeamDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/scanQrCodeJoinTeamDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRecommendDoctorList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getRecommendDoctorListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorMpMenuList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorMpMenuListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorMpMenu" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updateDoctorMpMenuAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getIsUserAnAuditDoctor" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getIsUserAnAuditDoctorAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setDefaultPharmacy" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/setDefaultPharmacyAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorTitleList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorTitleListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updatePatientInfo" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/updatePatientInfoAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorFixedPoint" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorFixedPointAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getTeamListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorHisCodeList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getDoctorHisCodeListAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getHospMedRecord" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/getHospMedRecordAsync" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveDoctorHisCodeList" );
            pathResolver.addNativeStub( "/" + SERVICE_NAME + "/saveDoctorHisCodeListAsync" );

            BiConsumer<com.ywt.gapi.user.DoctorRequest, StreamObserver<com.ywt.gapi.user.DoctorResponse>> findByUserIdFunc = this::findByUserId;
            handlers.put(findByUserIdMethod.getMethodName(), new UnaryStubMethodHandler<>(findByUserIdFunc));
            BiConsumer<com.ywt.gapi.user.DoctorRequest, StreamObserver<com.ywt.gapi.user.DoctorResponse>> findByUserIdAsyncFunc = syncToAsync(this::findByUserId);
            handlers.put(findByUserIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(findByUserIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DoctorRequest, StreamObserver<com.ywt.gapi.user.DoctorInfoResponse>> getDoctorInfoFunc = this::getDoctorInfo;
            handlers.put(getDoctorInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoFunc));
            BiConsumer<com.ywt.gapi.user.DoctorRequest, StreamObserver<com.ywt.gapi.user.DoctorInfoResponse>> getDoctorInfoAsyncFunc = syncToAsync(this::getDoctorInfo);
            handlers.put(getDoctorInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.user.PatientListRequest, StreamObserver<com.ywt.gapi.user.PatientListResponse>> getPatientListFunc = this::getPatientList;
            handlers.put(getPatientListMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientListFunc));
            BiConsumer<com.ywt.gapi.user.PatientListRequest, StreamObserver<com.ywt.gapi.user.PatientListResponse>> getPatientListAsyncFunc = syncToAsync(this::getPatientList);
            handlers.put(getPatientListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CreatePatientRequest, StreamObserver<com.ywt.gapi.user.CreatePatientResponse>> createPatientFunc = this::createPatient;
            handlers.put(createPatientMethod.getMethodName(), new UnaryStubMethodHandler<>(createPatientFunc));
            BiConsumer<com.ywt.gapi.user.CreatePatientRequest, StreamObserver<com.ywt.gapi.user.CreatePatientResponse>> createPatientAsyncFunc = syncToAsync(this::createPatient);
            handlers.put(createPatientProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createPatientAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UnionDoctorListRequest, StreamObserver<com.ywt.gapi.user.UnionDoctorListResponse>> getUnionDoctorListFunc = this::getUnionDoctorList;
            handlers.put(getUnionDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getUnionDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.UnionDoctorListRequest, StreamObserver<com.ywt.gapi.user.UnionDoctorListResponse>> getUnionDoctorListAsyncFunc = syncToAsync(this::getUnionDoctorList);
            handlers.put(getUnionDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getUnionDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UnionDoctorRequest, StreamObserver<com.ywt.gapi.Result>> unionDoctorFunc = this::unionDoctor;
            handlers.put(unionDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(unionDoctorFunc));
            BiConsumer<com.ywt.gapi.user.UnionDoctorRequest, StreamObserver<com.ywt.gapi.Result>> unionDoctorAsyncFunc = syncToAsync(this::unionDoctor);
            handlers.put(unionDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(unionDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.PlatformDoctorListRequest, StreamObserver<com.ywt.gapi.user.PlatformDoctorListResponse>> getPlatformDoctorListFunc = this::getPlatformDoctorList;
            handlers.put(getPlatformDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getPlatformDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.PlatformDoctorListRequest, StreamObserver<com.ywt.gapi.user.PlatformDoctorListResponse>> getPlatformDoctorListAsyncFunc = syncToAsync(this::getPlatformDoctorList);
            handlers.put(getPlatformDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPlatformDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.PatientOrderInfoListRequest, StreamObserver<com.ywt.gapi.user.PatientOrderInfoListResponse>> getPatientOrderInfoListFunc = this::getPatientOrderInfoList;
            handlers.put(getPatientOrderInfoListMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientOrderInfoListFunc));
            BiConsumer<com.ywt.gapi.user.PatientOrderInfoListRequest, StreamObserver<com.ywt.gapi.user.PatientOrderInfoListResponse>> getPatientOrderInfoListAsyncFunc = syncToAsync(this::getPatientOrderInfoList);
            handlers.put(getPatientOrderInfoListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientOrderInfoListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DelPatientRequest, StreamObserver<com.ywt.gapi.Result>> delPatientRequentFunc = this::delPatientRequent;
            handlers.put(delPatientRequentMethod.getMethodName(), new UnaryStubMethodHandler<>(delPatientRequentFunc));
            BiConsumer<com.ywt.gapi.user.DelPatientRequest, StreamObserver<com.ywt.gapi.Result>> delPatientRequentAsyncFunc = syncToAsync(this::delPatientRequent);
            handlers.put(delPatientRequentProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(delPatientRequentAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientRequest, StreamObserver<com.ywt.gapi.user.GetPatientResponse>> getPatientFunc = this::getPatient;
            handlers.put(getPatientMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientRequest, StreamObserver<com.ywt.gapi.user.GetPatientResponse>> getPatientAsyncFunc = syncToAsync(this::getPatient);
            handlers.put(getPatientProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SaveSignRequest, StreamObserver<com.ywt.gapi.ResultInt>> saveSignFunc = this::saveSign;
            handlers.put(saveSignMethod.getMethodName(), new UnaryStubMethodHandler<>(saveSignFunc));
            BiConsumer<com.ywt.gapi.user.SaveSignRequest, StreamObserver<com.ywt.gapi.ResultInt>> saveSignAsyncFunc = syncToAsync(this::saveSign);
            handlers.put(saveSignProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveSignAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorSignListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorSignListResponse>> getDoctorSignListFunc = this::getDoctorSignList;
            handlers.put(getDoctorSignListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorSignListFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorSignListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorSignListResponse>> getDoctorSignListAsyncFunc = syncToAsync(this::getDoctorSignList);
            handlers.put(getDoctorSignListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorSignListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateScheduleStatusRequest, StreamObserver<com.ywt.gapi.Result>> updateScheduleStatusFunc = this::updateScheduleStatus;
            handlers.put(updateScheduleStatusMethod.getMethodName(), new UnaryStubMethodHandler<>(updateScheduleStatusFunc));
            BiConsumer<com.ywt.gapi.user.UpdateScheduleStatusRequest, StreamObserver<com.ywt.gapi.Result>> updateScheduleStatusAsyncFunc = syncToAsync(this::updateScheduleStatus);
            handlers.put(updateScheduleStatusProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateScheduleStatusAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateConsultFeeRequest, StreamObserver<com.ywt.gapi.Result>> updateConsultFeeFunc = this::updateConsultFee;
            handlers.put(updateConsultFeeMethod.getMethodName(), new UnaryStubMethodHandler<>(updateConsultFeeFunc));
            BiConsumer<com.ywt.gapi.user.UpdateConsultFeeRequest, StreamObserver<com.ywt.gapi.Result>> updateConsultFeeAsyncFunc = syncToAsync(this::updateConsultFee);
            handlers.put(updateConsultFeeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateConsultFeeAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultSettingsRequest, StreamObserver<com.ywt.gapi.user.GetConsultSettingsResponse>> getConsultSettingsFunc = this::getConsultSettings;
            handlers.put(getConsultSettingsMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultSettingsFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultSettingsRequest, StreamObserver<com.ywt.gapi.user.GetConsultSettingsResponse>> getConsultSettingsAsyncFunc = syncToAsync(this::getConsultSettings);
            handlers.put(getConsultSettingsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultSettingsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetConsultDoctorListResponse>> getConsultDoctorListFunc = this::getConsultDoctorList;
            handlers.put(getConsultDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetConsultDoctorListResponse>> getConsultDoctorListAsyncFunc = syncToAsync(this::getConsultDoctorList);
            handlers.put(getConsultDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CreateMedicalRecordsRequest, StreamObserver<com.ywt.gapi.Result>> createMedicalRecordsFunc = this::createMedicalRecords;
            handlers.put(createMedicalRecordsMethod.getMethodName(), new UnaryStubMethodHandler<>(createMedicalRecordsFunc));
            BiConsumer<com.ywt.gapi.user.CreateMedicalRecordsRequest, StreamObserver<com.ywt.gapi.Result>> createMedicalRecordsAsyncFunc = syncToAsync(this::createMedicalRecords);
            handlers.put(createMedicalRecordsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(createMedicalRecordsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateMedicalRecordsRequest, StreamObserver<com.ywt.gapi.Result>> updateMedicalRecordsFunc = this::updateMedicalRecords;
            handlers.put(updateMedicalRecordsMethod.getMethodName(), new UnaryStubMethodHandler<>(updateMedicalRecordsFunc));
            BiConsumer<com.ywt.gapi.user.UpdateMedicalRecordsRequest, StreamObserver<com.ywt.gapi.Result>> updateMedicalRecordsAsyncFunc = syncToAsync(this::updateMedicalRecords);
            handlers.put(updateMedicalRecordsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateMedicalRecordsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailResponse>> getMedicalRecordsDetailFunc = this::getMedicalRecordsDetail;
            handlers.put(getMedicalRecordsDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailResponse>> getMedicalRecordsDetailAsyncFunc = syncToAsync(this::getMedicalRecordsDetail);
            handlers.put(getMedicalRecordsDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailListRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse>> getMedicalRecordsDetailListFunc = this::getMedicalRecordsDetailList;
            handlers.put(getMedicalRecordsDetailListMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailListFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailListRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListResponse>> getMedicalRecordsDetailListAsyncFunc = syncToAsync(this::getMedicalRecordsDetailList);
            handlers.put(getMedicalRecordsDetailListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetOrderImageListRequest, StreamObserver<com.ywt.gapi.user.GetOrderImageListResponse>> getOrderImageListFunc = this::getOrderImageList;
            handlers.put(getOrderImageListMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderImageListFunc));
            BiConsumer<com.ywt.gapi.user.GetOrderImageListRequest, StreamObserver<com.ywt.gapi.user.GetOrderImageListResponse>> getOrderImageListAsyncFunc = syncToAsync(this::getOrderImageList);
            handlers.put(getOrderImageListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getOrderImageListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CanInitiateRequest, StreamObserver<com.ywt.gapi.Result>> canInitiateFunc = this::canInitiate;
            handlers.put(canInitiateMethod.getMethodName(), new UnaryStubMethodHandler<>(canInitiateFunc));
            BiConsumer<com.ywt.gapi.user.CanInitiateRequest, StreamObserver<com.ywt.gapi.Result>> canInitiateAsyncFunc = syncToAsync(this::canInitiate);
            handlers.put(canInitiateProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(canInitiateAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorRequest, StreamObserver<com.ywt.gapi.user.GetDoctorResponse>> getDoctorFunc = this::getDoctor;
            handlers.put(getDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorRequest, StreamObserver<com.ywt.gapi.user.GetDoctorResponse>> getDoctorAsyncFunc = syncToAsync(this::getDoctor);
            handlers.put(getDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorAllRequest, StreamObserver<com.ywt.gapi.user.GetDoctorAllResponse>> getDoctorAllFunc = this::getDoctorAll;
            handlers.put(getDoctorAllMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorAllFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorAllRequest, StreamObserver<com.ywt.gapi.user.GetDoctorAllResponse>> getDoctorAllAsyncFunc = syncToAsync(this::getDoctorAll);
            handlers.put(getDoctorAllProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorAllAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetTreatmentSettingsRequest, StreamObserver<com.ywt.gapi.user.GetTreatmentSettingsResponse>> getTreatmentSettingsFunc = this::getTreatmentSettings;
            handlers.put(getTreatmentSettingsMethod.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentSettingsFunc));
            BiConsumer<com.ywt.gapi.user.GetTreatmentSettingsRequest, StreamObserver<com.ywt.gapi.user.GetTreatmentSettingsResponse>> getTreatmentSettingsAsyncFunc = syncToAsync(this::getTreatmentSettings);
            handlers.put(getTreatmentSettingsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTreatmentSettingsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateTreatmentFeeRequest, StreamObserver<com.ywt.gapi.Result>> updateTreatmentFeeFunc = this::updateTreatmentFee;
            handlers.put(updateTreatmentFeeMethod.getMethodName(), new UnaryStubMethodHandler<>(updateTreatmentFeeFunc));
            BiConsumer<com.ywt.gapi.user.UpdateTreatmentFeeRequest, StreamObserver<com.ywt.gapi.Result>> updateTreatmentFeeAsyncFunc = syncToAsync(this::updateTreatmentFee);
            handlers.put(updateTreatmentFeeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateTreatmentFeeAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorInfoRequest, StreamObserver<com.ywt.gapi.Result>> updateDoctorInfoFunc = this::updateDoctorInfo;
            handlers.put(updateDoctorInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorInfoFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorInfoRequest, StreamObserver<com.ywt.gapi.Result>> updateDoctorInfoAsyncFunc = syncToAsync(this::updateDoctorInfo);
            handlers.put(updateDoctorInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse>> getDoctorInfoAuditFunc = this::getDoctorInfoAudit;
            handlers.put(getDoctorInfoAuditMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoAuditFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse>> getDoctorInfoAuditAsyncFunc = syncToAsync(this::getDoctorInfoAudit);
            handlers.put(getDoctorInfoAuditProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoAuditAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorSignRequest, StreamObserver<com.ywt.gapi.user.GetDoctorSignResponse>> getDoctorSignFunc = this::getDoctorSign;
            handlers.put(getDoctorSignMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorSignFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorSignRequest, StreamObserver<com.ywt.gapi.user.GetDoctorSignResponse>> getDoctorSignAsyncFunc = syncToAsync(this::getDoctorSign);
            handlers.put(getDoctorSignProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorSignAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetFriendListRequest, StreamObserver<com.ywt.gapi.user.GetFriendListResponse>> getFriendListFunc = this::getFriendList;
            handlers.put(getFriendListMethod.getMethodName(), new UnaryStubMethodHandler<>(getFriendListFunc));
            BiConsumer<com.ywt.gapi.user.GetFriendListRequest, StreamObserver<com.ywt.gapi.user.GetFriendListResponse>> getFriendListAsyncFunc = syncToAsync(this::getFriendList);
            handlers.put(getFriendListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getFriendListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SearchPatientRequest, StreamObserver<com.ywt.gapi.user.SearchPatientResponse>> searchPatientFunc = this::searchPatient;
            handlers.put(searchPatientMethod.getMethodName(), new UnaryStubMethodHandler<>(searchPatientFunc));
            BiConsumer<com.ywt.gapi.user.SearchPatientRequest, StreamObserver<com.ywt.gapi.user.SearchPatientResponse>> searchPatientAsyncFunc = syncToAsync(this::searchPatient);
            handlers.put(searchPatientProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(searchPatientAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientRequest, StreamObserver<com.ywt.gapi.user.GetPatientByIdResponse>> getPatientByIdFunc = this::getPatientById;
            handlers.put(getPatientByIdMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientByIdFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientRequest, StreamObserver<com.ywt.gapi.user.GetPatientByIdResponse>> getPatientByIdAsyncFunc = syncToAsync(this::getPatientById);
            handlers.put(getPatientByIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientByIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientMedicalRecordCountRequest, StreamObserver<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse>> getPatientMedicalRecordCountFunc = this::getPatientMedicalRecordCount;
            handlers.put(getPatientMedicalRecordCountMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientMedicalRecordCountFunc));
            BiConsumer<com.ywt.gapi.user.GetPatientMedicalRecordCountRequest, StreamObserver<com.ywt.gapi.user.GetPatientMedicalRecordCountResponse>> getPatientMedicalRecordCountAsyncFunc = syncToAsync(this::getPatientMedicalRecordCount);
            handlers.put(getPatientMedicalRecordCountProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getPatientMedicalRecordCountAsyncFunc));
            BiConsumer<com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest, StreamObserver<com.ywt.gapi.Result>> addOrUpdateMedicalModuleFunc = this::addOrUpdateMedicalModule;
            handlers.put(addOrUpdateMedicalModuleMethod.getMethodName(), new UnaryStubMethodHandler<>(addOrUpdateMedicalModuleFunc));
            BiConsumer<com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest, StreamObserver<com.ywt.gapi.Result>> addOrUpdateMedicalModuleAsyncFunc = syncToAsync(this::addOrUpdateMedicalModule);
            handlers.put(addOrUpdateMedicalModuleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(addOrUpdateMedicalModuleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalModuleDetailRequest, StreamObserver<com.ywt.gapi.user.GetMedicalModuleDetailResponse>> getMedicalModuleDetailFunc = this::getMedicalModuleDetail;
            handlers.put(getMedicalModuleDetailMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalModuleDetailFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalModuleDetailRequest, StreamObserver<com.ywt.gapi.user.GetMedicalModuleDetailResponse>> getMedicalModuleDetailAsyncFunc = syncToAsync(this::getMedicalModuleDetail);
            handlers.put(getMedicalModuleDetailProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalModuleDetailAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetAllMedicalModuleRequest, StreamObserver<com.ywt.gapi.user.GetAllMedicalModuleResponse>> getAllMedicalModuleFunc = this::getAllMedicalModule;
            handlers.put(getAllMedicalModuleMethod.getMethodName(), new UnaryStubMethodHandler<>(getAllMedicalModuleFunc));
            BiConsumer<com.ywt.gapi.user.GetAllMedicalModuleRequest, StreamObserver<com.ywt.gapi.user.GetAllMedicalModuleResponse>> getAllMedicalModuleAsyncFunc = syncToAsync(this::getAllMedicalModule);
            handlers.put(getAllMedicalModuleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getAllMedicalModuleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse>> getMedicalRecordsDetailByIdFunc = this::getMedicalRecordsDetailById;
            handlers.put(getMedicalRecordsDetailByIdMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailByIdFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse>> getMedicalRecordsDetailByIdAsyncFunc = syncToAsync(this::getMedicalRecordsDetailById);
            handlers.put(getMedicalRecordsDetailByIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailByIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse>> getMedicalRecordsDetailListByPatientIdFunc = this::getMedicalRecordsDetailListByPatientId;
            handlers.put(getMedicalRecordsDetailListByPatientIdMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailListByPatientIdFunc));
            BiConsumer<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest, StreamObserver<com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse>> getMedicalRecordsDetailListByPatientIdAsyncFunc = syncToAsync(this::getMedicalRecordsDetailListByPatientId);
            handlers.put(getMedicalRecordsDetailListByPatientIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMedicalRecordsDetailListByPatientIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.AddMedicalRecordRequest, StreamObserver<com.ywt.gapi.user.AddMedicalRecordResponse>> addMedicalRecordFunc = this::addMedicalRecord;
            handlers.put(addMedicalRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(addMedicalRecordFunc));
            BiConsumer<com.ywt.gapi.user.AddMedicalRecordRequest, StreamObserver<com.ywt.gapi.user.AddMedicalRecordResponse>> addMedicalRecordAsyncFunc = syncToAsync(this::addMedicalRecord);
            handlers.put(addMedicalRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(addMedicalRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetFriendHospitalListRequest, StreamObserver<com.ywt.gapi.user.GetFriendHospitalListResponse>> getFriendHospitalListFunc = this::getFriendHospitalList;
            handlers.put(getFriendHospitalListMethod.getMethodName(), new UnaryStubMethodHandler<>(getFriendHospitalListFunc));
            BiConsumer<com.ywt.gapi.user.GetFriendHospitalListRequest, StreamObserver<com.ywt.gapi.user.GetFriendHospitalListResponse>> getFriendHospitalListAsyncFunc = syncToAsync(this::getFriendHospitalList);
            handlers.put(getFriendHospitalListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getFriendHospitalListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorStatisticsResponse>> getDoctorStatisticsFunc = this::getDoctorStatistics;
            handlers.put(getDoctorStatisticsMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorStatisticsFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorStatisticsResponse>> getDoctorStatisticsAsyncFunc = syncToAsync(this::getDoctorStatistics);
            handlers.put(getDoctorStatisticsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorStatisticsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetLastMonthTransactionRecordRequest, StreamObserver<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse>> getLastMonthTransactionRecordFunc = this::getLastMonthTransactionRecord;
            handlers.put(getLastMonthTransactionRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(getLastMonthTransactionRecordFunc));
            BiConsumer<com.ywt.gapi.user.GetLastMonthTransactionRecordRequest, StreamObserver<com.ywt.gapi.user.GetLastMonthTransactionRecordResponse>> getLastMonthTransactionRecordAsyncFunc = syncToAsync(this::getLastMonthTransactionRecord);
            handlers.put(getLastMonthTransactionRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLastMonthTransactionRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetTransactionRecordRequest, StreamObserver<com.ywt.gapi.user.GetTransactionRecordResponse>> getTransactionRecordFunc = this::getTransactionRecord;
            handlers.put(getTransactionRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(getTransactionRecordFunc));
            BiConsumer<com.ywt.gapi.user.GetTransactionRecordRequest, StreamObserver<com.ywt.gapi.user.GetTransactionRecordResponse>> getTransactionRecordAsyncFunc = syncToAsync(this::getTransactionRecord);
            handlers.put(getTransactionRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTransactionRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetQuickLanguageListRequest, StreamObserver<com.ywt.gapi.user.GetQuickLanguageListResponse>> getQuickLanguageListFunc = this::getQuickLanguageList;
            handlers.put(getQuickLanguageListMethod.getMethodName(), new UnaryStubMethodHandler<>(getQuickLanguageListFunc));
            BiConsumer<com.ywt.gapi.user.GetQuickLanguageListRequest, StreamObserver<com.ywt.gapi.user.GetQuickLanguageListResponse>> getQuickLanguageListAsyncFunc = syncToAsync(this::getQuickLanguageList);
            handlers.put(getQuickLanguageListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getQuickLanguageListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultOrderListRequest, StreamObserver<com.ywt.gapi.user.GetConsultOrderListResponse>> getConsultOrderListWithStatusFunc = this::getConsultOrderListWithStatus;
            handlers.put(getConsultOrderListWithStatusMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderListWithStatusFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultOrderListRequest, StreamObserver<com.ywt.gapi.user.GetConsultOrderListResponse>> getConsultOrderListWithStatusAsyncFunc = syncToAsync(this::getConsultOrderListWithStatus);
            handlers.put(getConsultOrderListWithStatusProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultOrderListWithStatusAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetAdditionalRegistrationListRequest, StreamObserver<com.ywt.gapi.user.GetAdditionalRegistrationListResponse>> getAdditionalRegistrationListWithStatusFunc = this::getAdditionalRegistrationListWithStatus;
            handlers.put(getAdditionalRegistrationListWithStatusMethod.getMethodName(), new UnaryStubMethodHandler<>(getAdditionalRegistrationListWithStatusFunc));
            BiConsumer<com.ywt.gapi.user.GetAdditionalRegistrationListRequest, StreamObserver<com.ywt.gapi.user.GetAdditionalRegistrationListResponse>> getAdditionalRegistrationListWithStatusAsyncFunc = syncToAsync(this::getAdditionalRegistrationListWithStatus);
            handlers.put(getAdditionalRegistrationListWithStatusProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getAdditionalRegistrationListWithStatusAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SaveDoctorScheduleRequest, StreamObserver<com.ywt.gapi.Result>> saveDoctorScheduleFunc = this::saveDoctorSchedule;
            handlers.put(saveDoctorScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(saveDoctorScheduleFunc));
            BiConsumer<com.ywt.gapi.user.SaveDoctorScheduleRequest, StreamObserver<com.ywt.gapi.Result>> saveDoctorScheduleAsyncFunc = syncToAsync(this::saveDoctorSchedule);
            handlers.put(saveDoctorScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveDoctorScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorScheduleRequest, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse>> getDoctorScheduleFunc = this::getDoctorSchedule;
            handlers.put(getDoctorScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorScheduleFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorScheduleRequest, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse>> getDoctorScheduleAsyncFunc = syncToAsync(this::getDoctorSchedule);
            handlers.put(getDoctorScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorScheduleRequest, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse>> getLatestWeekScheduleFunc = this::getLatestWeekSchedule;
            handlers.put(getLatestWeekScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestWeekScheduleFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorScheduleRequest, StreamObserver<com.ywt.gapi.user.GetDoctorScheduleResponse>> getLatestWeekScheduleAsyncFunc = syncToAsync(this::getLatestWeekSchedule);
            handlers.put(getLatestWeekScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestWeekScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetLatestScheduleRequest, StreamObserver<com.ywt.gapi.user.GetLatestScheduleResponse>> getLatestScheduleFunc = this::getLatestSchedule;
            handlers.put(getLatestScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestScheduleFunc));
            BiConsumer<com.ywt.gapi.user.GetLatestScheduleRequest, StreamObserver<com.ywt.gapi.user.GetLatestScheduleResponse>> getLatestScheduleAsyncFunc = syncToAsync(this::getLatestSchedule);
            handlers.put(getLatestScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getLatestScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SetCancelScheduleRequest, StreamObserver<com.ywt.gapi.Result>> setCancelScheduleFunc = this::setCancelSchedule;
            handlers.put(setCancelScheduleMethod.getMethodName(), new UnaryStubMethodHandler<>(setCancelScheduleFunc));
            BiConsumer<com.ywt.gapi.user.SetCancelScheduleRequest, StreamObserver<com.ywt.gapi.Result>> setCancelScheduleAsyncFunc = syncToAsync(this::setCancelSchedule);
            handlers.put(setCancelScheduleProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(setCancelScheduleAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest, StreamObserver<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse>> getScheduleConfigByScheduleIdFunc = this::getScheduleConfigByScheduleId;
            handlers.put(getScheduleConfigByScheduleIdMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleConfigByScheduleIdFunc));
            BiConsumer<com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest, StreamObserver<com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse>> getScheduleConfigByScheduleIdAsyncFunc = syncToAsync(this::getScheduleConfigByScheduleId);
            handlers.put(getScheduleConfigByScheduleIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getScheduleConfigByScheduleIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CheckScheduleStatusRequest, StreamObserver<com.ywt.gapi.user.CheckScheduleStatusResponse>> checkScheduleStatusFunc = this::checkScheduleStatus;
            handlers.put(checkScheduleStatusMethod.getMethodName(), new UnaryStubMethodHandler<>(checkScheduleStatusFunc));
            BiConsumer<com.ywt.gapi.user.CheckScheduleStatusRequest, StreamObserver<com.ywt.gapi.user.CheckScheduleStatusResponse>> checkScheduleStatusAsyncFunc = syncToAsync(this::checkScheduleStatus);
            handlers.put(checkScheduleStatusProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(checkScheduleStatusAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DoctorBindWxRequest, StreamObserver<com.ywt.gapi.Result>> doctorBindWxFunc = this::doctorBindWx;
            handlers.put(doctorBindWxMethod.getMethodName(), new UnaryStubMethodHandler<>(doctorBindWxFunc));
            BiConsumer<com.ywt.gapi.user.DoctorBindWxRequest, StreamObserver<com.ywt.gapi.Result>> doctorBindWxAsyncFunc = syncToAsync(this::doctorBindWx);
            handlers.put(doctorBindWxProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(doctorBindWxAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SaveTeamRequest, StreamObserver<com.ywt.gapi.Result>> saveTeamFunc = this::saveTeam;
            handlers.put(saveTeamMethod.getMethodName(), new UnaryStubMethodHandler<>(saveTeamFunc));
            BiConsumer<com.ywt.gapi.user.SaveTeamRequest, StreamObserver<com.ywt.gapi.Result>> saveTeamAsyncFunc = syncToAsync(this::saveTeam);
            handlers.put(saveTeamProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveTeamAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamInfoRequest, StreamObserver<com.ywt.gapi.user.GetTeamInfoResponse>> getTeamInfoFunc = this::getTeamInfo;
            handlers.put(getTeamInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamInfoFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamInfoRequest, StreamObserver<com.ywt.gapi.user.GetTeamInfoResponse>> getTeamInfoAsyncFunc = syncToAsync(this::getTeamInfo);
            handlers.put(getTeamInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SearchDoctorRequest, StreamObserver<com.ywt.gapi.user.SearchDoctorResponse>> searchDoctorFunc = this::searchDoctor;
            handlers.put(searchDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(searchDoctorFunc));
            BiConsumer<com.ywt.gapi.user.SearchDoctorRequest, StreamObserver<com.ywt.gapi.user.SearchDoctorResponse>> searchDoctorAsyncFunc = syncToAsync(this::searchDoctor);
            handlers.put(searchDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(searchDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DelTeamDoctorRequest, StreamObserver<com.ywt.gapi.Result>> delTeamDoctorFunc = this::delTeamDoctor;
            handlers.put(delTeamDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(delTeamDoctorFunc));
            BiConsumer<com.ywt.gapi.user.DelTeamDoctorRequest, StreamObserver<com.ywt.gapi.Result>> delTeamDoctorAsyncFunc = syncToAsync(this::delTeamDoctor);
            handlers.put(delTeamDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(delTeamDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetMyTeamRequest, StreamObserver<com.ywt.gapi.user.GetMyTeamResponse>> getMyTeamFunc = this::getMyTeam;
            handlers.put(getMyTeamMethod.getMethodName(), new UnaryStubMethodHandler<>(getMyTeamFunc));
            BiConsumer<com.ywt.gapi.user.GetMyTeamRequest, StreamObserver<com.ywt.gapi.user.GetMyTeamResponse>> getMyTeamAsyncFunc = syncToAsync(this::getMyTeam);
            handlers.put(getMyTeamProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getMyTeamAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DelTeamRequest, StreamObserver<com.ywt.gapi.Result>> delTeamFunc = this::delTeam;
            handlers.put(delTeamMethod.getMethodName(), new UnaryStubMethodHandler<>(delTeamFunc));
            BiConsumer<com.ywt.gapi.user.DelTeamRequest, StreamObserver<com.ywt.gapi.Result>> delTeamAsyncFunc = syncToAsync(this::delTeam);
            handlers.put(delTeamProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(delTeamAsyncFunc));
            BiConsumer<com.ywt.gapi.user.ApplyToJoinRequest, StreamObserver<com.ywt.gapi.Result>> applyToJoinFunc = this::applyToJoin;
            handlers.put(applyToJoinMethod.getMethodName(), new UnaryStubMethodHandler<>(applyToJoinFunc));
            BiConsumer<com.ywt.gapi.user.ApplyToJoinRequest, StreamObserver<com.ywt.gapi.Result>> applyToJoinAsyncFunc = syncToAsync(this::applyToJoin);
            handlers.put(applyToJoinProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(applyToJoinAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SearchTeamRequest, StreamObserver<com.ywt.gapi.user.SearchTeamResponse>> searchTeamFunc = this::searchTeam;
            handlers.put(searchTeamMethod.getMethodName(), new UnaryStubMethodHandler<>(searchTeamFunc));
            BiConsumer<com.ywt.gapi.user.SearchTeamRequest, StreamObserver<com.ywt.gapi.user.SearchTeamResponse>> searchTeamAsyncFunc = syncToAsync(this::searchTeam);
            handlers.put(searchTeamProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(searchTeamAsyncFunc));
            BiConsumer<com.ywt.gapi.user.DealWithInvitationRequest, StreamObserver<com.ywt.gapi.Result>> dealWithInvitationFunc = this::dealWithInvitation;
            handlers.put(dealWithInvitationMethod.getMethodName(), new UnaryStubMethodHandler<>(dealWithInvitationFunc));
            BiConsumer<com.ywt.gapi.user.DealWithInvitationRequest, StreamObserver<com.ywt.gapi.Result>> dealWithInvitationAsyncFunc = syncToAsync(this::dealWithInvitation);
            handlers.put(dealWithInvitationProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(dealWithInvitationAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest, StreamObserver<com.ywt.gapi.user.CheckHospitalStatusResponse>> checkHospitalStatusByDoctorIdFunc = this::checkHospitalStatusByDoctorId;
            handlers.put(checkHospitalStatusByDoctorIdMethod.getMethodName(), new UnaryStubMethodHandler<>(checkHospitalStatusByDoctorIdFunc));
            BiConsumer<com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest, StreamObserver<com.ywt.gapi.user.CheckHospitalStatusResponse>> checkHospitalStatusByDoctorIdAsyncFunc = syncToAsync(this::checkHospitalStatusByDoctorId);
            handlers.put(checkHospitalStatusByDoctorIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(checkHospitalStatusByDoctorIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdatePatientRequest, StreamObserver<com.ywt.gapi.Result>> updatePatientFunc = this::updatePatient;
            handlers.put(updatePatientMethod.getMethodName(), new UnaryStubMethodHandler<>(updatePatientFunc));
            BiConsumer<com.ywt.gapi.user.UpdatePatientRequest, StreamObserver<com.ywt.gapi.Result>> updatePatientAsyncFunc = syncToAsync(this::updatePatient);
            handlers.put(updatePatientProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updatePatientAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorTeamsRequest, StreamObserver<com.ywt.gapi.user.GetDoctorTeamsResponse>> getDoctorTeamsFunc = this::getDoctorTeams;
            handlers.put(getDoctorTeamsMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorTeamsFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorTeamsRequest, StreamObserver<com.ywt.gapi.user.GetDoctorTeamsResponse>> getDoctorTeamsAsyncFunc = syncToAsync(this::getDoctorTeams);
            handlers.put(getDoctorTeamsProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorTeamsAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorHisCodeRequest, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeResponse>> getDoctorHisCodeFunc = this::getDoctorHisCode;
            handlers.put(getDoctorHisCodeMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorHisCodeFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorHisCodeRequest, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeResponse>> getDoctorHisCodeAsyncFunc = syncToAsync(this::getDoctorHisCode);
            handlers.put(getDoctorHisCodeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorHisCodeAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SaveBaseInfoRequest, StreamObserver<com.ywt.gapi.Result>> saveBaseInfoFunc = this::saveBaseInfo;
            handlers.put(saveBaseInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(saveBaseInfoFunc));
            BiConsumer<com.ywt.gapi.user.SaveBaseInfoRequest, StreamObserver<com.ywt.gapi.Result>> saveBaseInfoAsyncFunc = syncToAsync(this::saveBaseInfo);
            handlers.put(saveBaseInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveBaseInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse>> getDoctorInfoVerifyFunc = this::getDoctorInfoVerify;
            handlers.put(getDoctorInfoVerifyMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoVerifyFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorInfoAuditRequest, StreamObserver<com.ywt.gapi.user.GetDoctorInfoAuditResponse>> getDoctorInfoVerifyAsyncFunc = syncToAsync(this::getDoctorInfoVerify);
            handlers.put(getDoctorInfoVerifyProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorInfoVerifyAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorInfoRequest, StreamObserver<com.ywt.gapi.Result>> updateDoctorInfoVerifyFunc = this::updateDoctorInfoVerify;
            handlers.put(updateDoctorInfoVerifyMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorInfoVerifyFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorInfoRequest, StreamObserver<com.ywt.gapi.Result>> updateDoctorInfoVerifyAsyncFunc = syncToAsync(this::updateDoctorInfoVerify);
            handlers.put(updateDoctorInfoVerifyProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorInfoVerifyAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorByHisCodeRequest, StreamObserver<com.ywt.gapi.user.GetDoctorByHisCodeResponse>> getDoctorByHisCodeFunc = this::getDoctorByHisCode;
            handlers.put(getDoctorByHisCodeMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorByHisCodeFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorByHisCodeRequest, StreamObserver<com.ywt.gapi.user.GetDoctorByHisCodeResponse>> getDoctorByHisCodeAsyncFunc = syncToAsync(this::getDoctorByHisCode);
            handlers.put(getDoctorByHisCodeProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorByHisCodeAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamListByDeptIdRequest, StreamObserver<com.ywt.gapi.user.GetTeamListByDeptIdResponse>> getTeamListByDeptIdFunc = this::getTeamListByDeptId;
            handlers.put(getTeamListByDeptIdMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamListByDeptIdFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamListByDeptIdRequest, StreamObserver<com.ywt.gapi.user.GetTeamListByDeptIdResponse>> getTeamListByDeptIdAsyncFunc = syncToAsync(this::getTeamListByDeptId);
            handlers.put(getTeamListByDeptIdProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamListByDeptIdAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDeptScheduleDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse>> getDeptScheduleDoctorListFunc = this::getDeptScheduleDoctorList;
            handlers.put(getDeptScheduleDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDeptScheduleDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.GetDeptScheduleDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetDeptScheduleDoctorListResponse>> getDeptScheduleDoctorListAsyncFunc = syncToAsync(this::getDeptScheduleDoctorList);
            handlers.put(getDeptScheduleDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDeptScheduleDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest, StreamObserver<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse>> generalGetPlatformDoctorListFunc = this::generalGetPlatformDoctorList;
            handlers.put(generalGetPlatformDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(generalGetPlatformDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest, StreamObserver<com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse>> generalGetPlatformDoctorListAsyncFunc = syncToAsync(this::generalGetPlatformDoctorList);
            handlers.put(generalGetPlatformDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(generalGetPlatformDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest, StreamObserver<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse>> generalGetAttentionDoctorListFunc = this::generalGetAttentionDoctorList;
            handlers.put(generalGetAttentionDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(generalGetAttentionDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest, StreamObserver<com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse>> generalGetAttentionDoctorListAsyncFunc = syncToAsync(this::generalGetAttentionDoctorList);
            handlers.put(generalGetAttentionDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(generalGetAttentionDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDisplayTeamListRequest, StreamObserver<com.ywt.gapi.user.GetDisplayTeamListResponse>> getDisplayTeamListFunc = this::getDisplayTeamList;
            handlers.put(getDisplayTeamListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDisplayTeamListFunc));
            BiConsumer<com.ywt.gapi.user.GetDisplayTeamListRequest, StreamObserver<com.ywt.gapi.user.GetDisplayTeamListResponse>> getDisplayTeamListAsyncFunc = syncToAsync(this::getDisplayTeamList);
            handlers.put(getDisplayTeamListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDisplayTeamListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.CheckUserUnionDoctorRequest, StreamObserver<com.ywt.gapi.ResultInt>> checkUserUnionDoctorFunc = this::checkUserUnionDoctor;
            handlers.put(checkUserUnionDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(checkUserUnionDoctorFunc));
            BiConsumer<com.ywt.gapi.user.CheckUserUnionDoctorRequest, StreamObserver<com.ywt.gapi.ResultInt>> checkUserUnionDoctorAsyncFunc = syncToAsync(this::checkUserUnionDoctor);
            handlers.put(checkUserUnionDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(checkUserUnionDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.NotifyDoctorVerificationPassRequest, StreamObserver<com.ywt.gapi.Result>> notifyDoctorVerificationPassFunc = this::notifyDoctorVerificationPass;
            handlers.put(notifyDoctorVerificationPassMethod.getMethodName(), new UnaryStubMethodHandler<>(notifyDoctorVerificationPassFunc));
            BiConsumer<com.ywt.gapi.user.NotifyDoctorVerificationPassRequest, StreamObserver<com.ywt.gapi.Result>> notifyDoctorVerificationPassAsyncFunc = syncToAsync(this::notifyDoctorVerificationPass);
            handlers.put(notifyDoctorVerificationPassProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(notifyDoctorVerificationPassAsyncFunc));
            BiConsumer<com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest, StreamObserver<com.ywt.gapi.Result>> notifyDoctorVerificationNotPassFunc = this::notifyDoctorVerificationNotPass;
            handlers.put(notifyDoctorVerificationNotPassMethod.getMethodName(), new UnaryStubMethodHandler<>(notifyDoctorVerificationNotPassFunc));
            BiConsumer<com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest, StreamObserver<com.ywt.gapi.Result>> notifyDoctorVerificationNotPassAsyncFunc = syncToAsync(this::notifyDoctorVerificationNotPass);
            handlers.put(notifyDoctorVerificationNotPassProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(notifyDoctorVerificationNotPassAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultDoctorPageListRequest, StreamObserver<com.ywt.gapi.user.GetConsultDoctorPageListResponse>> getConsultDoctorPagedListFunc = this::getConsultDoctorPagedList;
            handlers.put(getConsultDoctorPagedListMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultDoctorPagedListFunc));
            BiConsumer<com.ywt.gapi.user.GetConsultDoctorPageListRequest, StreamObserver<com.ywt.gapi.user.GetConsultDoctorPageListResponse>> getConsultDoctorPagedListAsyncFunc = syncToAsync(this::getConsultDoctorPagedList);
            handlers.put(getConsultDoctorPagedListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getConsultDoctorPagedListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest, StreamObserver<com.ywt.gapi.Result>> scanQrCodeJoinTeamDoctorFunc = this::scanQrCodeJoinTeamDoctor;
            handlers.put(scanQrCodeJoinTeamDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(scanQrCodeJoinTeamDoctorFunc));
            BiConsumer<com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest, StreamObserver<com.ywt.gapi.Result>> scanQrCodeJoinTeamDoctorAsyncFunc = syncToAsync(this::scanQrCodeJoinTeamDoctor);
            handlers.put(scanQrCodeJoinTeamDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(scanQrCodeJoinTeamDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetRecommendDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetRecommendDoctorListResponse>> getRecommendDoctorListFunc = this::getRecommendDoctorList;
            handlers.put(getRecommendDoctorListMethod.getMethodName(), new UnaryStubMethodHandler<>(getRecommendDoctorListFunc));
            BiConsumer<com.ywt.gapi.user.GetRecommendDoctorListRequest, StreamObserver<com.ywt.gapi.user.GetRecommendDoctorListResponse>> getRecommendDoctorListAsyncFunc = syncToAsync(this::getRecommendDoctorList);
            handlers.put(getRecommendDoctorListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getRecommendDoctorListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorMpMenuListReqeust, StreamObserver<com.ywt.gapi.user.GetDoctorMpMenuListResponse>> getDoctorMpMenuListFunc = this::getDoctorMpMenuList;
            handlers.put(getDoctorMpMenuListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorMpMenuListFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorMpMenuListReqeust, StreamObserver<com.ywt.gapi.user.GetDoctorMpMenuListResponse>> getDoctorMpMenuListAsyncFunc = syncToAsync(this::getDoctorMpMenuList);
            handlers.put(getDoctorMpMenuListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorMpMenuListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorMpMenuReqeust, StreamObserver<com.ywt.gapi.user.UpdateDoctorMpMenuResponse>> updateDoctorMpMenuFunc = this::updateDoctorMpMenu;
            handlers.put(updateDoctorMpMenuMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorMpMenuFunc));
            BiConsumer<com.ywt.gapi.user.UpdateDoctorMpMenuReqeust, StreamObserver<com.ywt.gapi.user.UpdateDoctorMpMenuResponse>> updateDoctorMpMenuAsyncFunc = syncToAsync(this::updateDoctorMpMenu);
            handlers.put(updateDoctorMpMenuProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updateDoctorMpMenuAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest, StreamObserver<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse>> getIsUserAnAuditDoctorFunc = this::getIsUserAnAuditDoctor;
            handlers.put(getIsUserAnAuditDoctorMethod.getMethodName(), new UnaryStubMethodHandler<>(getIsUserAnAuditDoctorFunc));
            BiConsumer<com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest, StreamObserver<com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse>> getIsUserAnAuditDoctorAsyncFunc = syncToAsync(this::getIsUserAnAuditDoctor);
            handlers.put(getIsUserAnAuditDoctorProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getIsUserAnAuditDoctorAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SetDefaultPharmacyRequest, StreamObserver<com.ywt.gapi.user.SetDefaultPharmacyResponse>> setDefaultPharmacyFunc = this::setDefaultPharmacy;
            handlers.put(setDefaultPharmacyMethod.getMethodName(), new UnaryStubMethodHandler<>(setDefaultPharmacyFunc));
            BiConsumer<com.ywt.gapi.user.SetDefaultPharmacyRequest, StreamObserver<com.ywt.gapi.user.SetDefaultPharmacyResponse>> setDefaultPharmacyAsyncFunc = syncToAsync(this::setDefaultPharmacy);
            handlers.put(setDefaultPharmacyProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(setDefaultPharmacyAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorTitleListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorTitleListResponse>> getDoctorTitleListFunc = this::getDoctorTitleList;
            handlers.put(getDoctorTitleListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorTitleListFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorTitleListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorTitleListResponse>> getDoctorTitleListAsyncFunc = syncToAsync(this::getDoctorTitleList);
            handlers.put(getDoctorTitleListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorTitleListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.UpdatePatientInfoRequest, StreamObserver<com.ywt.gapi.Result>> updatePatientInfoFunc = this::updatePatientInfo;
            handlers.put(updatePatientInfoMethod.getMethodName(), new UnaryStubMethodHandler<>(updatePatientInfoFunc));
            BiConsumer<com.ywt.gapi.user.UpdatePatientInfoRequest, StreamObserver<com.ywt.gapi.Result>> updatePatientInfoAsyncFunc = syncToAsync(this::updatePatientInfo);
            handlers.put(updatePatientInfoProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(updatePatientInfoAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorFixedPointRequest, StreamObserver<com.ywt.gapi.user.GetDoctorFixedPointResponse>> getDoctorFixedPointFunc = this::getDoctorFixedPoint;
            handlers.put(getDoctorFixedPointMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorFixedPointFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorFixedPointRequest, StreamObserver<com.ywt.gapi.user.GetDoctorFixedPointResponse>> getDoctorFixedPointAsyncFunc = syncToAsync(this::getDoctorFixedPoint);
            handlers.put(getDoctorFixedPointProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorFixedPointAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamListRequest, StreamObserver<com.ywt.gapi.user.GetTeamListResponse>> getTeamListFunc = this::getTeamList;
            handlers.put(getTeamListMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamListFunc));
            BiConsumer<com.ywt.gapi.user.GetTeamListRequest, StreamObserver<com.ywt.gapi.user.GetTeamListResponse>> getTeamListAsyncFunc = syncToAsync(this::getTeamList);
            handlers.put(getTeamListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getTeamListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorHisCodeListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeListResponse>> getDoctorHisCodeListFunc = this::getDoctorHisCodeList;
            handlers.put(getDoctorHisCodeListMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorHisCodeListFunc));
            BiConsumer<com.ywt.gapi.user.GetDoctorHisCodeListRequest, StreamObserver<com.ywt.gapi.user.GetDoctorHisCodeListResponse>> getDoctorHisCodeListAsyncFunc = syncToAsync(this::getDoctorHisCodeList);
            handlers.put(getDoctorHisCodeListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getDoctorHisCodeListAsyncFunc));
            BiConsumer<com.ywt.gapi.user.GetHospMedRecordRequest, StreamObserver<com.ywt.gapi.user.GetHospMedRecordResponse>> getHospMedRecordFunc = this::getHospMedRecord;
            handlers.put(getHospMedRecordMethod.getMethodName(), new UnaryStubMethodHandler<>(getHospMedRecordFunc));
            BiConsumer<com.ywt.gapi.user.GetHospMedRecordRequest, StreamObserver<com.ywt.gapi.user.GetHospMedRecordResponse>> getHospMedRecordAsyncFunc = syncToAsync(this::getHospMedRecord);
            handlers.put(getHospMedRecordProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(getHospMedRecordAsyncFunc));
            BiConsumer<com.ywt.gapi.user.SaveDoctorHisCodeListRequest, StreamObserver<com.ywt.gapi.user.SaveDoctorHisCodeListResponse>> saveDoctorHisCodeListFunc = this::saveDoctorHisCodeList;
            handlers.put(saveDoctorHisCodeListMethod.getMethodName(), new UnaryStubMethodHandler<>(saveDoctorHisCodeListFunc));
            BiConsumer<com.ywt.gapi.user.SaveDoctorHisCodeListRequest, StreamObserver<com.ywt.gapi.user.SaveDoctorHisCodeListResponse>> saveDoctorHisCodeListAsyncFunc = syncToAsync(this::saveDoctorHisCodeList);
            handlers.put(saveDoctorHisCodeListProxyAsyncMethod.getMethodName(), new UnaryStubMethodHandler<>(saveDoctorHisCodeListAsyncFunc));




            return new StubInvoker<>(this, url, DoctorService.class, handlers);
        }


        @Override
        public com.ywt.gapi.user.DoctorResponse findByUserId(com.ywt.gapi.user.DoctorRequest request){
            throw unimplementedMethodException(findByUserIdMethod);
        }

        @Override
        public com.ywt.gapi.user.DoctorInfoResponse getDoctorInfo(com.ywt.gapi.user.DoctorRequest request){
            throw unimplementedMethodException(getDoctorInfoMethod);
        }

        @Override
        public com.ywt.gapi.user.PatientListResponse getPatientList(com.ywt.gapi.user.PatientListRequest request){
            throw unimplementedMethodException(getPatientListMethod);
        }

        @Override
        public com.ywt.gapi.user.CreatePatientResponse createPatient(com.ywt.gapi.user.CreatePatientRequest request){
            throw unimplementedMethodException(createPatientMethod);
        }

        @Override
        public com.ywt.gapi.user.UnionDoctorListResponse getUnionDoctorList(com.ywt.gapi.user.UnionDoctorListRequest request){
            throw unimplementedMethodException(getUnionDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.Result unionDoctor(com.ywt.gapi.user.UnionDoctorRequest request){
            throw unimplementedMethodException(unionDoctorMethod);
        }

        @Override
        public com.ywt.gapi.user.PlatformDoctorListResponse getPlatformDoctorList(com.ywt.gapi.user.PlatformDoctorListRequest request){
            throw unimplementedMethodException(getPlatformDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.user.PatientOrderInfoListResponse getPatientOrderInfoList(com.ywt.gapi.user.PatientOrderInfoListRequest request){
            throw unimplementedMethodException(getPatientOrderInfoListMethod);
        }

        @Override
        public com.ywt.gapi.Result delPatientRequent(com.ywt.gapi.user.DelPatientRequest request){
            throw unimplementedMethodException(delPatientRequentMethod);
        }

        @Override
        public com.ywt.gapi.user.GetPatientResponse getPatient(com.ywt.gapi.user.GetPatientRequest request){
            throw unimplementedMethodException(getPatientMethod);
        }

        @Override
        public com.ywt.gapi.ResultInt saveSign(com.ywt.gapi.user.SaveSignRequest request){
            throw unimplementedMethodException(saveSignMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorSignListResponse getDoctorSignList(com.ywt.gapi.user.GetDoctorSignListRequest request){
            throw unimplementedMethodException(getDoctorSignListMethod);
        }

        @Override
        public com.ywt.gapi.Result updateScheduleStatus(com.ywt.gapi.user.UpdateScheduleStatusRequest request){
            throw unimplementedMethodException(updateScheduleStatusMethod);
        }

        @Override
        public com.ywt.gapi.Result updateConsultFee(com.ywt.gapi.user.UpdateConsultFeeRequest request){
            throw unimplementedMethodException(updateConsultFeeMethod);
        }

        @Override
        public com.ywt.gapi.user.GetConsultSettingsResponse getConsultSettings(com.ywt.gapi.user.GetConsultSettingsRequest request){
            throw unimplementedMethodException(getConsultSettingsMethod);
        }

        @Override
        public com.ywt.gapi.user.GetConsultDoctorListResponse getConsultDoctorList(com.ywt.gapi.user.GetConsultDoctorListRequest request){
            throw unimplementedMethodException(getConsultDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.Result createMedicalRecords(com.ywt.gapi.user.CreateMedicalRecordsRequest request){
            throw unimplementedMethodException(createMedicalRecordsMethod);
        }

        @Override
        public com.ywt.gapi.Result updateMedicalRecords(com.ywt.gapi.user.UpdateMedicalRecordsRequest request){
            throw unimplementedMethodException(updateMedicalRecordsMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailResponse getMedicalRecordsDetail(com.ywt.gapi.user.GetMedicalRecordsDetailRequest request){
            throw unimplementedMethodException(getMedicalRecordsDetailMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailListResponse getMedicalRecordsDetailList(com.ywt.gapi.user.GetMedicalRecordsDetailListRequest request){
            throw unimplementedMethodException(getMedicalRecordsDetailListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetOrderImageListResponse getOrderImageList(com.ywt.gapi.user.GetOrderImageListRequest request){
            throw unimplementedMethodException(getOrderImageListMethod);
        }

        @Override
        public com.ywt.gapi.Result canInitiate(com.ywt.gapi.user.CanInitiateRequest request){
            throw unimplementedMethodException(canInitiateMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorResponse getDoctor(com.ywt.gapi.user.GetDoctorRequest request){
            throw unimplementedMethodException(getDoctorMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorAllResponse getDoctorAll(com.ywt.gapi.user.GetDoctorAllRequest request){
            throw unimplementedMethodException(getDoctorAllMethod);
        }

        @Override
        public com.ywt.gapi.user.GetTreatmentSettingsResponse getTreatmentSettings(com.ywt.gapi.user.GetTreatmentSettingsRequest request){
            throw unimplementedMethodException(getTreatmentSettingsMethod);
        }

        @Override
        public com.ywt.gapi.Result updateTreatmentFee(com.ywt.gapi.user.UpdateTreatmentFeeRequest request){
            throw unimplementedMethodException(updateTreatmentFeeMethod);
        }

        @Override
        public com.ywt.gapi.Result updateDoctorInfo(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            throw unimplementedMethodException(updateDoctorInfoMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoAudit(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            throw unimplementedMethodException(getDoctorInfoAuditMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorSignResponse getDoctorSign(com.ywt.gapi.user.GetDoctorSignRequest request){
            throw unimplementedMethodException(getDoctorSignMethod);
        }

        @Override
        public com.ywt.gapi.user.GetFriendListResponse getFriendList(com.ywt.gapi.user.GetFriendListRequest request){
            throw unimplementedMethodException(getFriendListMethod);
        }

        @Override
        public com.ywt.gapi.user.SearchPatientResponse searchPatient(com.ywt.gapi.user.SearchPatientRequest request){
            throw unimplementedMethodException(searchPatientMethod);
        }

        @Override
        public com.ywt.gapi.user.GetPatientByIdResponse getPatientById(com.ywt.gapi.user.GetPatientRequest request){
            throw unimplementedMethodException(getPatientByIdMethod);
        }

        @Override
        public com.ywt.gapi.user.GetPatientMedicalRecordCountResponse getPatientMedicalRecordCount(com.ywt.gapi.user.GetPatientMedicalRecordCountRequest request){
            throw unimplementedMethodException(getPatientMedicalRecordCountMethod);
        }

        @Override
        public com.ywt.gapi.Result addOrUpdateMedicalModule(com.ywt.gapi.user.AddOrUpdateMedicalModuleRequest request){
            throw unimplementedMethodException(addOrUpdateMedicalModuleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMedicalModuleDetailResponse getMedicalModuleDetail(com.ywt.gapi.user.GetMedicalModuleDetailRequest request){
            throw unimplementedMethodException(getMedicalModuleDetailMethod);
        }

        @Override
        public com.ywt.gapi.user.GetAllMedicalModuleResponse getAllMedicalModule(com.ywt.gapi.user.GetAllMedicalModuleRequest request){
            throw unimplementedMethodException(getAllMedicalModuleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailByIdResponse getMedicalRecordsDetailById(com.ywt.gapi.user.GetMedicalRecordsDetailByIdRequest request){
            throw unimplementedMethodException(getMedicalRecordsDetailByIdMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdResponse getMedicalRecordsDetailListByPatientId(com.ywt.gapi.user.GetMedicalRecordsDetailListByPatientIdRequest request){
            throw unimplementedMethodException(getMedicalRecordsDetailListByPatientIdMethod);
        }

        @Override
        public com.ywt.gapi.user.AddMedicalRecordResponse addMedicalRecord(com.ywt.gapi.user.AddMedicalRecordRequest request){
            throw unimplementedMethodException(addMedicalRecordMethod);
        }

        @Override
        public com.ywt.gapi.user.GetFriendHospitalListResponse getFriendHospitalList(com.ywt.gapi.user.GetFriendHospitalListRequest request){
            throw unimplementedMethodException(getFriendHospitalListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorStatisticsResponse getDoctorStatistics(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            throw unimplementedMethodException(getDoctorStatisticsMethod);
        }

        @Override
        public com.ywt.gapi.user.GetLastMonthTransactionRecordResponse getLastMonthTransactionRecord(com.ywt.gapi.user.GetLastMonthTransactionRecordRequest request){
            throw unimplementedMethodException(getLastMonthTransactionRecordMethod);
        }

        @Override
        public com.ywt.gapi.user.GetTransactionRecordResponse getTransactionRecord(com.ywt.gapi.user.GetTransactionRecordRequest request){
            throw unimplementedMethodException(getTransactionRecordMethod);
        }

        @Override
        public com.ywt.gapi.user.GetQuickLanguageListResponse getQuickLanguageList(com.ywt.gapi.user.GetQuickLanguageListRequest request){
            throw unimplementedMethodException(getQuickLanguageListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetConsultOrderListResponse getConsultOrderListWithStatus(com.ywt.gapi.user.GetConsultOrderListRequest request){
            throw unimplementedMethodException(getConsultOrderListWithStatusMethod);
        }

        @Override
        public com.ywt.gapi.user.GetAdditionalRegistrationListResponse getAdditionalRegistrationListWithStatus(com.ywt.gapi.user.GetAdditionalRegistrationListRequest request){
            throw unimplementedMethodException(getAdditionalRegistrationListWithStatusMethod);
        }

        @Override
        public com.ywt.gapi.Result saveDoctorSchedule(com.ywt.gapi.user.SaveDoctorScheduleRequest request){
            throw unimplementedMethodException(saveDoctorScheduleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorScheduleResponse getDoctorSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            throw unimplementedMethodException(getDoctorScheduleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorScheduleResponse getLatestWeekSchedule(com.ywt.gapi.user.GetDoctorScheduleRequest request){
            throw unimplementedMethodException(getLatestWeekScheduleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetLatestScheduleResponse getLatestSchedule(com.ywt.gapi.user.GetLatestScheduleRequest request){
            throw unimplementedMethodException(getLatestScheduleMethod);
        }

        @Override
        public com.ywt.gapi.Result setCancelSchedule(com.ywt.gapi.user.SetCancelScheduleRequest request){
            throw unimplementedMethodException(setCancelScheduleMethod);
        }

        @Override
        public com.ywt.gapi.user.GetScheduleConfigByScheduleIdResponse getScheduleConfigByScheduleId(com.ywt.gapi.user.GetScheduleConfigByScheduleIdRequest request){
            throw unimplementedMethodException(getScheduleConfigByScheduleIdMethod);
        }

        @Override
        public com.ywt.gapi.user.CheckScheduleStatusResponse checkScheduleStatus(com.ywt.gapi.user.CheckScheduleStatusRequest request){
            throw unimplementedMethodException(checkScheduleStatusMethod);
        }

        @Override
        public com.ywt.gapi.Result doctorBindWx(com.ywt.gapi.user.DoctorBindWxRequest request){
            throw unimplementedMethodException(doctorBindWxMethod);
        }

        @Override
        public com.ywt.gapi.Result saveTeam(com.ywt.gapi.user.SaveTeamRequest request){
            throw unimplementedMethodException(saveTeamMethod);
        }

        @Override
        public com.ywt.gapi.user.GetTeamInfoResponse getTeamInfo(com.ywt.gapi.user.GetTeamInfoRequest request){
            throw unimplementedMethodException(getTeamInfoMethod);
        }

        @Override
        public com.ywt.gapi.user.SearchDoctorResponse searchDoctor(com.ywt.gapi.user.SearchDoctorRequest request){
            throw unimplementedMethodException(searchDoctorMethod);
        }

        @Override
        public com.ywt.gapi.Result delTeamDoctor(com.ywt.gapi.user.DelTeamDoctorRequest request){
            throw unimplementedMethodException(delTeamDoctorMethod);
        }

        @Override
        public com.ywt.gapi.user.GetMyTeamResponse getMyTeam(com.ywt.gapi.user.GetMyTeamRequest request){
            throw unimplementedMethodException(getMyTeamMethod);
        }

        @Override
        public com.ywt.gapi.Result delTeam(com.ywt.gapi.user.DelTeamRequest request){
            throw unimplementedMethodException(delTeamMethod);
        }

        @Override
        public com.ywt.gapi.Result applyToJoin(com.ywt.gapi.user.ApplyToJoinRequest request){
            throw unimplementedMethodException(applyToJoinMethod);
        }

        @Override
        public com.ywt.gapi.user.SearchTeamResponse searchTeam(com.ywt.gapi.user.SearchTeamRequest request){
            throw unimplementedMethodException(searchTeamMethod);
        }

        @Override
        public com.ywt.gapi.Result dealWithInvitation(com.ywt.gapi.user.DealWithInvitationRequest request){
            throw unimplementedMethodException(dealWithInvitationMethod);
        }

        @Override
        public com.ywt.gapi.user.CheckHospitalStatusResponse checkHospitalStatusByDoctorId(com.ywt.gapi.user.CheckHospitalStatusByDoctorIdRequest request){
            throw unimplementedMethodException(checkHospitalStatusByDoctorIdMethod);
        }

        @Override
        public com.ywt.gapi.Result updatePatient(com.ywt.gapi.user.UpdatePatientRequest request){
            throw unimplementedMethodException(updatePatientMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorTeamsResponse getDoctorTeams(com.ywt.gapi.user.GetDoctorTeamsRequest request){
            throw unimplementedMethodException(getDoctorTeamsMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorHisCodeResponse getDoctorHisCode(com.ywt.gapi.user.GetDoctorHisCodeRequest request){
            throw unimplementedMethodException(getDoctorHisCodeMethod);
        }

        @Override
        public com.ywt.gapi.Result saveBaseInfo(com.ywt.gapi.user.SaveBaseInfoRequest request){
            throw unimplementedMethodException(saveBaseInfoMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorInfoAuditResponse getDoctorInfoVerify(com.ywt.gapi.user.GetDoctorInfoAuditRequest request){
            throw unimplementedMethodException(getDoctorInfoVerifyMethod);
        }

        @Override
        public com.ywt.gapi.Result updateDoctorInfoVerify(com.ywt.gapi.user.UpdateDoctorInfoRequest request){
            throw unimplementedMethodException(updateDoctorInfoVerifyMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorByHisCodeResponse getDoctorByHisCode(com.ywt.gapi.user.GetDoctorByHisCodeRequest request){
            throw unimplementedMethodException(getDoctorByHisCodeMethod);
        }

        @Override
        public com.ywt.gapi.user.GetTeamListByDeptIdResponse getTeamListByDeptId(com.ywt.gapi.user.GetTeamListByDeptIdRequest request){
            throw unimplementedMethodException(getTeamListByDeptIdMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDeptScheduleDoctorListResponse getDeptScheduleDoctorList(com.ywt.gapi.user.GetDeptScheduleDoctorListRequest request){
            throw unimplementedMethodException(getDeptScheduleDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.user.GeneralGetPlatformDoctorListResponse generalGetPlatformDoctorList(com.ywt.gapi.user.GeneralGetPlatformDoctorListRequest request){
            throw unimplementedMethodException(generalGetPlatformDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.user.GeneralGetAttentionDoctorListResponse generalGetAttentionDoctorList(com.ywt.gapi.user.GeneralGetAttentionDoctorListRequest request){
            throw unimplementedMethodException(generalGetAttentionDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDisplayTeamListResponse getDisplayTeamList(com.ywt.gapi.user.GetDisplayTeamListRequest request){
            throw unimplementedMethodException(getDisplayTeamListMethod);
        }

        @Override
        public com.ywt.gapi.ResultInt checkUserUnionDoctor(com.ywt.gapi.user.CheckUserUnionDoctorRequest request){
            throw unimplementedMethodException(checkUserUnionDoctorMethod);
        }

        @Override
        public com.ywt.gapi.Result notifyDoctorVerificationPass(com.ywt.gapi.user.NotifyDoctorVerificationPassRequest request){
            throw unimplementedMethodException(notifyDoctorVerificationPassMethod);
        }

        @Override
        public com.ywt.gapi.Result notifyDoctorVerificationNotPass(com.ywt.gapi.user.NotifyDoctorVerificationNotPassRequest request){
            throw unimplementedMethodException(notifyDoctorVerificationNotPassMethod);
        }

        @Override
        public com.ywt.gapi.user.GetConsultDoctorPageListResponse getConsultDoctorPagedList(com.ywt.gapi.user.GetConsultDoctorPageListRequest request){
            throw unimplementedMethodException(getConsultDoctorPagedListMethod);
        }

        @Override
        public com.ywt.gapi.Result scanQrCodeJoinTeamDoctor(com.ywt.gapi.user.ScanQrCodeJoinTeamDoctorRequest request){
            throw unimplementedMethodException(scanQrCodeJoinTeamDoctorMethod);
        }

        @Override
        public com.ywt.gapi.user.GetRecommendDoctorListResponse getRecommendDoctorList(com.ywt.gapi.user.GetRecommendDoctorListRequest request){
            throw unimplementedMethodException(getRecommendDoctorListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorMpMenuListResponse getDoctorMpMenuList(com.ywt.gapi.user.GetDoctorMpMenuListReqeust request){
            throw unimplementedMethodException(getDoctorMpMenuListMethod);
        }

        @Override
        public com.ywt.gapi.user.UpdateDoctorMpMenuResponse updateDoctorMpMenu(com.ywt.gapi.user.UpdateDoctorMpMenuReqeust request){
            throw unimplementedMethodException(updateDoctorMpMenuMethod);
        }

        @Override
        public com.ywt.gapi.user.GetIsUserAnAuditDoctorResponse getIsUserAnAuditDoctor(com.ywt.gapi.user.GetIsUserAnAuditDoctorRequest request){
            throw unimplementedMethodException(getIsUserAnAuditDoctorMethod);
        }

        @Override
        public com.ywt.gapi.user.SetDefaultPharmacyResponse setDefaultPharmacy(com.ywt.gapi.user.SetDefaultPharmacyRequest request){
            throw unimplementedMethodException(setDefaultPharmacyMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorTitleListResponse getDoctorTitleList(com.ywt.gapi.user.GetDoctorTitleListRequest request){
            throw unimplementedMethodException(getDoctorTitleListMethod);
        }

        @Override
        public com.ywt.gapi.Result updatePatientInfo(com.ywt.gapi.user.UpdatePatientInfoRequest request){
            throw unimplementedMethodException(updatePatientInfoMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorFixedPointResponse getDoctorFixedPoint(com.ywt.gapi.user.GetDoctorFixedPointRequest request){
            throw unimplementedMethodException(getDoctorFixedPointMethod);
        }

        @Override
        public com.ywt.gapi.user.GetTeamListResponse getTeamList(com.ywt.gapi.user.GetTeamListRequest request){
            throw unimplementedMethodException(getTeamListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetDoctorHisCodeListResponse getDoctorHisCodeList(com.ywt.gapi.user.GetDoctorHisCodeListRequest request){
            throw unimplementedMethodException(getDoctorHisCodeListMethod);
        }

        @Override
        public com.ywt.gapi.user.GetHospMedRecordResponse getHospMedRecord(com.ywt.gapi.user.GetHospMedRecordRequest request){
            throw unimplementedMethodException(getHospMedRecordMethod);
        }

        @Override
        public com.ywt.gapi.user.SaveDoctorHisCodeListResponse saveDoctorHisCodeList(com.ywt.gapi.user.SaveDoctorHisCodeListRequest request){
            throw unimplementedMethodException(saveDoctorHisCodeListMethod);
        }





        @Override
        public final ServiceDescriptor getServiceDescriptor() {
            return serviceDescriptor;
        }
        private RpcException unimplementedMethodException(StubMethodDescriptor methodDescriptor) {
            return TriRpcStatus.UNIMPLEMENTED.withDescription(String.format("Method %s is unimplemented",
                "/" + serviceDescriptor.getInterfaceName() + "/" + methodDescriptor.getMethodName())).asException();
        }
    }

}
